/*
 * Code for class EV_SCREEN_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev882.h"
#include "ev_any_imp.h"
#include "eif_helpers.h"
#include <ev_gtk.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F99_1558
static EIF_POINTER inline_F99_1558 (void)
{
	return gdk_screen_get_default()
	;
}
#define INLINE_F99_1558
#endif
#ifndef INLINE_F99_1560
static EIF_POINTER inline_F99_1560 (EIF_POINTER arg1)
{
	return gdk_screen_get_root_window ((GdkScreen *)arg1);;
	;
}
#define INLINE_F99_1560
#endif
#ifndef INLINE_F98_1309
static EIF_POINTER inline_F98_1309 (EIF_POINTER arg1)
{
	#ifdef GDK_WINDOWING_X11 
		/* Declarations */
	GC gc;									/* handle of newly created GC.  */
	unsigned long valuemask = 0;			/* which values in 'values' to  */
	Window win =  gdk_x11_window_get_xid ((GdkWindow *)arg1);
	Display* display = GDK_SCREEN_XDISPLAY(gdk_window_get_screen ((GdkWindow *)arg1));
		/* Define properties/values for the GC.  */
	XGCValues values;						/* initial values for the GC.   */
	unsigned int line_width = 1;			/* line width for the GC.       */
	int line_style = LineSolid;				/* style for lines drawing and  */
	int cap_style = CapButt;				/* style of the line's edje and */
	int join_style = JoinBevel;				/* joined lines.		*/
	values.function = GXcopy;               /* src */
	values.subwindow_mode = ClipByChildren; /* GCSubwindowMode */
	values.line_width = line_width;
	values.fill_style = FillSolid;
	values.arc_mode = ArcPieSlice;
	values.graphics_exposures = False;
	valuemask = GCFunction | GCFillStyle | GCArcMode | GCSubwindowMode | GCGraphicsExposures;
		/* Create the GC object */
	gc = XCreateGC(display, win, valuemask, &values);
	if (gc < 0) {
		fprintf(stderr, "XCreateGC: \n");
	}
	return gc;
#endif
	;
}
#define INLINE_F98_1309
#endif
#ifndef INLINE_F98_1313
static EIF_POINTER inline_F98_1313 (EIF_POINTER arg1)
{
	#ifdef GDK_WINDOWING_X11 
	return (EIF_POINTER) GDK_SCREEN_XDISPLAY(gdk_window_get_screen ((GdkWindow *)arg1));
#endif
	;
}
#define INLINE_F98_1313
#endif
#ifndef INLINE_F98_1332
static EIF_INTEGER_32 inline_F98_1332 (void)
{
	#ifdef GDK_WINDOWING_X11 
return IncludeInferiors;
#endif
	;
}
#define INLINE_F98_1332
#endif
#ifndef INLINE_F98_1316
static void inline_F98_1316 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	#ifdef GDK_WINDOWING_X11 
XSetSubwindowMode((Display *)arg1, (GC)arg2, (int)arg3);
#endif
	;
}
#define INLINE_F98_1316
#endif
#ifndef INLINE_F16_347
static EIF_POINTER inline_F16_347 (void)
{
	return (GdkDisplay*) gdk_display_get_default();
	;
}
#define INLINE_F16_347
#endif
#ifndef INLINE_F16_350
static EIF_POINTER inline_F16_350 (void)
{
	return (GdkScreen*) gdk_display_get_default_screen ((GdkDisplay*) gdk_display_get_default());
	;
}
#define INLINE_F16_350
#endif
#ifndef INLINE_F1528_16753
static void inline_F1528_16753 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	(FUNCTION_CAST(void, (GdkDisplay*, GdkScreen*, gint, gint)) arg1) ((GdkDisplay*) arg2, (GdkScreen*) arg3, (gint) arg4, (gint) arg5)
	;
}
#define INLINE_F1528_16753
#endif
#ifndef INLINE_F1528_16757
static int inline_F1528_16757 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6)
{
	return (FUNCTION_CAST(EIF_BOOLEAN, (EIF_POINTER, EIF_INTEGER, EIF_INTEGER, EIF_INTEGER, EIF_INTEGER)) arg1) ((EIF_POINTER) arg2, (EIF_INTEGER) arg3, (EIF_INTEGER) arg4, (EIF_INTEGER) arg4, (EIF_INTEGER) arg6)
	;
}
#define INLINE_F1528_16757
#endif
#ifndef INLINE_F99_1553
static EIF_INTEGER_32 inline_F99_1553 (EIF_POINTER arg1)
{
	return gdk_screen_get_resolution ((GdkScreen*)arg1);
	;
}
#define INLINE_F99_1553
#endif
#ifndef INLINE_F1528_16761
static EIF_POINTER inline_F1528_16761 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return (FUNCTION_CAST(EIF_POINTER, (GdkDisplay*)) arg1) ((GdkDisplay*) arg2)
	;
}
#define INLINE_F1528_16761
#endif
#ifndef INLINE_F98_1356
static void inline_F98_1356 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_BOOLEAN arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7, EIF_INTEGER_32 arg8)
{
	#ifdef GDK_WINDOWING_X11 
					Window win = (Window) arg1;
					if (arg7 < 0 || arg8 < 0)
					{
						gint real_width;
						gint real_height;
						
						XWindowAttributes wa;
						XGetWindowAttributes((Display*) arg2, win, &wa);
						real_width = wa.width;
						real_height = wa.height;
					   
					   	if (arg7 < 0)
							arg7 = real_width;
						if (arg8 < 0)
							arg8 = real_height;
					}

					if (arg4)
					    XFillRectangle ((Display*) arg2, win, arg3, arg5, arg6, arg7, arg8);
					else
					    XDrawRectangle ((Display*) arg2, win, arg3, arg5, arg6, arg7, arg8);

				#endif
	;
}
#define INLINE_F98_1356
#endif
#ifndef INLINE_F98_1353
static void inline_F98_1353 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7)
{
	#ifdef GDK_WINDOWING_X11 
	Window win = (Window) arg1;
	/*
	 * TODO check Gdkgc-x11 _gdk_x11_gc_flush implementation 
	 * that's used before
	 * for example gdk_x11_draw_segments the usage of
	 * GDK_GC_GET_XGC (gc),
	 * https://github.com/coapp-packages/gtk/blob/master/gdk/x11/gdkdrawable-x11.c
	 */
						
	XDrawLine((Display*) arg2, win, arg3, arg4, arg5, arg6, arg7);
	
#endif
	;
}
#define INLINE_F98_1353
#endif
#ifndef INLINE_F98_1355
static void inline_F98_1355 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_BOOLEAN arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6, EIF_INTEGER_32 arg7, EIF_INTEGER_32 arg8, EIF_INTEGER_32 arg9, EIF_INTEGER_32 arg10)
{
	#ifdef GDK_WINDOWING_X11 
					Window win = (Window) arg1;
					if (arg7 < 0 || arg8 < 0)
					{
						gint real_width;
						gint real_height;
						XWindowAttributes wa;
						XGetWindowAttributes((Display*) arg2, win, &wa);
						real_width = wa.width;
						real_height = wa.height;

						if (arg7 < 0)
							arg7 = real_width;
						if (arg8 < 0)
							arg8 = real_height;
					}

					if (arg4)
					    XFillArc ((Display*) arg2, win, arg3, arg5, arg6, arg7, arg8, arg9, arg10);
					else
					    XDrawArc ((Display*) arg2, win, arg3, arg5, arg6, arg7, arg8, arg9, arg10);	
	
				#endif
	;
}
#define INLINE_F98_1355
#endif
#ifndef INLINE_F98_1354
static void inline_F98_1354 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	#ifdef GDK_WINDOWING_X11 
	XDrawPoint ((Display*) arg2, (Drawable) arg1, arg3, arg4, arg5);
#endif
	;
}
#define INLINE_F98_1354
#endif
#ifndef INLINE_F98_1358
static void inline_F98_1358 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_BOOLEAN arg4, EIF_POINTER arg5, EIF_INTEGER_32 arg6)
{
	#ifdef GDK_WINDOWING_X11 
					Window win = (Window) arg1;
					XPoint *tmp_points;
 					gint tmp_npoints, i;


					if (!(arg4) &&
				      ( ((GdkPoint *)arg5)[0].x != ((GdkPoint *)arg5)[arg6-1].x || ((GdkPoint *)arg5)[0].y != ((GdkPoint *)arg5)[arg6-1].y))
				    {
				      tmp_npoints = arg6 + 1;
				      tmp_points = g_new (XPoint, tmp_npoints);
				      tmp_points[arg6].x = ((GdkPoint *)arg5)[0].x;
				      tmp_points[arg6].y = ((GdkPoint *)arg5)[0].y;
				    }
				  	else
				    {
				      tmp_npoints = arg6;
				      tmp_points = g_new (XPoint, tmp_npoints);
				    }

				  	for (i=0; i<arg6; i++)
				    {
				      tmp_points[i].x = ((GdkPoint *)arg5)[i].x;
				      tmp_points[i].y = ((GdkPoint *)arg5)[i].y;
				    }


				    if (arg4)
						XFillPolygon ((Display*) arg2, win, arg3, tmp_points, tmp_npoints, Complex, CoordModeOrigin);					
					else	
						XDrawLines ((Display*) arg2, win, arg3, tmp_points, tmp_npoints, CoordModeOrigin);
						
					g_free (tmp_points);
				#endif
	;
}
#define INLINE_F98_1358
#endif
#ifndef INLINE_F98_1357
static void inline_F98_1357 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_POINTER arg4, EIF_INTEGER_32 arg5)
{
	#ifdef GDK_WINDOWING_X11 
					Window win = (Window) arg1;
					gint i;
					XPoint *tmp_points = g_new (XPoint, arg5);

					for (i=0; i<arg5; i++)
				    {
				      tmp_points[i].x = ((GdkPoint *)arg4)[i].x;
				      tmp_points[i].y = ((GdkPoint *)arg4)[i].y;
				    }
				    					
					XDrawLines ((Display*) arg2, win, arg3, tmp_points, arg5, CoordModeOrigin);
					g_free (tmp_points);
				#endif
	;
}
#define INLINE_F98_1357
#endif
#ifndef INLINE_F98_1323
static EIF_INTEGER_32 inline_F98_1323 (void)
{
	#ifdef GDK_WINDOWING_X11
return FillTiled;
#endif
	;
}
#define INLINE_F98_1323
#endif
#ifndef INLINE_F98_1319
static void inline_F98_1319 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	#ifdef GDK_WINDOWING_X11 
XSetFillStyle((Display*)arg1, (GC) arg2, (int)arg3);	
#endif
	;
}
#define INLINE_F98_1319
#endif
#ifndef INLINE_F98_1322
static EIF_INTEGER_32 inline_F98_1322 (void)
{
	#ifdef GDK_WINDOWING_X11
return FillSolid;
#endif
	;
}
#define INLINE_F98_1322
#endif
#ifndef INLINE_F98_1321
static void inline_F98_1321 (EIF_POINTER arg1)
{
	#ifdef GDK_WINDOWING_X11 
	XFlush((Display*) arg1);
#endif
	;
}
#define INLINE_F98_1321
#endif
#ifndef INLINE_F98_1314
static EIF_POINTER inline_F98_1314 (EIF_POINTER arg1)
{
	#ifdef GDK_WINDOWING_X11 
	return (EIF_POINTER) gdk_x11_window_get_xid ((GdkWindow *) arg1);
#endif
	;
}
#define INLINE_F98_1314
#endif
#ifndef INLINE_F98_1340
static EIF_INTEGER_32 inline_F98_1340 (void)
{
	#ifdef GDK_WINDOWING_X11
return GXcopy;
#endif
	;
}
#define INLINE_F98_1340
#endif
#ifndef INLINE_F98_1315
static void inline_F98_1315 (EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3)
{
	#ifdef GDK_WINDOWING_X11 
XSetFunction((Display*) arg1, (GC) arg2, (int) arg3);
#endif
	;
}
#define INLINE_F98_1315
#endif
#ifndef INLINE_F98_1338
static EIF_INTEGER_32 inline_F98_1338 (void)
{
	#ifdef GDK_WINDOWING_X11
return GXand;
#endif
	;
}
#define INLINE_F98_1338
#endif
#ifndef INLINE_F98_1343
static EIF_INTEGER_32 inline_F98_1343 (void)
{
	#ifdef GDK_WINDOWING_X11
return GXxor;
#endif
	;
}
#define INLINE_F98_1343
#endif
#ifndef INLINE_F98_1347
static EIF_INTEGER_32 inline_F98_1347 (void)
{
	#ifdef GDK_WINDOWING_X11
return GXinvert;
#endif
	;
}
#define INLINE_F98_1347
#endif
#ifndef INLINE_F98_1344
static EIF_INTEGER_32 inline_F98_1344 (void)
{
	#ifdef GDK_WINDOWING_X11
return GXor;
#endif
	;
}
#define INLINE_F98_1344
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_SCREEN_IMP}.make */
void F1528_16710 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_16 ti2_1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	{
		/* INLINED CODE (ANY.do_nothing) */
		tr1 = RTOSCF(16789,F1528_16789, (Current));
		(void) RTCW(tr1);
		/* END INLINED CODE */
	}
	;
	tb1 = RTOSCF(13266,F1320_13266, (RTCV(RTOSCF(16789,F1528_16789, (Current)))));
	*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_) = (EIF_BOOLEAN) tb1;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(16789,F1528_16789, (Current)))+ _LNGOFF_49_16_0_11_);
	ti2_1 = (EIF_INTEGER_16) ti4_1;
	ti4_1 = (EIF_INTEGER_32) (EIF_INTEGER_16) -ti2_1;
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_) = (EIF_INTEGER_32) ti4_1;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(16789,F1528_16789, (Current)))+ _LNGOFF_49_16_0_12_);
	ti2_1 = (EIF_INTEGER_16) ti4_1;
	ti4_1 = (EIF_INTEGER_32) (EIF_INTEGER_16) -ti2_1;
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_) = (EIF_INTEGER_32) ti4_1;
	F1295_12719(Current, (EIF_BOOLEAN) 1);
	RTLE;
}

/* {EV_SCREEN_IMP}.prepare_drawing */
void F1528_16712 (EIF_REFERENCE Current)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_6_3_)) {
		F1528_16713(Current);
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.initialize_drawing */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F1528_16713 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_POINTER  EIF_VOLATILE tp2;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	RTLD;
	RTXD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,saved_except);
	RTLIU(2);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_6_3_)) {
		*(EIF_BOOLEAN *)(Current+ _CHROFF_6_3_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
			tp1 = inline_F99_1558();
			tp1 = inline_F99_1560(tp1);
			*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_) = (EIF_POINTER) tp1;
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
			tp1 = inline_F98_1309(tp1);
			*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_) = (EIF_POINTER) tp1;
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
			tp1 = inline_F98_1313(tp1);
			tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
			ti4_1 = inline_F98_1332();
			inline_F98_1316(tp1, tp2, ti4_1);
		}
		F1528_16714(Current);
	}
	RTE_E
	RTXSC;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_6_3_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_SCREEN_IMP}.init_default_values */
void F1528_16714 (EIF_REFERENCE Current)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16784(Current);
	F1528_16782(Current, ((EIF_INTEGER_32) 0L));
	F1528_16783(Current, ((EIF_INTEGER_32) 1L));
	RTLE;
}

/* {EV_SCREEN_IMP}.get_cairo_context */
void F1528_16718 (EIF_REFERENCE Current)
{
	GTCX
	
	
	*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_0_) = (EIF_POINTER) *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
}

/* {EV_SCREEN_IMP}.pointer_position */
EIF_REFERENCE F1528_16719 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,Result);
	RTLIU(3);
	
	RTGC;
	loc1 = F1320_13372(RTCV(RTOSCF(16789,F1528_16789, (Current))));
	Result = RTLNS(eif_new_type(873, 0x00).id, 873, _OBJSIZ_0_0_0_0_0_0_0_2_);
	ti4_1 = eif_integer_32_item(RTCW(loc1),2);
	ti4_2 = eif_integer_32_item(RTCW(loc1),3);
	F874_6949(RTCW(Result), ti4_1, ti4_2);
	RTLE;
	return Result;
}

/* {EV_SCREEN_IMP}.widget_at_mouse_pointer */
EIF_REFERENCE F1528_16721 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	loc1 = F1528_16722(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + O10313[Dtype(loc1)-1294]);
		RTLE;
		return (EIF_REFERENCE) tr1;
	}
	RTLE;
	return (EIF_REFERENCE) 0;
}

/* {EV_SCREEN_IMP}.widget_imp_at_pointer_position */
EIF_REFERENCE F1528_16722 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,loc3);
	RTLR(1,Current);
	RTLR(2,loc4);
	RTLR(3,tr1);
	RTLR(4,Result);
	RTLIU(5);
	
	RTGC;
	loc3 = F1320_13372(RTCV(RTOSCF(16789,F1528_16789, (Current))));
	loc1 = eif_pointer_item(RTCW(loc3),1);
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		gdk_window_get_user_data((GdkWindow*) loc1, (gpointer*) (EIF_POINTER *) &(loc2));
		for (;;) {
			tb1 = '\01';
			if (!(EIF_BOOLEAN)(Result != NULL)) {
				tb2 = !loc2;
				tb1 = tb2;
			}
			if (tb1) break;
			tr1 = (EIF_REFERENCE) c_ev_any_imp_get_eif_reference_from_object_id((GtkWidget*) loc2);
			loc4 = tr1;
			loc4 = RTRV(eif_new_type(1380, 0x00),loc4);
			if (EIF_TEST(loc4)) {
				Result = (EIF_REFERENCE) loc4;
			} else {
				tp1 = (EIF_POINTER) gtk_widget_get_parent((GtkWidget*) loc2);
				loc2 = (EIF_POINTER) tp1;
			}
		}
	}
	RTLE;
	return Result;
}

/* {EV_SCREEN_IMP}.set_pointer_position */
void F1528_16728 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	loc4 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
	loc4 = (EIF_INTEGER_32) (EIF_INTEGER_32) (arg1 + loc4);
	loc5 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
	loc5 = (EIF_INTEGER_32) (EIF_INTEGER_32) (arg2 + loc5);
	loc2 = RTOSCF(16751,F1528_16751, (Current));
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc2 != tp1)) {
		tp1 = inline_F16_347();
		tp2 = inline_F16_350();
		inline_F1528_16753(loc2, tp1, tp2, loc4, loc5);
	} else {
		loc3 = RTOSCF(16749,F1528_16749, (Current));
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(loc3 != tp1)) {
			tp1 = F1528_16759(Current);
			loc1 = EIF_TEST (inline_F1528_16757(loc3, tp1, ((EIF_INTEGER_32) -1L), loc4, loc5, ((EIF_INTEGER_32) 0L)));
		}
	}
	tb1 = *(EIF_BOOLEAN *)(RTCV(RTOSCF(16789,F1528_16789, (Current)))+ _CHROFF_49_8_);
	if (tb1) {
		F1320_13373(RTCV(RTOSCF(16789,F1528_16789, (Current))));
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.horizontal_resolution */
EIF_INTEGER_32 F1528_16736 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	RTGC;
	tp1 = inline_F99_1558();
	Result = inline_F99_1553(tp1);
	if ((EIF_BOOLEAN)(Result == ((EIF_INTEGER_32) -1L))) {
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 96L);
	}
	return Result;
}

/* {EV_SCREEN_IMP}.vertical_resolution */
EIF_INTEGER_32 F1528_16737 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	RTGC;
	tp1 = inline_F99_1558();
	Result = inline_F99_1553(tp1);
	if ((EIF_BOOLEAN)(Result == ((EIF_INTEGER_32) -1L))) {
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 96L);
	}
	return Result;
}

/* {EV_SCREEN_IMP}.height */
EIF_INTEGER_32 F1528_16738 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(16789,F1528_16789, (Current)))+ _LNGOFF_49_16_0_16_);
	RTLE;
	return Result;
}

/* {EV_SCREEN_IMP}.width */
EIF_INTEGER_32 F1528_16739 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(16789,F1528_16789, (Current)))+ _LNGOFF_49_16_0_15_);
	RTLE;
	return Result;
}

/* {EV_SCREEN_IMP}.device_x_offset */
EIF_INTEGER_32 F1528_16744 (EIF_REFERENCE Current)
{
	return *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
}


/* {EV_SCREEN_IMP}.device_y_offset */
EIF_INTEGER_32 F1528_16745 (EIF_REFERENCE Current)
{
	return *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
}


/* {EV_SCREEN_IMP}.x_test_fake_motion_event_symbol */
static EIF_POINTER F1528_16749_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (16749);
#define Result RTOSR(16749)
	tr1 = RTOSCF(16789,F1528_16789, (Current));
	tr2 = RTMS_EX_H("XTestFakeMotionEvent",20,1417733492);
	Result = F1320_13289(RTCW(tr1), tr2);
	RTOSE (16749);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1528_16749 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(16749,F1528_16749_body,(Current));
}

/* {EV_SCREEN_IMP}.gdk_display_warp_pointer_symbol */
static EIF_POINTER F1528_16751_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (16751);
#define Result RTOSR(16751)
	tr1 = RTOSCF(16789,F1528_16789, (Current));
	tr2 = RTMS_EX_H("gdk_display_warp_pointer",24,1820537714);
	Result = F1320_13289(RTCW(tr1), tr2);
	RTOSE (16751);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1528_16751 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(16751,F1528_16751_body,(Current));
}

/* {EV_SCREEN_IMP}.gdk_display_warp_pointer_call */
void F1528_16753 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_POINTER arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5)
{
	GTCX
	
	
	inline_F1528_16753 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_POINTER) arg3, (EIF_INTEGER_32) arg4, (EIF_INTEGER_32) arg5);
}

/* {EV_SCREEN_IMP}.x_test_fake_motion_event_call */
EIF_BOOLEAN F1528_16757 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_INTEGER_32 arg5, EIF_INTEGER_32 arg6)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	
	
	Result = EIF_TEST(inline_F1528_16757 ((EIF_POINTER) arg1, (EIF_POINTER) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32) arg4, (EIF_INTEGER_32) arg5, (EIF_INTEGER_32) arg6));
	return Result;
}

/* {EV_SCREEN_IMP}.gdk_x_display */
EIF_POINTER F1528_16759 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	loc1 = RTOSCF(16760,F1528_16760, (Current));
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc1 != tp1)) {
		tp1 = (EIF_POINTER) gdk_display_get_default();
		Result = inline_F1528_16761(loc1, tp1);
	}
	RTLE;
	return Result;
}

/* {EV_SCREEN_IMP}.gdk_x11_display_get_xdisplay_symbol */
static EIF_POINTER F1528_16760_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (16760);
#define Result RTOSR(16760)
	tr1 = RTOSCF(16789,F1528_16789, (Current));
	tr2 = RTMS_EX_H("gdk_x11_display_get_xdisplay",28,2011220089);
	Result = F1320_13289(RTCW(tr1), tr2);
	RTOSE (16760);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1528_16760 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(16760,F1528_16760_body,(Current));
}

/* {EV_SCREEN_IMP}.gdk_x11_display_get_xdisplay_call */
EIF_POINTER F1528_16761 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	
	
	Result = inline_F1528_16761 ((EIF_POINTER) arg1, (EIF_POINTER) arg2);
	return Result;
}

/* {EV_SCREEN_IMP}.update_if_needed */
void F1528_16762 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_16 ti2_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(16789,F1528_16789, (Current)))+ _LNGOFF_49_16_0_11_);
	ti2_1 = (EIF_INTEGER_16) ti4_1;
	ti4_1 = (EIF_INTEGER_32) (EIF_INTEGER_16) -ti2_1;
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_) = (EIF_INTEGER_32) ti4_1;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(16789,F1528_16789, (Current)))+ _LNGOFF_49_16_0_12_);
	ti2_1 = (EIF_INTEGER_16) ti4_1;
	ti4_1 = (EIF_INTEGER_32) (EIF_INTEGER_16) -ti2_1;
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_) = (EIF_INTEGER_32) ti4_1;
	RTLE;
}

/* {EV_SCREEN_IMP}.clear_rectangle */
void F1528_16763 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REAL_64 tr8_1;
	EIF_REAL_64 tr8_2;
	EIF_REAL_64 tr8_3;
	EIF_REAL_32 tr4_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,loc2);
	RTLIU(3);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		loc1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
		if ((EIF_BOOLEAN)(loc1 == NULL)) {
			loc1 = F1337_13649(Current);
		}
		loc2 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		if ((EIF_BOOLEAN)(loc2 == NULL)) {
			loc2 = F1337_13650(Current);
		}
		tr4_1 = F1112_10398(RTCW(loc2));
		tr8_1 = (EIF_REAL_64) (tr4_1);
		tr4_1 = F1112_10399(RTCW(loc2));
		tr8_2 = (EIF_REAL_64) (tr4_1);
		tr4_1 = F1112_10400(RTCW(loc2));
		tr8_3 = (EIF_REAL_64) (tr4_1);
		F1528_16788(Current, (EIF_BOOLEAN) 1, tr8_1, tr8_2, tr8_3);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		inline_F98_1356(tp1, tp2, tp3, (EIF_BOOLEAN) 1, ti4_1, ti4_2, arg3, arg4);
		tr4_1 = F1112_10398(RTCW(loc1));
		tr8_1 = (EIF_REAL_64) (tr4_1);
		tr4_1 = F1112_10399(RTCW(loc1));
		tr8_2 = (EIF_REAL_64) (tr4_1);
		tr4_1 = F1112_10400(RTCW(loc1));
		tr8_3 = (EIF_REAL_64) (tr4_1);
		F1528_16788(Current, (EIF_BOOLEAN) 1, tr8_1, tr8_2, tr8_3);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.draw_segment */
void F1528_16764 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		ti4_3 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_4 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_3 = eif_max_int32 ((EIF_INTEGER_32) (arg3 + ti4_3),ti4_4);
		ti4_4 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_3 = eif_min_int32 (ti4_3,ti4_4);
		ti4_4 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_5 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_4 = eif_max_int32 ((EIF_INTEGER_32) (arg4 + ti4_4),ti4_5);
		ti4_5 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_4 = eif_min_int32 (ti4_4,ti4_5);
		inline_F98_1353(tp1, tp2, tp3, ti4_1, ti4_2, ti4_3, ti4_4);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.draw_ellipse */
void F1528_16765 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	tb3 = '\0';
	tb4 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb5 = !tp1;
		tb4 = (EIF_BOOLEAN) !tb5;
	}
	if (tb4) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb4 = !tp1;
		tb3 = (EIF_BOOLEAN) !tb4;
	}
	if (tb3) {
		tb2 = (EIF_BOOLEAN) (arg3 > ((EIF_INTEGER_32) 0L));
	}
	if (tb2) {
		tb1 = (EIF_BOOLEAN) (arg4 > ((EIF_INTEGER_32) 0L));
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		inline_F98_1355(tp1, tp2, tp3, (EIF_BOOLEAN) 0, ti4_1, ti4_2, (EIF_INTEGER_32) (arg3 - ((EIF_INTEGER_32) 1L)), (EIF_INTEGER_32) (arg4 - ((EIF_INTEGER_32) 1L)), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 23040L));
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.draw_point */
void F1528_16766 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		inline_F98_1354(tp1, tp2, tp3, ti4_1, ti4_2);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.draw_arc */
void F1528_16767 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_REAL_32 arg5, EIF_REAL_32 arg6)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REAL_32 tr4_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		loc1 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 3667L);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		tr4_1 = (EIF_REAL_32) (loc1);
		ti4_3 = (EIF_INTEGER_32) ((EIF_REAL_32) ((EIF_REAL_32) (arg5 * tr4_1) + (EIF_REAL_32) (EIF_REAL_64) 0.5));
		tr4_1 = (EIF_REAL_32) (loc1);
		ti4_4 = (EIF_INTEGER_32) ((EIF_REAL_32) ((EIF_REAL_32) (arg6 * tr4_1) + (EIF_REAL_32) (EIF_REAL_64) 0.5));
		inline_F98_1355(tp1, tp2, tp3, (EIF_BOOLEAN) 0, ti4_1, ti4_2, arg3, arg4, ti4_3, ti4_4);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.draw_rectangle */
void F1528_16768 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	tb3 = '\0';
	tb4 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb5 = !tp1;
		tb4 = (EIF_BOOLEAN) !tb5;
	}
	if (tb4) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb4 = !tp1;
		tb3 = (EIF_BOOLEAN) !tb4;
	}
	if (tb3) {
		tb2 = (EIF_BOOLEAN) (arg3 > ((EIF_INTEGER_32) 0L));
	}
	if (tb2) {
		tb1 = (EIF_BOOLEAN) (arg4 > ((EIF_INTEGER_32) 0L));
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		inline_F98_1356(tp1, tp2, tp3, (EIF_BOOLEAN) 0, ti4_1, ti4_2, (EIF_INTEGER_32) (arg3 - ((EIF_INTEGER_32) 1L)), (EIF_INTEGER_32) (arg4 - ((EIF_INTEGER_32) 1L)));
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.draw_polyline */
void F1528_16769 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_BOOLEAN arg2)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLIU(4);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		tr1 = F1525_16642(Current, arg1);
		loc1 = *(EIF_REFERENCE *)(RTCW(tr1));
		if (arg2) {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
			tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
			tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
			ti4_1 = F586_5127(RTCW(arg1));
			inline_F98_1358(tp1, tp2, tp3, (EIF_BOOLEAN) 0, loc1, ti4_1);
			F1528_16762(Current);
		} else {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
			tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
			tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
			ti4_1 = F586_5127(RTCW(arg1));
			inline_F98_1357(tp1, tp2, tp3, loc1, ti4_1);
			F1528_16762(Current);
		}
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.fill_rectangle */
void F1528_16770 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_5_) != NULL)) {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
			tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
			ti4_1 = inline_F98_1323();
			inline_F98_1319(tp1, tp2, ti4_1);
		}
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		inline_F98_1356(tp1, tp2, tp3, (EIF_BOOLEAN) 1, ti4_1, ti4_2, arg3, arg4);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = inline_F98_1322();
		inline_F98_1319(tp1, tp2, ti4_1);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.fill_ellipse */
void F1528_16771 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_5_) != NULL)) {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
			tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
			ti4_1 = inline_F98_1323();
			inline_F98_1319(tp1, tp2, ti4_1);
		}
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		inline_F98_1355(tp1, tp2, tp3, (EIF_BOOLEAN) 1, ti4_1, ti4_2, arg3, arg4, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 23040L));
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = inline_F98_1322();
		inline_F98_1319(tp1, tp2, ti4_1);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.fill_polygon */
void F1528_16772 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLIU(4);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		tr1 = F1525_16642(Current, arg1);
		loc1 = *(EIF_REFERENCE *)(RTCW(tr1));
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_5_) != NULL)) {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
			tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
			ti4_1 = inline_F98_1323();
			inline_F98_1319(tp1, tp2, ti4_1);
		}
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = F586_5127(RTCW(arg1));
		inline_F98_1358(tp1, tp2, tp3, (EIF_BOOLEAN) 1, loc1, ti4_1);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = inline_F98_1322();
		inline_F98_1319(tp1, tp2, ti4_1);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.fill_pie_slice */
void F1528_16773 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_REAL_32 arg5, EIF_REAL_32 arg6)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REAL_32 tr4_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16779(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp2 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp3 = tp2;
		gdk_window_invalidate_rect((GdkWindow*) tp1, (GdkRectangle*) tp3, (gboolean) (EIF_BOOLEAN) 1);
		if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_5_) != NULL)) {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
			tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
			ti4_1 = inline_F98_1323();
			inline_F98_1319(tp1, tp2, ti4_1);
		}
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp3 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_4_);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_1 = eif_max_int32 ((EIF_INTEGER_32) (arg1 + ti4_1),ti4_2);
		ti4_2 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_1 = eif_min_int32 (ti4_1,ti4_2);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_3_);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) -32768L);
		ti4_2 = eif_max_int32 ((EIF_INTEGER_32) (arg2 + ti4_2),ti4_3);
		ti4_3 = (EIF_INTEGER_32) ((EIF_INTEGER_16) 32767L);
		ti4_2 = eif_min_int32 (ti4_2,ti4_3);
		tr4_1 = (EIF_REAL_32) (((EIF_INTEGER_32) 3667L));
		ti4_3 = (EIF_INTEGER_32) (EIF_REAL_32) (arg5 * tr4_1);
		tr4_1 = (EIF_REAL_32) (((EIF_INTEGER_32) 3667L));
		ti4_4 = (EIF_INTEGER_32) (EIF_REAL_32) (arg6 * tr4_1);
		inline_F98_1355(tp1, tp2, tp3, (EIF_BOOLEAN) 0, ti4_1, ti4_2, arg3, arg4, ti4_3, ti4_4);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		tp2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		ti4_1 = inline_F98_1322();
		inline_F98_1319(tp1, tp2, ti4_1);
		F1528_16762(Current);
	}
	{
		/* INLINED CODE (EV_SCREEN_IMP.post_drawing) */
		/* END INLINED CODE */
	}
	;
	RTLE;
}

/* {EV_SCREEN_IMP}.start_drawing_session */
void F1528_16774 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16712(Current);
	F1520_16492(Current);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_) = (EIF_POINTER) tp2;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_) = (EIF_POINTER) tp2;
	F1528_16776(Current);
	RTLE;
}

/* {EV_SCREEN_IMP}.end_drawing_session */
void F1528_16775 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16712(Current);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
	tb1 = !tp1;
	if ((EIF_BOOLEAN) !tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
		inline_F98_1321(tp1);
	}
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_) = (EIF_POINTER) tp2;
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	tp2 = tp1;
	*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_) = (EIF_POINTER) tp2;
	F1520_16493(Current);
	RTLE;
}

/* {EV_SCREEN_IMP}.get_drawable_x_display_and_window */
void F1528_16776 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tb2 = '\01';
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_);
		tb3 = !tp1;
		if (!tb3) {
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_);
			tb3 = !tp1;
			tb2 = tb3;
		}
		tb1 = tb2;
	}
	if (tb1) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		tp1 = inline_F98_1314(tp1);
		*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_3_) = (EIF_POINTER) tp1;
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		tp1 = inline_F98_1313(tp1);
		*(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_4_) = (EIF_POINTER) tp1;
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.pre_drawing */
void F1528_16779 (EIF_REFERENCE Current)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16712(Current);
	F1528_16776(Current);
	RTLE;
}

/* {EV_SCREEN_IMP}.post_drawing */
void F1528_16780 (EIF_REFERENCE Current)
{
	GTCX
	
	
	RTGC;
}

/* {EV_SCREEN_IMP}.set_drawing_mode */
void F1528_16782 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F1528_16712(Current);
	F1525_16597(Current, arg1);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		loc1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		loc2 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		tb1 = '\0';
		tb2 = !loc1;
		if ((EIF_BOOLEAN) !tb2) {
			tb2 = !loc2;
			tb1 = (EIF_BOOLEAN) !tb2;
		}
		if (tb1) {
			loc3 = inline_F98_1313(loc2);
			switch (arg1) {
				case 0L:
					ti4_1 = inline_F98_1340();
					inline_F98_1315(loc3, loc1, ti4_1);
					break;
				case 3L:
					ti4_1 = inline_F98_1338();
					inline_F98_1315(loc3, loc1, ti4_1);
					break;
				case 1L:
					ti4_1 = inline_F98_1343();
					inline_F98_1315(loc3, loc1, ti4_1);
					break;
				case 2L:
					ti4_1 = inline_F98_1347();
					inline_F98_1315(loc3, loc1, ti4_1);
					break;
				case 4L:
					ti4_1 = inline_F98_1344();
					inline_F98_1315(loc3, loc1, ti4_1);
					break;
				default:
					ti4_1 = inline_F98_1340();
					inline_F98_1315(loc3, loc1, ti4_1);
					break;
			}
		}
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.set_line_width */
void F1528_16783 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	F1528_16712(Current);
	F1525_16596(Current, arg1);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_1_)) {
			tr1 = RTLNS(eif_new_type(97, 0x00).id, 97, _OBJSIZ_0_0_0_0_0_0_0_0_);
			F98_1311(RTCW(tr1), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_), arg1);
		} else {
			tr1 = RTLNS(eif_new_type(97, 0x00).id, 97, _OBJSIZ_0_0_0_0_0_0_0_0_);
			F98_1310(RTCW(tr1), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_), arg1);
		}
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.enable_dashed_line_style */
void F1528_16784 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	F1528_16712(Current);
	F1525_16604(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tr1 = RTLNS(eif_new_type(97, 0x00).id, 97, _OBJSIZ_0_0_0_0_0_0_0_0_);
		F98_1311(RTCW(tr1), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_), *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_2_));
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.disable_dashed_line_style */
void F1528_16785 (EIF_REFERENCE Current)
{
	GTCX
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	F1528_16712(Current);
	F1525_16605(Current);
	tb1 = '\0';
	tb2 = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_);
		tb3 = !tp1;
		tb2 = (EIF_BOOLEAN) !tb3;
	}
	if (tb2) {
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_);
		tb2 = !tp1;
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		tr1 = RTLNS(eif_new_type(97, 0x00).id, 97, _OBJSIZ_0_0_0_0_0_0_0_0_);
		F98_1310(RTCW(tr1), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_), *(EIF_INTEGER_32 *)(Current+ _LNGOFF_6_7_0_2_));
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.internal_set_color */
void F1528_16788 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_REAL_64 arg2, EIF_REAL_64 arg3, EIF_REAL_64 arg4)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REAL_64 tr8_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	F1528_16712(Current);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_6_2_)) {
		tr8_1 = (EIF_REAL_64) (((EIF_INTEGER_32) 65535L));
		tr1 = RTLNS(eif_new_type(1033, 0x00).id, 1033, _OBJSIZ_0_0_0_0_0_0_0_1_);
		*(EIF_REAL_64 *)tr1 = (EIF_REAL_64) (arg2 * tr8_1);
		loc1 = F1032_9241(RTCW(tr1));
		tr8_1 = (EIF_REAL_64) (((EIF_INTEGER_32) 65535L));
		tr1 = RTLNS(eif_new_type(1033, 0x00).id, 1033, _OBJSIZ_0_0_0_0_0_0_0_1_);
		*(EIF_REAL_64 *)tr1 = (EIF_REAL_64) (arg3 * tr8_1);
		loc2 = F1032_9241(RTCW(tr1));
		tr8_1 = (EIF_REAL_64) (((EIF_INTEGER_32) 65535L));
		tr1 = RTLNS(eif_new_type(1033, 0x00).id, 1033, _OBJSIZ_0_0_0_0_0_0_0_1_);
		*(EIF_REAL_64 *)tr1 = (EIF_REAL_64) (arg4 * tr8_1);
		loc3 = F1032_9241(RTCW(tr1));
		if (arg1) {
			tr1 = RTLNS(eif_new_type(97, 0x00).id, 97, _OBJSIZ_0_0_0_0_0_0_0_0_);
			F98_1334(RTCW(tr1), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_), loc1, loc2, loc3);
		} else {
			tr1 = RTLNS(eif_new_type(97, 0x00).id, 97, _OBJSIZ_0_0_0_0_0_0_0_0_);
			F98_1333(RTCW(tr1), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_2_), *(EIF_POINTER *)(Current+ _PTROFF_6_7_0_5_0_1_), loc1, loc2, loc3);
		}
	}
	RTLE;
}

/* {EV_SCREEN_IMP}.app_implementation */
static EIF_REFERENCE F1528_16789_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (16789);
#define Result RTOSR(16789)
	RTOC_NEW(Result);
	RTCT0("attached {EV_APPLICATION_IMP} (create {EV_ENVIRONMENT}).implementation.application_i as l_result", EX_CHECK);
	tr1 = RTLNS(eif_new_type(1114, 0x00).id, 1114, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1103_10234(RTCW(tr1));
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_1_);
	tr1 = F1317_13128(RTCW(tr1));
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1319, 0x00),loc1);
	if (EIF_TEST(loc1)) {
		RTCK0;
	} else {
		RTCF0;
	}
	Result = (EIF_REFERENCE) loc1;
	RTOSE (16789);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1528_16789 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(16789,F1528_16789_body,(Current));
}

/* {EV_SCREEN_IMP}.destroy */
void F1528_16790 (EIF_REFERENCE Current)
{
	GTCX
	
	
	F1295_12720(Current, (EIF_BOOLEAN) 1);
}

void EIF_Minit882 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
