/*
 * Code for class EV_APPLICATION_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev1009.h"
#include <string.h>
#include "eif_main.h"
#include "eif_built_in.h"
#include <gmodule.h>
#include "eif_except.h"
#include <ev_gtk.h>
#include <stdlib.h>
#include "ev_c_util.h"
#include <ev_any_imp.h>
#include "eif_helpers.h"
#include "eif_argv.h"
#include "eif_misc.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F222_3085
static void inline_F222_3085 (EIF_POINTER arg1)
{
	return gdk_set_allowed_backends ( (const gchar*) arg1);
	;
}
#define INLINE_F222_3085
#endif
#ifndef INLINE_F318_5072
static int inline_F318_5072 (void)
{
	#ifdef WORKBENCH
	return EIF_TEST(is_debug_mode());
#else
	return EIF_FALSE;
#endif
	;
}
#define INLINE_F318_5072
#endif
#ifndef INLINE_F222_3122
static EIF_POINTER inline_F222_3122 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gdk_display_get_default_screen ((GdkDisplay*) arg1))
	;
}
#define INLINE_F222_3122
#endif
#ifndef INLINE_F222_3281
static EIF_POINTER inline_F222_3281 (EIF_POINTER arg1)
{
	return (EIF_POINTER) (gdk_screen_get_system_visual ((GdkScreen*) arg1))
	;
}
#define INLINE_F222_3281
#endif
#ifndef INLINE_F222_3179
static EIF_INTEGER_32 inline_F222_3179 (EIF_POINTER arg1)
{
	return (EIF_INTEGER_32) (gdk_visual_get_depth ((GdkVisual*) arg1))
	;
}
#define INLINE_F222_3179
#endif
#ifndef INLINE_F221_3033
static void inline_F221_3033 (EIF_POINTER arg1)
{
	#ifdef GDK_WINDOWING_X11
	return gdk_x11_display_error_trap_push ((GdkDisplay *)arg1);
#endif
	;
}
#define INLINE_F221_3033
#endif
#ifndef INLINE_F222_3284
static EIF_POINTER inline_F222_3284 (void)
{
	return gdk_screen_get_default()
	;
}
#define INLINE_F222_3284
#endif
#ifndef INLINE_F1728_18153
static int inline_F1728_18153 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	return (FUNCTION_CAST(gboolean, (GdkScreen*)) arg1)((GdkScreen*) arg2);
	;
}
#define INLINE_F1728_18153
#endif
#ifndef INLINE_F222_3124
static EIF_INTEGER_32 inline_F222_3124 (EIF_POINTER arg1)
{
	return gdk_display_get_n_monitors ((GdkDisplay*) arg1)
	;
}
#define INLINE_F222_3124
#endif
#ifndef INLINE_F222_3130
static void inline_F222_3130 (EIF_POINTER arg1, EIF_POINTER arg2)
{
	gdk_monitor_get_geometry ((GdkMonitor*) arg1, (GdkRectangle*) arg2)
	;
}
#define INLINE_F222_3130
#endif
#ifndef INLINE_F1728_18290
static void inline_F1728_18290 (EIF_POINTER arg1)
{
	{
				  GdkDisplay *display = gdk_display_get_default ();
				  int num_monitors = gdk_display_get_n_monitors (display);

				  gint x, y, w, h;

				  x = y = G_MAXINT;
				  w = h = G_MININT;

				  for (int i = 0; i < num_monitors; i++)
				    {
				      GdkRectangle rect;
				      GdkMonitor *monitor = gdk_display_get_monitor (display, i);
				      gdk_monitor_get_geometry (monitor, &rect);

				      x = MIN (x, rect.x);
				      y = MIN (y, rect.y);
				      w = MAX (w, rect.x + rect.width);
				      h = MAX (h, rect.y + rect.height);
				    }

				  ((GdkRectangle *)arg1)->width = w - x;
				  ((GdkRectangle *)arg1)->height = h - y;
				}
	;
}
#define INLINE_F1728_18290
#endif
#ifndef INLINE_F222_3129
static void inline_F222_3129 (EIF_POINTER arg1)
{
	gdk_display_flush ((GdkDisplay *)arg1);
	;
}
#define INLINE_F222_3129
#endif
#ifndef INLINE_F222_3113
static void inline_F222_3113 (EIF_POINTER arg1)
{
	g_object_unref((gpointer) arg1)
	;
}
#define INLINE_F222_3113
#endif
#ifndef INLINE_F69_967
static EIF_POINTER inline_F69_967 (void)
{
	return (GdkDevice*) gdk_seat_get_pointer((GdkSeat*) gdk_display_get_default_seat ((GdkDisplay*) gdk_display_get_default()));
	;
}
#define INLINE_F69_967
#endif
#ifndef INLINE_F69_964
static void inline_F69_964 (EIF_POINTER arg1, EIF_INTEGER_32* arg2, EIF_INTEGER_32* arg3)
{
	return gdk_device_get_position ((GdkDevice*) arg1, NULL, (gint*) arg2, (gint*) arg3);
	;
}
#define INLINE_F69_964
#endif
#ifndef INLINE_F318_5071
static void inline_F318_5071 (EIF_BOOLEAN arg1)
{
	#ifdef WORKBENCH
	set_debug_mode (arg1 ? 1 : 0);
#endif
	;
}
#define INLINE_F318_5071
#endif
#ifndef INLINE_F1742_18442
static EIF_REFERENCE inline_F1742_18442 (EIF_POINTER arg1)
{
	return (EIF_REFERENCE) (c_ev_any_imp_get_eif_reference_from_object_id (arg1))
	;
}
#define INLINE_F1742_18442
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_APPLICATION_IMP}.make */
void F1728_18147 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE tr5 = NULL;
	EIF_REFERENCE tr6 = NULL;
	EIF_REFERENCE tr7 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLR(2,Current);
	RTLR(3,tr3);
	RTLR(4,tr4);
	RTLR(5,tr5);
	RTLR(6,tr6);
	RTLR(7,tr7);
	RTLIU(8);
	
	RTEAA("make", 1727, Current, 0, 0, 24092);
	RTGC;
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(224, 0x00).id, 224, _OBJSIZ_0_0_0_0_0_0_0_0_);
	if (RTOSCF(3845,F225_3845, (RTCW(tr1)))) {
		RTHOOK(2);
		tr1 = RTLNS(eif_new_type(1218, 0x00).id, 1218, _OBJSIZ_0_1_0_1_0_1_0_0_);
		tr2 = RTMS_EX_H("x11",3,7876913);
		F1219_10755(RTCW(tr1), tr2);
		tp1 = *(EIF_POINTER *)(RTCW(tr1)+ _PTROFF_0_1_0_1_0_0_);
		inline_F222_3085(tp1);
	}
	RTHOOK(3);
	tr1 = RTMS_EX_H("0",1,48);
	tr2 = RTMS_EX_H("LIBOVERLAY_SCROLLBAR",20,1673493842);
	F651_9105(Current, tr1, tr2);
	RTHOOK(4);
	tr1 = RTLNSMART(eif_new_type(1525, 0).id);
	F1524_14942(RTCW(tr1), ((EIF_INTEGER_32) 4L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_47_) = (EIF_REFERENCE) tr1;
	RTHOOK(5);
	tb1 = (EIF_BOOLEAN) EIF_TEST(gtk_init_check (&eif_argc, &eif_argv));
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_) = (EIF_BOOLEAN) tb1;
	RTHOOK(6);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1435,1507,1441,1441,1453,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_48_) = (EIF_REFERENCE) tr1;
	RTHOOK(7);
	tr1 = RTLNSMART(eif_new_type(1255, 0).id);
	F1256_11980(RTCW(tr1));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_42_) = (EIF_REFERENCE) tr1;
	RTHOOK(8);
	{
		static EIF_TYPE_INDEX typarr0[] = {1003,1441,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	F1004_9906(RTCW(tr1));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_43_) = (EIF_REFERENCE) tr1;
	RTHOOK(9);
	tr1 = F1516_14705(RTMS_EX_H("",0,0));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_22_) = (EIF_REFERENCE) tr1;
	RTHOOK(10);
	F1727_18042(Current);
	RTHOOK(11);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_)) {
		RTHOOK(12);
		F1728_18284(Current);
		RTHOOK(13);
		tb1 = EIF_TEST (inline_F318_5072());
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_) = (EIF_BOOLEAN) tb1;
		RTHOOK(14);
		enable_ev_gtk_log((EIF_INTEGER) ((EIF_INTEGER_32) 0L));
		RTHOOK(15);
		gdk_set_show_events((gboolean) (EIF_BOOLEAN) 0);
		RTHOOK(16);
		tp1 = (EIF_POINTER) gdk_display_get_default();
		tp1 = inline_F222_3122(tp1);
		tp1 = inline_F222_3281(tp1);
		ti4_1 = inline_F222_3179(tp1);
		ti4_1 = eif_min_int32 (ti4_1,((EIF_INTEGER_32) 24L));
		*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_18_) = (EIF_INTEGER_32) ti4_1;
		RTHOOK(17);
		F1234_11650(Current);
		RTHOOK(18);
		F1728_18247(Current, ((EIF_INTEGER_32) 500L));
		RTHOOK(19);
		if (RTOSCF(18154,F1728_18154, (Current))) {
			RTHOOK(20);
			tp1 = (EIF_POINTER) gdk_display_get_default();
			inline_F221_3033(tp1);
		}
		RTHOOK(21);
		F1728_18149(Current);
		RTHOOK(22);
		tp1 = (EIF_POINTER) gtk_im_context_simple_new();
		*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_) = (EIF_POINTER) tp1;
		RTHOOK(23);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_42_);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		tr2 = RTLNS(eif_new_type(69, 0x00).id, 69, _OBJSIZ_0_0_0_0_0_0_0_0_);
		tr3 = RTOSCF(1023,F70_1023, (RTCW(tr2)));
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1435,0,0xFFFF};
			EIF_TYPE typres0;
			typarr0[3] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr4 = RTLNTS(typres0.id, 2, 0);
		}
		((EIF_TYPED_VALUE *)tr4+1)->it_r = Current;
		RTAR(tr4,Current);
		
		{
			static EIF_TYPE_INDEX typarr0[] = {1513,0xFFF9,1,1435,1507,1507,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr7= RTLNRF(typres0.id, (EIF_POINTER) __A1009_425_2, (EIF_POINTER) _A1009_425_2, (EIF_POINTER)(F1728_18148),tr4, 1, 1);
		}
		F1256_11984(RTCW(tr1), tp1, tr3, tr7);
	} else {
		RTHOOK(24);
		tr1 = RTMS_EX_H("EiffelVision application could not launch, check DISPLAY environment variable\012",78,1906588938);
		F1_27(Current, tr1);
		RTHOOK(25);
		esdie(((EIF_INTEGER_32) 0L));
	}
	RTHOOK(26);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.on_char_event */
EIF_POINTER F1728_18148 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEAA("on_char_event", 1727, Current, 1, 1, 24093);
	RTGC;
	RTHOOK(1);
	loc1 = (EIF_POINTER) g_value_peek_pointer((GValue*) arg1);
	RTHOOK(2);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc1 != tp1)) {
		RTHOOK(3);
		tr1 = RTOSCF(18282,F1728_18282, (Current));
		F1219_10757(RTCW(tr1), loc1);
	} else {
		RTHOOK(4);
		tr1 = RTOSCF(18282,F1728_18282, (Current));
		tr2 = RTMS_EX_H("",0,0);
		F1219_10755(RTCW(tr1), tr2);
	}
	RTHOOK(5);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_47_);
	F1526_15086(RTCW(tr1));
	RTHOOK(6);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_47_);
	tr2 = F1219_10753(RTCV(RTOSCF(18282,F1728_18282, (Current))));
	F1526_15057(RTCW(tr1), tr2);
	RTHOOK(7);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
	gtk_im_context_reset((GtkIMContext*) tp1);
	RTHOOK(8);
	RTLE;
	RTEE;
	return (EIF_POINTER) 0;
}

/* {EV_APPLICATION_IMP}.update_screen_meta_data */
void F1728_18149 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("update_screen_meta_data", 1727, Current, 3, 0, 24094);
	RTGC;
	RTHOOK(1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_13_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(2);
	loc2 = RTOSCF(18152,F1728_18152, (Current));
	RTHOOK(3);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc2 != tp1)) {
		RTHOOK(4);
		tp1 = inline_F222_3284();
		tb1 = EIF_TEST (inline_F1728_18153(loc2, tp1));
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_7_) = (EIF_BOOLEAN) tb1;
	}
	RTHOOK(5);
	tp1 = (EIF_POINTER) gdk_display_get_default();
	ti4_1 = inline_F222_3124(tp1);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_17_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(6);
	loc1 = RTOSCF(18280,F1728_18280, (Current));
	RTHOOK(7);
	tp1 = (EIF_POINTER) gdk_display_get_default();
	tp1 = (EIF_POINTER) gdk_display_get_primary_monitor((GdkDisplay*) tp1);
	*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_1_) = (EIF_POINTER) tp1;
	RTHOOK(8);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_1_);
	inline_F222_3130(tp1, loc1);
	RTHOOK(9);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_) = (EIF_INTEGER_32) (EIF_INTEGER_32) -(EIF_INTEGER_32) (((GdkRectangle *)loc1)->x);
	RTHOOK(10);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_) = (EIF_INTEGER_32) (EIF_INTEGER_32) -(EIF_INTEGER_32) (((GdkRectangle *)loc1)->y);
	RTHOOK(11);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc1)->width);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_15_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(12);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc1)->height);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_16_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(13);
	loc3 = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	RTHOOK(14);
	inline_F1728_18290(loc3);
	RTHOOK(15);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc3)->width);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_13_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(16);
	ti4_1 = (EIF_INTEGER_32) (((GdkRectangle *)loc3)->height);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_14_) = (EIF_INTEGER_32) ti4_1;
	RTHOOK(17);
	free(loc3);
	RTHOOK(18);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.gdk_screen_is_composited_symbol */
static EIF_POINTER F1728_18152_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("gdk_screen_is_composited_symbol", 1727, Current, 0, 0, 24097);
	RTGC;
	RTOSP (18152);
#define Result RTOSR(18152)
	RTHOOK(1);
	tr1 = RTMS_EX_H("gdk_screen_is_composited",24,1829865316);
	Result = F1728_18178(Current, tr1);
	RTOSE (18152);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1728_18152 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18152,F1728_18152_body,(Current));
}

/* {EV_APPLICATION_IMP}.gdk_screen_is_composited_call */
EIF_BOOLEAN F1728_18153 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_POINTER arg2)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gdk_screen_is_composited_call", 1727, Current, 0, 2, 24098);
	Result = EIF_TEST(inline_F1728_18153 ((EIF_POINTER) arg1, (EIF_POINTER) arg2));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.is_x11_session */
static EIF_BOOLEAN F1728_18154_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	

	
	RTEAA("is_x11_session", 1727, Current, 0, 0, 24099);
	RTOSP (18154);
#define Result RTOSR(18154)
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(224, 0x00).id, 224, _OBJSIZ_0_0_0_0_0_0_0_0_);
	Result = RTOSCF(3844,F225_3844, (RTCW(tr1)));
	RTOSE (18154);
	RTHOOK(2);
	RTEE;
	return Result;
#undef Result
}

EIF_BOOLEAN F1728_18154 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18154,F1728_18154_body,(Current));
}

/* {EV_APPLICATION_IMP}.has_x11_support */
RTEOMS(18154,1);
static EIF_BOOLEAN F1728_18155_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(4);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLIU(4);
	
	RTEAA("has_x11_support", 1727, Current, 1, 0, 24100);
	RTGC;
	RTOSP (18155);
#define Result RTOSR(18155)
	RTHOOK(1);
	Result = RTOSCF(18154,F1728_18154, (Current));
	RTHOOK(2);
	if (Result) {
		RTHOOK(3);
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_mac__b) {
			RTHOOK(4);
			Result = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		} else {
			RTHOOK(5);
			tr1 = RTLNS(eif_new_type(650, 0x00).id, 650, _OBJSIZ_0_0_0_1_0_0_0_0_);
			tr2 = F651_9092(RTCW(tr1), RTOMS(18154,0));
			loc1 = tr2;
			if (EIF_TEST(loc1)) {
				RTHOOK(6);
				tr1 = RTMS_EX_H("no",2,28271);
				Result = F1516_14688(loc1, tr1);
				Result = (EIF_BOOLEAN) (EIF_BOOLEAN) !Result;
			}
		}
	}
	RTOSE (18155);
	RTHOOK(7);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_BOOLEAN F1728_18155 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18155,F1728_18155_body,(Current));
}

/* {EV_APPLICATION_IMP}.call_post_launch_actions */
void F1728_18156 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("call_post_launch_actions", 1727, Current, 0, 0, 24101);
	RTGC;
	RTHOOK(1);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_11_)) {
		RTHOOK(2);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		tp2 = F1728_18276(Current);
		gtk_im_context_set_client_window((GtkIMContext*) tp1, (GdkWindow*) tp2);
		RTHOOK(3);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_3_);
		gtk_im_context_focus_in((GtkIMContext*) tp1);
	}
	RTHOOK(4);
	F1727_18124(Current);
	RTHOOK(5);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.is_display_remote */
EIF_BOOLEAN F1728_18168 (EIF_REFERENCE Current)
{
	return *(EIF_BOOLEAN *)(Current+ _CHROFF_49_13_);
}


/* {EV_APPLICATION_IMP}.set_currently_shown_control */
void F1728_18169 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_currently_shown_control", 1727, Current, 0, 1, 24114);
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_41_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.focused_widget */
EIF_REFERENCE F1728_18171 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(8);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,loc4);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,loc5);
	RTLR(6,loc6);
	RTLR(7,Result);
	RTLIU(8);
	
	RTEAA("focused_widget", 1727, Current, 6, 0, 24116);
	RTGC;
	RTHOOK(1);
	loc1 = F1728_18185(Current);
	RTHOOK(2);
	tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R8154[Dtype(RTCW(loc1))-681])(loc1);
	loc4 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R8523[Dtype(loc4)-1024])(loc4);
		if (tb1) break;
		RTHOOK(3);
		if ((EIF_BOOLEAN)(Result != NULL)) break;
		RTHOOK(4);
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R8522[Dtype(loc4)-1024])(loc4);
		RTHOOK(5);
		tb2 = F1591_15677(RTCW(loc2));
		if (tb2) {
			RTHOOK(6);
			tb2 = F1609_16060(RTCW(loc2));
			if (tb2) {
				RTHOOK(7);
				tr1 = *(EIF_REFERENCE *)(RTCW(loc2) + O10574[Dtype(loc2)-1360]);
				loc5 = tr1;
				loc5 = RTRV(eif_new_type(1826, 0x00),loc5);
				if (EIF_TEST(loc5)) {
					RTHOOK(8);
					tp1 = *(EIF_POINTER *)(loc5 + O14830[Dtype(loc5)-1741]);
					loc3 = (EIF_POINTER) gtk_window_get_focus((GtkWindow*) tp1);
					RTHOOK(9);
					tb2 = !loc3;
					if ((EIF_BOOLEAN) !tb2) {
						RTHOOK(10);
						tr1 = F1728_18271(Current, loc3);
						loc6 = tr1;
						loc6 = RTRV(eif_new_type(1789, 0x00),loc6);
						if (EIF_TEST(loc6)) {
							RTHOOK(11);
							Result = *(EIF_REFERENCE *)(loc6 + O14178[Dtype(loc6)-1702]);
						}
					}
				} else {
					
				}
			} else {
				RTHOOK(13);
				Result = (EIF_REFERENCE) loc2;
			}
		}
		RTHOOK(14);
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R8524[Dtype(loc4)-1024])(loc4);
	}
	RTHOOK(15);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.wait_for_input */
void F1728_18172 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("wait_for_input", 1727, Current, 0, 1, 24117);
	RTHOOK(1);
	F1728_18244(Current, arg1);
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.print_debug_event */
void F1728_18173 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_REFERENCE arg2, EIF_POINTER arg3)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("print_debug_event", 1727, Current, 2, 3, 24118);
	RTGC;
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.process_underlying_toolkit_event_queue */
RTEOMS(18173,2);
void F1728_18174 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc7 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_POINTER loc13 = (EIF_POINTER) 0;
	EIF_POINTER loc14 = (EIF_POINTER) 0;
	EIF_REFERENCE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc17 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc18 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc19 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc20 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc21 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc22 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc23 = (EIF_INTEGER_32) 0;
	EIF_BOOLEAN loc24 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc25 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc26 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc27 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc28 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc29 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc30 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc31 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc32 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc33 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc34 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc35 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc36 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc37 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc38 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc39 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc40 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc41 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER tp3;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REAL_64 tr8_1;
	EIF_REAL_64 tr8_2;
	EIF_REAL_64 tr8_3;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_INTEGER_32 ti4_5;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_INTEGER_8 ti1_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(24);
	RTLR(0,loc15);
	RTLR(1,Current);
	RTLR(2,loc16);
	RTLR(3,loc30);
	RTLR(4,tr1);
	RTLR(5,loc31);
	RTLR(6,loc32);
	RTLR(7,loc8);
	RTLR(8,loc10);
	RTLR(9,loc9);
	RTLR(10,tr2);
	RTLR(11,loc33);
	RTLR(12,tr3);
	RTLR(13,loc34);
	RTLR(14,loc12);
	RTLR(15,loc11);
	RTLR(16,loc35);
	RTLR(17,loc36);
	RTLR(18,loc37);
	RTLR(19,loc38);
	RTLR(20,loc39);
	RTLR(21,loc40);
	RTLR(22,loc25);
	RTLR(23,loc41);
	RTLIU(24);
	
	RTEAA("process_underlying_toolkit_event_queue", 1727, Current, 41, 0, 24119);
	RTGC;
	RTHOOK(1);
	loc15 = RTOSCF(18189,F1728_18189, (Current));
	RTHOOK(2);
	loc16 = RTOSCF(18190,F1728_18190, (Current));
	for (;;) {
		RTHOOK(3);
		tb1 = '\01';
		if (!loc17) {
			tb1 = F1703_17593(Current);
		}
		if (tb1) break;
		RTHOOK(4);
		loc1 = (EIF_POINTER) gdk_event_get();
		RTHOOK(5);
		tb2 = !loc1;
		if ((EIF_BOOLEAN) !tb2) {
			RTHOOK(6);
			loc3 = (EIF_POINTER) gtk_get_event_widget((GdkEvent*) loc1);
			RTHOOK(7);
			ti1_1 = (EIF_INTEGER_8) (((GdkEventAny *)loc1)->send_event);
			loc29 = (EIF_BOOLEAN) (EIF_BOOLEAN)(ti1_1 != (EIF_INTEGER_8) ((EIF_INTEGER_32) 0L));
			RTHOOK(8);
			loc27 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			RTHOOK(9);
			loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			RTHOOK(10);
			loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
			RTHOOK(11);
			loc4 = (EIF_POINTER) gtk_grab_get_current();
			RTHOOK(12);
			tb2 = !loc4;
			if (tb2) {
				RTHOOK(13);
				loc24 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
				RTHOOK(14);
				loc4 = (EIF_POINTER) loc3;
			} else {
				RTHOOK(15);
				loc24 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
				RTHOOK(16);
				tb2 = '\0';
				tr1 = F1728_18256(Current);
				loc30 = tr1;
				if (EIF_TEST(loc30)) {
					tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R14889[Dtype(loc30)-1745])(loc30);
					tb2 = (EIF_BOOLEAN) !tb3;
				}
				if (tb2) {
					RTHOOK(17);
					tr8_1 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					tr8_2 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					tr8_3 = (EIF_REAL_64) (((EIF_INTEGER_32) 0L));
					F1788_19144(loc30, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), tr8_1, tr8_2, tr8_3, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L));
				} else {
					RTHOOK(18);
					tb2 = '\0';
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
					loc31 = tr1;
					if (EIF_TEST(loc31)) {
						tb3 = F1591_15676(loc31);
						tb2 = (EIF_BOOLEAN) !tb3;
					}
					if (tb2) {
						RTHOOK(19);
						F1591_15683(loc31);
					}
				}
			}
			RTHOOK(20);
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_8) (((GdkEventAny *)loc1)->type);
			RTHOOK(21);
			switch (loc2) {
				case 3L:
					RTHOOK(22);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(23);
					*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(24);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->x);
					loc19 = (EIF_INTEGER_32) tr8_1;
					RTHOOK(25);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->y);
					loc20 = (EIF_INTEGER_32) tr8_1;
					RTHOOK(26);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->x_root);
					loc21 = (EIF_INTEGER_32) tr8_1;
					ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
					loc21 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc21 + ti4_1);
					RTHOOK(27);
					tr8_1 = (EIF_REAL_64) (((GdkEventMotion *)loc1)->y_root);
					loc22 = (EIF_INTEGER_32) tr8_1;
					ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
					loc22 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc22 + ti4_1);
					RTHOOK(28);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					tp1 = (EIF_POINTER) (((GdkEventMotion *)loc1)->window);
					
					eif_put_pointer_item(RTCW(tr1),1,tp1);
					RTHOOK(29);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					
					eif_put_integer_32_item(RTCW(tr1),2,loc21);
					RTHOOK(30);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					
					eif_put_integer_32_item(RTCW(tr1),3,loc22);
					RTHOOK(31);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
					tu4_1 = (EIF_NATURAL_32) (((GdkEventMotion *)loc1)->state);
					
					eif_put_natural_32_item(RTCW(tr1),4,tu4_1);
					RTHOOK(32);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(33);
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
					loc32 = tr1;
					if (EIF_TEST(loc32)) {
						RTHOOK(34);
						loc8 = *(EIF_REFERENCE *)(loc32 + O10574[Dtype(loc32)-1360]);
						loc8 = RTRV(eif_new_type(1787, 0x00), loc8);
					} else {
						RTHOOK(35);
						if ((EIF_BOOLEAN)(F1728_18256(Current) != NULL)) {
							RTHOOK(36);
							loc8 = F1728_18256(Current);
						} else {
							RTHOOK(37);
							tr1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
							tp2 = eif_pointer_item(RTCW(tr1),1);
							loc8 = F1728_18273(Current, tp2);
							loc8 = RTRV(eif_new_type(1787, 0x00), loc8);
						}
					}
					RTHOOK(38);
					tb2 = '\0';
					if ((EIF_BOOLEAN)(loc8 != NULL)) {
						tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R14889[Dtype(RTCW(loc8))-1745])(loc8);
						tb2 = tb3;
					}
					if (tb2) {
						RTHOOK(39);
						loc10 = F1744_18514(RTCW(loc8));
						RTHOOK(40);
						if ((EIF_BOOLEAN)(loc10 != NULL)) {
							RTHOOK(41);
							tb2 = F1827_20176(RTCW(loc10));
							if ((EIF_BOOLEAN) !tb2) {
								RTHOOK(42);
								gtk_main_do_event((GdkEvent*) loc1);
								RTHOOK(43);
								if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_9_) != NULL)) {
									RTHOOK(44);
									loc9 = loc8;
									loc9 = RTRV(eif_new_type(1789, 0x00), loc9);
									RTHOOK(45);
									if ((EIF_BOOLEAN)(loc9 != NULL)) {
										RTHOOK(46);
										tr1 = F1703_17594(RTCW(loc9));
										
										eif_put_reference_item(RTCW(loc16),1,tr1);
										RTHOOK(47);
										
										eif_put_integer_32_item(RTCW(loc16),2,loc21);
										RTHOOK(48);
										
										eif_put_integer_32_item(RTCW(loc16),3,loc22);
										RTHOOK(49);
										tr2 = *(EIF_REFERENCE *)(Current + _REFACS_9_);
										(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8857[Dtype(RTCW(tr2))-1188])(tr2, loc16);
										RTHOOK(50);
										tr2 = RTOSCF(18278,F1728_18278, (Current));
										
										eif_put_reference_item(RTCW(loc16),1,tr2);
									}
								}
								RTHOOK(51);
								tp2 = *(EIF_POINTER *)(RTCW(loc8) + O14830[Dtype(loc8)-1741]);
								ti4_1 = (EIF_INTEGER_32) gtk_widget_get_state_flags((GtkWidget*) tp2);
								ti4_2 = (EIF_INTEGER_32) GTK_STATE_FLAG_INSENSITIVE;
								ti4_1 = eif_bit_and(ti4_1,ti4_2);
								if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 0L))) {
									RTHOOK(52);
									tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R14854[Dtype(RTCW(loc8))-1742])(loc8);
									if ((EIF_BOOLEAN)((EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2) != (EIF_POINTER) (((GdkEventMotion *)loc1)->window))) {
										RTHOOK(53);
										tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R14854[Dtype(RTCW(loc8))-1742])(loc8);
										gtk_widget_realize((GtkWidget*) tp2);
										RTHOOK(54);
										tp2 = (FUNCTION_CAST(EIF_POINTER, (EIF_REFERENCE)) R14854[Dtype(RTCW(loc8))-1742])(loc8);
										tp2 = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2);
										loc18 = (EIF_INTEGER_32) gdk_window_get_origin((GdkWindow*) tp2, (gint*) (EIF_INTEGER_32 *) &(loc19), (gint*) (EIF_INTEGER_32 *) &(loc20));
										RTHOOK(55);
										loc19 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc21 - loc19);
										RTHOOK(56);
										loc20 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc22 - loc20);
									}
									RTHOOK(57);
									
									eif_put_integer_32_item(RTCW(loc15),1,loc19);
									RTHOOK(58);
									
									eif_put_integer_32_item(RTCW(loc15),2,loc20);
									RTHOOK(59);
									
									eif_put_real_64_item(RTCW(loc15),3,(EIF_REAL_64) 0.5);
									RTHOOK(60);
									
									eif_put_real_64_item(RTCW(loc15),4,(EIF_REAL_64) 0.5);
									RTHOOK(61);
									
									eif_put_real_64_item(RTCW(loc15),5,(EIF_REAL_64) 0.5);
									RTHOOK(62);
									
									eif_put_integer_32_item(RTCW(loc15),6,loc21);
									RTHOOK(63);
									
									eif_put_integer_32_item(RTCW(loc15),7,loc22);
									RTHOOK(64);
									(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R15352[Dtype(RTCW(loc8))-1802])(loc8, loc15);
								}
							}
						} else {
							RTHOOK(65);
							gtk_main_do_event((GdkEvent*) loc1);
						}
					} else {
						RTHOOK(66);
						gtk_main_do_event((GdkEvent*) loc1);
					}
					RTHOOK(67);
					loc9 = (EIF_REFERENCE) NULL;
					RTHOOK(68);
					loc8 = (EIF_REFERENCE) NULL;
					RTHOOK(69);
					*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(70);
					if ((EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventMotion *)loc1)->is_hint) != ((EIF_INTEGER_32) 0L))) {
						RTHOOK(71);
						F1728_18262(Current);
					}
					break;
				case 4L:
				case 5L:
				case 6L:
				case 7L:
					RTHOOK(72);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(73);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(74);
					F1728_18191(Current, loc1, (EIF_BOOLEAN) 0);
					break;
				case 31L:
					RTHOOK(75);
					if ((EIF_BOOLEAN) !F1728_18255(Current)) {
						RTHOOK(76);
						tr3 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
						loc33 = tr3;
						if (EIF_TEST(loc33)) {
							RTHOOK(77);
							ti4_1 = (EIF_INTEGER_32) GDK_BUTTON_PRESS;
							tr8_1 = (EIF_REAL_64) (((GdkEventScroll *)loc1)->x_root);
							ti4_2 = (EIF_INTEGER_32) tr8_1;
							ti4_3 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
							tr8_1 = (EIF_REAL_64) (((GdkEventScroll *)loc1)->y_root);
							ti4_4 = (EIF_INTEGER_32) tr8_1;
							ti4_5 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
							F1828_20208(loc33, ti4_1, ((EIF_INTEGER_32) 2L), (EIF_INTEGER_32) (ti4_2 + ti4_3), (EIF_INTEGER_32) (ti4_4 + ti4_5));
						}
						RTHOOK(78);
						tp2 = eif_pointer_item(RTCV(F1728_18261(Current)),1);
						{
							/* INLINED CODE (ANY.default_pointer) */
							tp3 = (EIF_POINTER)  0;
							/* END INLINED CODE */
						}
						if ((EIF_BOOLEAN)(tp2 != tp3)) {
							RTHOOK(79);
							tr3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
							tp2 = eif_pointer_item(RTCW(tr3),1);
							loc9 = F1728_18273(Current, tp2);
							loc9 = RTRV(eif_new_type(1789, 0x00), loc9);
						} else {
							RTHOOK(80);
							loc9 = (EIF_REFERENCE) NULL;
						}
						RTHOOK(81);
						if ((EIF_BOOLEAN)(loc9 == NULL)) {
							RTHOOK(82);
							loc9 = F1728_18271(Current, loc3);
							loc9 = RTRV(eif_new_type(1789, 0x00), loc9);
						}
						RTHOOK(83);
						if ((EIF_BOOLEAN)(loc9 != NULL)) {
							RTHOOK(84);
							if ((EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventScroll *)loc1)->direction) == (EIF_INTEGER_32) GDK_SCROLL_UP)) {
								RTHOOK(85);
								loc23 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
							} else {
								RTHOOK(86);
								loc23 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 5L);
							}
							RTHOOK(87);
							ti4_1 = (EIF_INTEGER_32) GDK_BUTTON_PRESS;
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_REAL_64, EIF_REAL_64, EIF_REAL_64, EIF_INTEGER_32, EIF_INTEGER_32)) R15354[Dtype(RTCW(loc9))-1802])(loc9, ti4_1, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L), loc23, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, ((EIF_INTEGER_32) 0L), ((EIF_INTEGER_32) 0L));
						}
						RTHOOK(88);
						loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					} else {
						RTHOOK(89);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					}
					RTHOOK(90);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					break;
				case 20L:
				case 21L:
					break;
				case 16L:
					break;
				case 2L:
					break;
				case 30L:
					break;
				case 12L:
					RTHOOK(91);
					loc10 = F1728_18271(Current, loc3);
					loc10 = RTRV(eif_new_type(1826, 0x00), loc10);
					RTHOOK(92);
					if ((EIF_BOOLEAN)(loc10 != NULL)) {
						RTHOOK(93);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						RTHOOK(94);
						gtk_main_do_event((GdkEvent*) loc1);
						RTHOOK(95);
						ti1_1 = (EIF_INTEGER_8) (((GdkEventFocus *)loc1)->in);
						tr3 = RTLNS(eif_new_type(1447, 0x00).id, 1447, _OBJSIZ_0_1_0_0_0_0_0_0_);
						*(EIF_INTEGER_8 *)tr3 = ti1_1;
						tb2 = F1446_13871(RTCW(tr3));
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_BOOLEAN)) R15404[Dtype(RTCW(loc10))-1802])(loc10, tb2);
						RTHOOK(96);
						loc10 = (EIF_REFERENCE) NULL;
					}
					break;
				case 13L:
					RTHOOK(97);
					tr3 = F1728_18271(Current, loc3);
					loc34 = tr3;
					loc34 = RTRV(eif_new_type(1744, 0x00),loc34);
					if (EIF_TEST(loc34)) {
						RTHOOK(98);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						RTHOOK(99);
						gtk_main_do_event((GdkEvent*) loc1);
						RTHOOK(100);
						ti4_1 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->x);
						ti4_2 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->y);
						ti4_3 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->width);
						ti4_4 = (EIF_INTEGER_32) (((GdkEventConfigure *)loc1)->height);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32)) R14922[Dtype(loc34)-1745])(loc34, ti4_1, ti4_2, ti4_3, ti4_4);
						RTHOOK(101);
						loc12 = (EIF_REFERENCE) NULL;
					}
					break;
				case 14L:
					RTHOOK(102);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(103);
					gtk_main_do_event((GdkEvent*) loc1);
					RTHOOK(104);
					loc9 = F1728_18271(Current, loc3);
					loc9 = RTRV(eif_new_type(1789, 0x00), loc9);
					RTHOOK(105);
					if ((EIF_BOOLEAN)(loc9 != NULL)) {
						RTHOOK(106);
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R15415[Dtype(RTCW(loc9))-1802])(loc9);
					}
					RTHOOK(107);
					loc9 = (EIF_REFERENCE) NULL;
					break;
				case 15L:
					RTHOOK(108);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(109);
					gtk_main_do_event((GdkEvent*) loc1);
					RTHOOK(110);
					loc11 = F1728_18271(Current, loc3);
					loc11 = RTRV(eif_new_type(1743, 0x00), loc11);
					RTHOOK(111);
					if ((EIF_BOOLEAN)(loc11 != NULL)) {
						RTHOOK(112);
						tr3 = *(EIF_REFERENCE *)(RTCW(loc11) + O14178[Dtype(loc11)-1702]);
						if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_41_) == tr3)) {
							RTHOOK(113);
							F1728_18169(Current, NULL);
						}
						RTHOOK(114);
						loc9 = loc11;
						loc9 = RTRV(eif_new_type(1789, 0x00), loc9);
						RTHOOK(115);
						if ((EIF_BOOLEAN)(loc9 != NULL)) {
							RTHOOK(116);
							F1790_19221(RTCW(loc9));
							RTHOOK(117);
							loc9 = (EIF_REFERENCE) NULL;
						}
						RTHOOK(118);
						loc11 = (EIF_REFERENCE) NULL;
					}
					break;
				case 17L:
					break;
				case 18L:
					break;
				case 19L:
					RTHOOK(119);
					tr3 = F1728_18171(Current);
					loc35 = tr3;
					if (EIF_TEST(loc35)) {
						RTHOOK(120);
						loc9 = *(EIF_REFERENCE *)(loc35 + O10574[Dtype(loc35)-1360]);
						loc9 = RTRV(eif_new_type(1789, 0x00), loc9);
					} else {
						RTHOOK(121);
						tr3 = RTLNS(eif_new_type(1389, 0x00).id, 1389, _OBJSIZ_2_0_0_0_0_0_0_0_);
						F1361_12776(RTCW(tr3));
						tr3 = F1390_13145(RTCW(tr3));
						loc36 = tr3;
						if (EIF_TEST(loc36)) {
							RTHOOK(122);
							loc9 = *(EIF_REFERENCE *)(loc36 + O10574[Dtype(loc36)-1360]);
							loc9 = RTRV(eif_new_type(1789, 0x00), loc9);
						}
					}
					RTHOOK(123);
					loc37 = loc9;
					loc37 = RTRV(eif_new_type(1874, 0x00),loc37);
					if (EIF_TEST(loc37)) {
						RTHOOK(124);
						loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						RTHOOK(125);
						gtk_main_do_event((GdkEvent*) loc1);
						RTHOOK(126);
						F1875_20815(loc37);
					}
					RTHOOK(127);
					loc9 = (EIF_REFERENCE) NULL;
					break;
				case 28L:
					break;
				case 29L:
					break;
				case 32L:
					RTHOOK(128);
					loc10 = F1728_18271(Current, loc3);
					loc10 = RTRV(eif_new_type(1826, 0x00), loc10);
					RTHOOK(129);
					if ((EIF_BOOLEAN)(loc10 != NULL)) {
						RTHOOK(130);
						ti4_1 = (EIF_INTEGER_32) (((GdkEventWindowState *)loc1)->changed_mask);
						ti4_2 = (EIF_INTEGER_32) (((GdkEventWindowState *)loc1)->new_window_state);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32)) R16097[Dtype(RTCW(loc10))-1826])(loc10, ti4_1, ti4_2);
						RTHOOK(131);
						loc10 = (EIF_REFERENCE) NULL;
					}
					break;
				case 10L:
				case 11L:
					RTHOOK(132);
					loc13 = (EIF_POINTER) (((GdkEventAny *)loc1)->window);
					RTHOOK(133);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(134);
					tb2 = '\0';
					tb3 = !loc13;
					if ((EIF_BOOLEAN) !tb3) {
						tb2 = (EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventCrossing *)loc1)->mode) == ((EIF_INTEGER_32) 0L));
					}
					if (tb2) {
						RTHOOK(135);
						gdk_window_get_user_data((GdkWindow*) loc13, (gpointer*) (EIF_POINTER *) &(loc14));
						RTHOOK(136);
						tb2 = !loc14;
						if ((EIF_BOOLEAN) !tb2) {
							RTHOOK(137);
							if ((EIF_BOOLEAN) !F1728_18255(Current)) {
								RTHOOK(138);
								tb2 = '\0';
								tr3 = F1728_18271(Current, loc14);
								loc38 = tr3;
								loc38 = RTRV(eif_new_type(1787, 0x00),loc38);
								if (EIF_TEST(loc38)) {
									tp2 = *(EIF_POINTER *)(loc38 + O14830[Dtype(loc38)-1741]);
									tb2 = (EIF_BOOLEAN)(tp2 == loc14);
								}
								if (tb2) {
									RTHOOK(139);
									loc10 = F1744_18514(loc38);
									RTHOOK(140);
									tb2 = '\01';
									if (!(EIF_BOOLEAN)(loc10 == NULL)) {
										tb3 = F1827_20176(RTCW(loc10));
										tb2 = (EIF_BOOLEAN) !tb3;
									}
									if (tb2) {
										RTHOOK(141);
										loc39 = loc38;
										loc39 = RTRV(eif_new_type(1789, 0x00),loc39);
										if (EIF_TEST(loc39)) {
											RTHOOK(142);
											ti1_1 = (EIF_INTEGER_8) (((GdkEventAny *)loc1)->type);
											F1790_19193(loc39, (EIF_BOOLEAN)(ti1_1 == ((EIF_INTEGER_8) 10L)));
										}
										RTHOOK(143);
										loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
									}
									RTHOOK(144);
									loc11 = (EIF_REFERENCE) NULL;
									RTHOOK(145);
									loc10 = (EIF_REFERENCE) NULL;
									RTHOOK(146);
									{
										/* INLINED CODE (ANY.default_pointer) */
										tp2 = (EIF_POINTER)  0;
										/* END INLINED CODE */
									}
									loc14 = tp2;
								} else {
									RTHOOK(147);
									gtk_main_do_event((GdkEvent*) loc1);
									RTHOOK(148);
									loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								}
							}
						}
					}
					RTHOOK(149);
					{
						/* INLINED CODE (ANY.default_pointer) */
						tp2 = (EIF_POINTER)  0;
						/* END INLINED CODE */
					}
					loc13 = tp2;
					break;
				case 8L:
				case 9L:
					RTHOOK(150);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(151);
					loc6 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(152);
					tr3 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
					loc40 = tr3;
					if (EIF_TEST(loc40)) {
						RTHOOK(153);
						loc11 = (EIF_REFERENCE) loc40;
						RTHOOK(154);
						loc13 = (EIF_POINTER) (((GdkEventAny *)loc1)->window);
						RTHOOK(155);
						tp2 = *(EIF_POINTER *)(RTCW(loc11) + O14830[Dtype(loc11)-1741]);
						tp2 = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp2);
						(((GdkEventAny *)loc1)->window = (GdkWindow*)(tp2));
					} else {
						RTHOOK(156);
						if (loc24) {
							RTHOOK(157);
							loc11 = F1728_18271(Current, loc4);
							loc11 = RTRV(eif_new_type(1743, 0x00), loc11);
						} else {
							RTHOOK(158);
							loc12 = F1728_18271(Current, loc4);
							loc12 = RTRV(eif_new_type(1744, 0x00), loc12);
							RTHOOK(159);
							loc11 = (EIF_REFERENCE) loc12;
						}
					}
					RTHOOK(160);
					if ((EIF_BOOLEAN)(loc11 != NULL)) {
						RTHOOK(161);
						loc12 = F1744_18513(RTCW(loc11));
						RTHOOK(162);
						if ((EIF_BOOLEAN)(loc12 != NULL)) {
							RTHOOK(163);
							loc10 = loc12;
							loc10 = RTRV(eif_new_type(1826, 0x00), loc10);
							RTHOOK(164);
							tb2 = '\01';
							if (!(EIF_BOOLEAN)(loc10 == NULL)) {
								tb3 = F1827_20176(RTCW(loc10));
								tb2 = (EIF_BOOLEAN) !tb3;
							}
							if (tb2) {
								RTHOOK(165);
								*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								RTHOOK(166);
								tr3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
								tu4_2 = (EIF_NATURAL_32) (((GdkEventKey *)loc1)->state);
								
								eif_put_natural_32_item(RTCW(tr3),4,tu4_2);
								RTHOOK(167);
								loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								RTHOOK(168);
								F1745_18550(RTCW(loc12), loc1);
								RTHOOK(169);
								*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
							}
							RTHOOK(170);
							loc11 = (EIF_REFERENCE) NULL;
							RTHOOK(171);
							loc12 = (EIF_REFERENCE) NULL;
							RTHOOK(172);
							loc10 = (EIF_REFERENCE) NULL;
						}
					}
					RTHOOK(173);
					tb2 = !loc13;
					if ((EIF_BOOLEAN) !tb2) {
						RTHOOK(174);
						(((GdkEventAny *)loc1)->window = (GdkWindow*)(loc13));
						RTHOOK(175);
						{
							/* INLINED CODE (ANY.default_pointer) */
							tp2 = (EIF_POINTER)  0;
							/* END INLINED CODE */
						}
						loc13 = tp2;
					}
					break;
				case 0L:
					RTHOOK(176);
					loc28 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					RTHOOK(177);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(178);
					loc12 = F1728_18271(Current, loc3);
					loc12 = RTRV(eif_new_type(1744, 0x00), loc12);
					RTHOOK(179);
					if ((EIF_BOOLEAN)(loc12 != NULL)) {
						RTHOOK(180);
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R14921[Dtype(RTCW(loc12))-1745])(loc12);
						RTHOOK(181);
						loc12 = (EIF_REFERENCE) NULL;
					}
					break;
				case 1L:
					break;
				case 22L:
					break;
				case 23L:
					break;
				case 24L:
					break;
				case 25L:
					break;
				case 26L:
					RTHOOK(182);
					F1728_18192(Current, loc1);
					break;
				case 27L:
					break;
				case -1L:
					break;
				case 33L:
					RTHOOK(183);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					RTHOOK(184);
					loc25 = RTLNS(eif_new_type(1520, 0x00).id, 1520, _OBJSIZ_1_1_0_3_0_0_0_0_);
					tp2 = (EIF_POINTER) (((GdkEventSetting *)loc1)->name);
					F1519_14779(RTCW(loc25), tp2);
					RTHOOK(185);
					tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R11[Dtype(RTCW(loc25))-0])(loc25, RTOMS(18173,0));
					if (tb2) {
						RTHOOK(186);
						loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					} else {
						RTHOOK(187);
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R11[Dtype(RTCW(loc25))-0])(loc25, RTOMS(18173,1));
						if (tb2) {
							RTHOOK(188);
							loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
						}
					}
					RTHOOK(189);
					loc25 = (EIF_REFERENCE) NULL;
					RTHOOK(190);
					gtk_main_do_event((GdkEvent*) loc1);
					RTHOOK(191);
					tr3 = *(EIF_REFERENCE *)(Current + _REFACS_19_);
					loc41 = tr3;
					if ((EIF_BOOLEAN) (loc26 && EIF_TEST(loc41))) {
						RTHOOK(192);
						F1190_10648(loc41, NULL);
					}
					RTHOOK(193);
					loc26 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					break;
				case 34L:
					break;
				case 35L:
					break;
				case 36L:
					break;
				case 37L:
					break;
				case 38L:
					break;
				case 39L:
					break;
				case 40L:
					break;
				case 41L:
					break;
				case 42L:
					break;
				case 43L:
					break;
				case 44L:
					break;
				case 45L:
					break;
				case 46L:
					break;
				case 47L:
					break;
				case 48L:
					break;
				default:
					RTHOOK(194);
					loc5 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					break;
			}
			RTHOOK(195);
			if (loc5) {
				RTHOOK(196);
				if (loc6) {
					RTHOOK(197);
					gtk_propagate_event((GtkWidget*) loc4, (GdkEvent*) loc1);
				} else {
					RTHOOK(198);
					tb2 = !loc3;
					if ((EIF_BOOLEAN) !tb2) {
						RTHOOK(199);
						loc7 = (EIF_BOOLEAN) EIF_TEST(gtk_widget_event((GtkWidget*) loc3, (GdkEvent*) loc1));
					} else {
						RTHOOK(200);
						gtk_main_do_event((GdkEvent*) loc1);
					}
				}
			}
			RTHOOK(201);
			gdk_event_free((GdkEvent*) loc1);
		} else {
			RTHOOK(202);
			if ((EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL))) {
				RTHOOK(203);
				F1728_18175(Current);
			} else {
				RTHOOK(204);
				loc17 = (EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL));
				loc17 = (EIF_BOOLEAN) (EIF_BOOLEAN) !loc17;
			}
		}
	}
	RTHOOK(205);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_1_) = (EIF_BOOLEAN) loc27;
	RTHOOK(206);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_2_) = (EIF_BOOLEAN) loc28;
	RTHOOK(207);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.process_gtk_events */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F1728_18175 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_BOOLEAN EIF_VOLATILE loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	RTLD;
	RTXD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,saved_except);
	RTLIU(2);
	RTXSLS;
	
	RTEAA("process_gtk_events", 1727, Current, 1, 0, 24120);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc1) {
		RTHOOK(2);
		g_main_context_dispatch(g_main_context_default());
	}
	RTE_E
	RTXSC;
	RTHOOK(3);
	loc1 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(4);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(5);
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.process_pending_events_on_default_context */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
void F1728_18176 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_BOOLEAN EIF_VOLATILE loc1 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	RTLD;
	RTXD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,saved_except);
	RTLIU(2);
	RTXSLS;
	
	RTEAA("process_pending_events_on_default_context", 1727, Current, 2, 0, 24121);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc2) {
		for (;;) {
			RTHOOK(2);
			if ((EIF_BOOLEAN) EIF_TEST(g_main_context_pending (NULL))) break;
			RTHOOK(3);
			loc1 = (EIF_BOOLEAN) EIF_TEST(g_main_context_iteration(NULL, FALSE));
		}
	}
	RTE_E
	RTXSC;
	RTHOOK(4);
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(5);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(6);
	RTEOK;
	RTLE;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.symbol_from_symbol_name */
EIF_POINTER F1728_18178 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTEAA("symbol_from_symbol_name", 1727, Current, 4, 1, 24123);
	RTGC;
	RTHOOK(1);
	loc1 = F1728_18179(Current);
	RTHOOK(2);
	{
		/* INLINED CODE (ANY.default_pointer) */
		tp1 = (EIF_POINTER)  0;
		/* END INLINED CODE */
	}
	if ((EIF_BOOLEAN)(loc1 != tp1)) {
		RTHOOK(3);
		loc2 = RTLNS(eif_new_type(1218, 0x00).id, 1218, _OBJSIZ_0_1_0_1_0_1_0_0_);
		F1219_10755(RTCW(loc2), arg1);
		RTHOOK(4);
		tp1 = *(EIF_POINTER *)(RTCW(loc2)+ _PTROFF_0_1_0_1_0_0_);
		loc3 = (EIF_BOOLEAN) EIF_TEST(g_module_symbol((GModule*) loc1, (gchar*) tp1, (gpointer*) (EIF_POINTER *) &(loc4)));
		RTHOOK(5);
		if (loc3) {
			RTHOOK(6);
			RTHOOK(7);
			RTLE;
			RTEE;
			return (EIF_POINTER) loc4;
		}
	}
	RTHOOK(8);
	RTLE;
	RTEE;
	return (EIF_POINTER) 0;
}

/* {EV_APPLICATION_IMP}.main_module */
EIF_POINTER F1728_18179 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("main_module", 1727, Current, 0, 0, 24124);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) EIF_TEST(g_module_supported())) {
		RTHOOK(2);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tp2 = tp1;
		Result = (EIF_POINTER) g_module_open((gchar*) tp2, (GModuleFlags) ((EIF_INTEGER_32) 0L));
	}
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.ctrl_pressed */
EIF_BOOLEAN F1728_18180 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("ctrl_pressed", 1727, Current, 0, 0, 24125);
	RTGC;
	RTHOOK(1);
	tu4_1 = F1728_18260(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_CONTROL_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_CONTROL_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.alt_pressed */
EIF_BOOLEAN F1728_18181 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("alt_pressed", 1727, Current, 0, 0, 24126);
	RTGC;
	RTHOOK(1);
	tu4_1 = F1728_18260(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_MOD1_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_MOD1_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.shift_pressed */
EIF_BOOLEAN F1728_18182 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	EIF_NATURAL_32 tu4_2;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("shift_pressed", 1727, Current, 0, 0, 24127);
	RTGC;
	RTHOOK(1);
	tu4_1 = F1728_18260(Current);
	tu4_2 = (EIF_NATURAL_32) GDK_SHIFT_MASK;
	tu4_1 = eif_bit_and(tu4_1,tu4_2);
	tu4_2 = (EIF_NATURAL_32) GDK_SHIFT_MASK;
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN)(tu4_1 == tu4_2);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.windows */
EIF_REFERENCE F1728_18185 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(7);
	RTLR(0,loc3);
	RTLR(1,loc4);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLR(4,loc1);
	RTLR(5,tr1);
	RTLR(6,loc2);
	RTLIU(7);
	
	RTEAA("windows", 1727, Current, 4, 0, 24130);
	RTGC;
	RTHOOK(1);
	loc3 = RTLNS(eif_new_type(1231, 0x00).id, 1231, _OBJSIZ_0_0_0_1_0_0_0_0_);
	RTHOOK(2);
	{
		static EIF_TYPE_INDEX typarr0[] = {1002,1654,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		loc4 = RTLNS(typres0.id, 1002, _OBJSIZ_2_3_0_1_0_0_0_0_);
	}
	F1003_9906(RTCW(loc4));
	RTHOOK(3);
	Result = (EIF_REFERENCE) loc4;
	RTHOOK(4);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	loc1 = F1004_9912(RTCW(tr1));
	RTHOOK(5);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	F1004_9925(RTCW(tr1));
	for (;;) {
		RTHOOK(6);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
		tb1 = *(EIF_BOOLEAN *)(RTCW(tr1)+ _CHROFF_2_2_);
		if (tb1) break;
		RTHOOK(7);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
		ti4_1 = (eif_optimize_return = 1, *(EIF_INTEGER_32 *)(FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R8346[Dtype(RTCW(tr1))-891])(tr1));
		loc2 = F1232_11584(RTCW(loc3), ti4_1);
		loc2 = RTRV(eif_new_type(1826, 0x00), loc2);
		RTHOOK(8);
		tb2 = '\01';
		if (!(EIF_BOOLEAN)(loc2 == NULL)) {
			tb3 = F1703_17593(RTCW(loc2));
			tb2 = tb3;
		}
		if (tb2) {
			RTHOOK(9);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R8351[Dtype(RTCW(tr1))-891])(tr1);
		} else {
			RTHOOK(10);
			tr1 = F1703_17594(RTCW(loc2));
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8332[Dtype(RTCW(loc4))-891])(loc4, tr1);
			RTHOOK(11);
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
			F1004_9927(RTCW(tr1));
		}
	}
	RTHOOK(12);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	F1004_9931(RTCW(tr1), loc1);
	RTHOOK(13);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.set_focused_popup_window */
void F1728_18187 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_focused_popup_window", 1727, Current, 0, 1, 24132);
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_44_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.process_graphical_events */
void F1728_18188 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("process_graphical_events", 1727, Current, 0, 0, 24133);
	RTGC;
	RTHOOK(1);
	tp1 = (EIF_POINTER) gdk_display_get_default();
	inline_F222_3129(tp1);
	RTHOOK(2);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.motion_tuple */
static EIF_REFERENCE F1728_18189_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("motion_tuple", 1727, Current, 0, 0, 24134);
	RTGC;
	RTOSP (18189);
#define Result RTOSR(18189)
	RTOC_NEW(Result);
	RTHOOK(1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,7,1435,1441,1441,1465,1465,1465,1441,1441,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNTS(typres0.id, 8, 1);
	}
	Result = (EIF_REFERENCE) tr1;
	RTOSE (18189);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1728_18189 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18189,F1728_18189_body,(Current));
}

/* {EV_APPLICATION_IMP}.app_motion_tuple */
static EIF_REFERENCE F1728_18190_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEAA("app_motion_tuple", 1727, Current, 0, 0, 24135);
	RTGC;
	RTOSP (18190);
#define Result RTOSR(18190)
	RTOC_NEW(Result);
	RTHOOK(1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,3,1435,1590,1441,1441,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNTS(typres0.id, 4, 0);
	}
	tr2 = RTOSCF(18277,F1728_18277, (Current));
	((EIF_TYPED_VALUE *)tr1+1)->it_r = tr2;
	RTAR(tr1,tr2);
	((EIF_TYPED_VALUE *)tr1+2)->it_i4 = ((EIF_INTEGER_32) 0L);
	((EIF_TYPED_VALUE *)tr1+3)->it_i4 = ((EIF_INTEGER_32) 0L);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (18190);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1728_18190 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18190,F1728_18190_body,(Current));
}

/* {EV_APPLICATION_IMP}.process_button_event */
void F1728_18191 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_BOOLEAN arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc8 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc9 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	EIF_REFERENCE tr1 = NULL;
	EIF_REAL_64 tr8_1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_INTEGER_32 ti4_4;
	EIF_NATURAL_32 tu4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	
	RTLI(9);
	RTLR(0,Current);
	RTLR(1,loc3);
	RTLR(2,loc10);
	RTLR(3,tr1);
	RTLR(4,loc1);
	RTLR(5,loc4);
	RTLR(6,loc5);
	RTLR(7,loc7);
	RTLR(8,loc11);
	RTLIU(9);
	
	RTEAA("process_button_event", 1727, Current, 11, 2, 24136);
	RTGC;
	RTHOOK(1);
	tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->x_root);
	loc8 = (EIF_INTEGER_32) tr8_1;
	ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
	loc8 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc8 + ti4_1);
	RTHOOK(2);
	tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->y_root);
	loc9 = (EIF_INTEGER_32) tr8_1;
	ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
	loc9 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc9 + ti4_1);
	RTHOOK(3);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(4);
	loc3 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	RTHOOK(5);
	tp1 = (EIF_POINTER) (((GdkEventButton *)arg1)->window);
	
	eif_put_pointer_item(RTCW(loc3),1,tp1);
	RTHOOK(6);
	
	eif_put_integer_32_item(RTCW(loc3),2,loc8);
	RTHOOK(7);
	
	eif_put_integer_32_item(RTCW(loc3),3,loc9);
	RTHOOK(8);
	tu4_1 = (EIF_NATURAL_32) (((GdkEventButton *)arg1)->state);
	
	eif_put_natural_32_item(RTCW(loc3),4,tu4_1);
	RTHOOK(9);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_29_);
	loc10 = tr1;
	if (EIF_TEST(loc10)) {
		RTHOOK(10);
		loc1 = *(EIF_REFERENCE *)(loc10 + O10574[Dtype(loc10)-1360]);
		loc1 = RTRV(eif_new_type(1787, 0x00), loc1);
	} else {
		RTHOOK(11);
		if ((EIF_BOOLEAN)(F1728_18256(Current) != NULL)) {
			RTHOOK(12);
			loc1 = F1728_18256(Current);
		} else {
			RTHOOK(13);
			loc2 = eif_pointer_item(RTCW(loc3),1);
			RTHOOK(14);
			tb1 = !loc2;
			if ((EIF_BOOLEAN) !tb1) {
				RTHOOK(15);
				loc1 = F1728_18273(Current, loc2);
				loc1 = RTRV(eif_new_type(1787, 0x00), loc1);
			}
		}
	}
	RTHOOK(16);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		RTHOOK(17);
		loc4 = F1744_18514(RTCW(loc1));
		loc4 = RTRV(eif_new_type(1826, 0x00), loc4);
		RTHOOK(18);
		loc5 = loc4;
		loc5 = RTRV(eif_new_type(1827, 0x00), loc5);
		RTHOOK(19);
		if ((EIF_BOOLEAN)(loc5 != NULL)) {
			RTHOOK(20);
			loc7 = loc1;
			loc7 = RTRV(eif_new_type(1871, 0x00), loc7);
		}
		RTHOOK(21);
		loc6 = '\01';
		tb1 = '\01';
		tb2 = '\0';
		tb3 = '\0';
		if ((EIF_BOOLEAN) ((EIF_BOOLEAN)(loc5 != NULL) && (EIF_BOOLEAN)(loc7 != NULL))) {
			tb3 = (EIF_BOOLEAN)((EIF_INTEGER_32) (((GdkEventButton *)arg1)->button) == ((EIF_INTEGER_32) 3L));
		}
		if (tb3) {
			tb3 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + O15297[Dtype(loc1)-1786]);
			if ((EIF_BOOLEAN)(tr1 == NULL)) {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc1) + O15298[Dtype(loc1)-1786]);
				tb3 = (EIF_BOOLEAN)(tr1 == NULL);
			}
			tb2 = tb3;
		}
		if (!tb2) {
			tp2 = *(EIF_POINTER *)(RTCW(loc1) + O14830[Dtype(loc1)-1741]);
			tb1 = (EIF_BOOLEAN) !(EIF_BOOLEAN) EIF_TEST(gtk_widget_is_sensitive((GtkWidget*) tp2));
		}
		if (!tb1) {
			tb1 = '\0';
			tb2 = '\0';
			if ((EIF_BOOLEAN)(loc4 != NULL)) {
				tb3 = F1827_20176(RTCW(loc4));
				tb2 = tb3;
			}
			if (tb2) {
				tb1 = (EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_29_) == NULL);
			}
			loc6 = tb1;
		}
	}
	RTHOOK(22);
	if ((EIF_BOOLEAN)(loc5 == NULL)) {
		RTHOOK(23);
		loc5 = *(EIF_REFERENCE *)(Current + _REFACS_44_);
	}
	RTHOOK(24);
	if ((EIF_BOOLEAN)(loc5 != NULL)) {
		RTHOOK(25);
		ti4_1 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->type);
		ti4_2 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->button);
		F1828_20208(RTCW(loc5), ti4_1, ti4_2, loc8, loc9);
	}
	RTHOOK(26);
	if ((EIF_BOOLEAN) !loc6) {
		RTHOOK(27);
		tb1 = '\0';
		tb2 = '\0';
		if ((EIF_BOOLEAN)(F1728_18256(Current) == NULL)) {
			tb2 = (EIF_BOOLEAN) !arg2;
		}
		if (tb2) {
			tb2 = '\01';
			if (!(EIF_BOOLEAN)(loc1 == NULL)) {
				tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R15351[Dtype(RTCW(loc1))-1802])(loc1);
				tb2 = (EIF_BOOLEAN) !tb3;
			}
			tb1 = tb2;
		}
		if (tb1) {
			RTHOOK(28);
			gtk_main_do_event((GdkEvent*) arg1);
		}
		RTHOOK(29);
		if ((EIF_BOOLEAN)(loc1 != NULL)) {
			RTHOOK(30);
			tb1 = '\0';
			tb2 = '\0';
			if ((EIF_BOOLEAN) !arg2) {
				tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R15351[Dtype(RTCW(loc1))-1802])(loc1);
				tb2 = tb3;
			}
			if (tb2) {
				loc11 = loc1;
				tb1 = EIF_TEST(loc11);
			}
			if (tb1) {
				RTHOOK(31);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_POINTER, EIF_BOOLEAN)) R14851[Dtype(loc11)-1742])(loc11, arg1, arg2);
			} else {
				RTHOOK(32);
				ti4_1 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->type);
				tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->x);
				ti4_2 = (EIF_INTEGER_32) tr8_1;
				tr8_1 = (EIF_REAL_64) (((GdkEventButton *)arg1)->y);
				ti4_3 = (EIF_INTEGER_32) tr8_1;
				ti4_4 = (EIF_INTEGER_32) (((GdkEventButton *)arg1)->button);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_INTEGER_32, EIF_REAL_64, EIF_REAL_64, EIF_REAL_64, EIF_INTEGER_32, EIF_INTEGER_32)) R15364[Dtype(RTCW(loc1))-1802])(loc1, ti4_1, ti4_2, ti4_3, ti4_4, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, (EIF_REAL_64) 0.5, loc8, loc9);
			}
		}
	}
	RTHOOK(33);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	RTHOOK(34);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.handle_dnd */
void F1728_18192 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_POINTER loc2 = (EIF_POINTER) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER loc4 = (EIF_POINTER) 0;
	EIF_POINTER loc5 = (EIF_POINTER) 0;
	EIF_POINTER loc6 = (EIF_POINTER) 0;
	EIF_POINTER loc7 = (EIF_POINTER) 0;
	EIF_NATURAL_32 loc8 = (EIF_NATURAL_32) 0;
	EIF_POINTER loc9 = (EIF_POINTER) 0;
	EIF_INTEGER_32 loc10 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc11 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc12 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc13 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc14 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc15 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc17 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc18 = (EIF_REFERENCE) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	RTCFDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,loc17);
	RTLR(1,loc18);
	RTLR(2,loc13);
	RTLR(3,tr1);
	RTLR(4,loc14);
	RTLR(5,tr2);
	RTLR(6,loc16);
	RTLR(7,Current);
	RTLR(8,tr3);
	RTLIU(9);
	
	RTEAA("handle_dnd", 1727, Current, 18, 1, 24137);
	RTGC;
	RTHOOK(1);
	loc1 = (EIF_POINTER) (((GdkEventDND *)arg1)->context);
	RTHOOK(2);
	loc4 = (EIF_POINTER) gdk_drag_context_get_source_window((GdkDragContext*) loc1);
	RTHOOK(3);
	loc6 = (EIF_POINTER) gdk_drag_get_selection((GdkDragContext*) loc1);
	RTHOOK(4);
	loc8 = (EIF_NATURAL_32) (((GdkEventDND *)arg1)->time);
	RTHOOK(5);
	loc2 = (EIF_POINTER) gdk_drag_context_list_targets((GdkDragContext*) loc1);
	RTHOOK(6);
	loc17 = RTMS_EX_H("STRING",6,1544365639);
	RTHOOK(7);
	loc18 = RTMS_EX_H("file://",7,1704345391);
	for (;;) {
		RTHOOK(8);
		tb1 = !loc2;
		if (tb1) break;
		RTHOOK(9);
		loc3 = (EIF_POINTER) (((GList *)loc2)->data);
		RTHOOK(10);
		tb2 = !loc3;
		if ((EIF_BOOLEAN) !tb2) {
			RTHOOK(11);
			gdk_selection_convert((GdkWindow*) loc4, (GdkAtom) loc6, (GdkAtom) loc3, (guint32) loc8);
			RTHOOK(12);
			loc12 = (EIF_INTEGER_32) gdk_selection_property_get((GdkWindow*) loc4, (guchar**) (EIF_POINTER *) &(loc9), (GdkAtom*) (EIF_INTEGER_32 *) &(loc10), (gint*) (EIF_INTEGER_32 *) &(loc11));
			RTHOOK(13);
			tb2 = !loc9;
			if ((EIF_BOOLEAN) !tb2) {
				RTHOOK(14);
				loc13 = RTLNS(eif_new_type(1525, 0x00).id, 1525, _OBJSIZ_1_1_0_3_0_0_0_0_);
				tp1 = (EIF_POINTER) gdk_atom_name((GdkAtom) loc3);
				F1524_14946(RTCW(loc13), tp1);
				RTHOOK(15);
				tr1 = F1516_14705(RTCW(loc17));
				tb2 = F1524_14966(RTCW(loc13), tr1);
				if (tb2) {
					RTHOOK(16);
					loc13 = RTLNS(eif_new_type(1525, 0x00).id, 1525, _OBJSIZ_1_1_0_3_0_0_0_0_);
					F1524_14946(RTCW(loc13), loc9);
					RTHOOK(17);
					tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
					loc14 = F1516_14724(RTCW(loc13), tw1);
					RTHOOK(18);
					(FUNCTION_CAST(void, (EIF_REFERENCE)) R8312[Dtype(RTCW(loc14))-1002])(loc14);
					for (;;) {
						RTHOOK(19);
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R8323[Dtype(RTCW(loc14))-1002])(loc14);
						if (tb2) break;
						RTHOOK(20);
						tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R8346[Dtype(RTCW(loc14))-891])(loc14);
						ti4_1 = F1524_14959(RTCW(tr1), loc18, ((EIF_INTEGER_32) 1L));
						if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 1L))) {
							RTHOOK(21);
							tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R8346[Dtype(RTCW(loc14))-891])(loc14);
							tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R8346[Dtype(RTCW(loc14))-891])(loc14);
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr2)+ _LNGOFF_1_1_0_2_);
							tr1 = F1526_15104(RTCW(tr1), ((EIF_INTEGER_32) 8L), ti4_1);
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8350[Dtype(RTCW(loc14))-1002])(loc14, tr1);
							RTHOOK(22);
							loc15 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
							RTHOOK(23);
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R8325[Dtype(RTCW(loc14))-1002])(loc14);
						} else {
							RTHOOK(24);
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R8351[Dtype(RTCW(loc14))-891])(loc14);
						}
					}
				}
			}
		}
		RTHOOK(25);
		tp1 = (EIF_POINTER) (((GList *)loc2)->next);
		loc2 = (EIF_POINTER) tp1;
	}
	RTHOOK(26);
	if ((EIF_BOOLEAN) (loc15 && (EIF_BOOLEAN)(loc14 != NULL))) {
		RTHOOK(27);
		loc5 = (EIF_POINTER) gdk_drag_context_get_dest_window((GdkDragContext*) loc1);
		RTHOOK(28);
		tb3 = !loc5;
		if ((EIF_BOOLEAN) !tb3) {
			RTHOOK(29);
			gdk_window_get_user_data((GdkWindow*) loc5, (gpointer*) (EIF_POINTER *) &(loc7));
			RTHOOK(30);
			tb3 = !loc7;
			if ((EIF_BOOLEAN) !tb3) {
				RTHOOK(31);
				loc16 = F1728_18271(Current, loc7);
				loc16 = RTRV(eif_new_type(1789, 0x00), loc16);
				RTHOOK(32);
				tb3 = '\0';
				if ((EIF_BOOLEAN)(loc16 != NULL)) {
					tb4 = F1703_17593(RTCW(loc16));
					tb3 = (EIF_BOOLEAN) !tb4;
				}
				if (tb3) {
					RTHOOK(33);
					tr1 = *(EIF_REFERENCE *)(RTCW(loc16) + O5282[Dtype(loc16)-342]);
					if ((EIF_BOOLEAN)(tr1 != NULL)) {
						RTHOOK(34);
						tr1 = F343_5753(RTCW(loc16));
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1435,976,1525,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 2, 0);
						}
						((EIF_TYPED_VALUE *)tr2+1)->it_r = loc14;
						RTAR(tr2,loc14);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8857[Dtype(RTCW(tr1))-1188])(tr1, tr2);
					}
					RTHOOK(35);
					if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_7_) != NULL)) {
						RTHOOK(36);
						tr1 = *(EIF_REFERENCE *)(Current + _REFACS_7_);
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFFF9,2,1435,1590,976,1525,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 3, 0);
						}
						tr3 = F1703_17594(RTCW(loc16));
						((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
						RTAR(tr2,tr3);
						((EIF_TYPED_VALUE *)tr2+2)->it_r = loc14;
						RTAR(tr2,loc14);
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8857[Dtype(RTCW(tr1))-1188])(tr1, tr2);
					}
				}
			}
		}
	}
	RTHOOK(37);
	gdk_drop_finish((GdkDragContext*) loc1, (gboolean) loc15, (guint32) loc8);
	RTHOOK(38);
	gtk_drag_finish((GdkDragContext*) loc1, (gboolean) loc15, (gboolean) (EIF_BOOLEAN) 0, (guint32) loc8);
	RTHOOK(39);
	g_free((gpointer) loc9);
	RTHOOK(40);
	g_free((gpointer) loc2);
	RTHOOK(41);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.sleep */
void F1728_18244 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	EIF_INTEGER_64 ti8_1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("sleep", 1727, Current, 0, 1, 24189);
	RTGC;
	RTHOOK(1);
	ti8_1 = (EIF_INTEGER_64) arg1;
	F651_9108(Current, (EIF_INTEGER_64) (((EIF_INTEGER_64) RTI64C(1000000)) * ti8_1));
	RTHOOK(2);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.destroy */
void F1728_18245 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("destroy", 1727, Current, 0, 0, 24190);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !F1703_17593(Current)) {
		RTHOOK(2);
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		if ((EIF_BOOLEAN)(*(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_2_) != tp1)) {
			RTHOOK(3);
			tp1 = *(EIF_POINTER *)(Current+ _PTROFF_49_16_0_20_0_2_);
			inline_F222_3113(tp1);
		}
		RTHOOK(4);
		F1703_17609(Current, (EIF_BOOLEAN) 1);
		RTHOOK(5);
		tr1 = F258_4382(Current);
		F1190_10648(RTCW(tr1), NULL);
	}
	RTHOOK(6);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.tooltip_delay */
EIF_INTEGER_32 F1728_18246 (EIF_REFERENCE Current)
{
	return *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_19_);
}


/* {EV_APPLICATION_IMP}.set_tooltip_delay */
void F1728_18247 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_tooltip_delay", 1727, Current, 0, 1, 24192);
	RTHOOK(1);
	*(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_19_) = (EIF_INTEGER_32) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.set_docking_source */
void F1728_18248 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("set_docking_source", 1727, Current, 0, 1, 24193);
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_46_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.on_pick */
void F1728_18249 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,arg2);
	RTLIU(5);
	
	RTEAA("on_pick", 1727, Current, 0, 2, 24194);
	RTGC;
	RTHOOK(1);
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_45_) = (EIF_REFERENCE) arg1;
	RTHOOK(2);
	tr1 = F1698_17492(RTCV(F1703_17594(Current)));
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1435,0,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr2 = RTLNTS(typres0.id, 2, 0);
	}
	((EIF_TYPED_VALUE *)tr2+1)->it_r = arg2;
	RTAR(tr2,arg2);
	F1191_10649(RTCW(tr1), tr2);
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.on_drop */
void F1728_18250 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	
	
	RTEAA("on_drop", 1727, Current, 0, 1, 24195);
	RTHOOK(1);
	*(EIF_REFERENCE *)(Current + _REFACS_45_) = (EIF_REFERENCE) NULL;
	RTHOOK(2);
	RTEE;
}

/* {EV_APPLICATION_IMP}.pnd_source_hint */
static EIF_REFERENCE F1728_18251_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("pnd_source_hint", 1727, Current, 0, 0, 24196);
	RTGC;
	RTOSP (18251);
#define Result RTOSR(18251)
	RTOC_NEW(Result);
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(1363, 0x00).id, 1363, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1361_12776(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (18251);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1728_18251 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18251,F1728_18251_body,(Current));
}

/* {EV_APPLICATION_IMP}.activate_docking_source_hint */
void F1728_18252 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1, EIF_INTEGER_32 arg2, EIF_REFERENCE arg3)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg3);
	RTLIU(3);
	
	RTEAA("activate_docking_source_hint", 1727, Current, 0, 3, 24197);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !RTOSCF(18155,F1728_18155, (Current))) {
		RTHOOK(2);
		tr1 = RTOSCF(18251,F1728_18251, (Current));
		F1364_12838(RTCW(tr1), arg1, arg2, ((EIF_INTEGER_32) 50L), ((EIF_INTEGER_32) 50L), arg3);
	}
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.deactivate_docking_source_hint */
void F1728_18253 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("deactivate_docking_source_hint", 1727, Current, 0, 0, 24198);
	RTGC;
	RTHOOK(1);
	tb1 = '\0';
	if ((EIF_BOOLEAN) !RTOSCF(18155,F1728_18155, (Current))) {
		tb2 = F1364_12837(RTCV(RTOSCF(18251,F1728_18251, (Current))));
		tb1 = tb2;
	}
	if (tb1) {
		RTHOOK(2);
		F1364_12839(RTCV(RTOSCF(18251,F1728_18251, (Current))));
	}
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.is_in_transport */
EIF_BOOLEAN F1728_18255 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("is_in_transport", 1727, Current, 0, 0, 24200);
	RTGC;
	RTHOOK(1);
	Result = '\01';
	if (!(EIF_BOOLEAN)(F1728_18256(Current) != NULL)) {
		Result = (EIF_BOOLEAN)(F1728_18257(Current) != NULL);
	}
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.pick_and_drop_source */
EIF_REFERENCE F1728_18256 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("pick_and_drop_source", 1727, Current, 0, 0, 24201);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_45_);
}

/* {EV_APPLICATION_IMP}.docking_source */
EIF_REFERENCE F1728_18257 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
	
	RTEAA("docking_source", 1727, Current, 0, 0, 24202);
	RTHOOK(1);
	RTHOOK(2);
	RTEE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_46_);
}

/* {EV_APPLICATION_IMP}.keyboard_modifier_mask */
EIF_NATURAL_32 F1728_18260 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_NATURAL_32 tu4_1;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLIU(2);
	
	RTEAA("keyboard_modifier_mask", 1727, Current, 1, 0, 24205);
	RTGC;
	RTHOOK(1);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_9_)) {
		RTHOOK(2);
		loc1 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	} else {
		RTHOOK(3);
		loc1 = F1728_18261(Current);
	}
	RTHOOK(4);
	tu4_1 = eif_natural_32_item(RTCW(loc1),4);
	RTHOOK(5);
	RTLE;
	RTEE;
	return (EIF_NATURAL_32) tu4_1;
}

/* {EV_APPLICATION_IMP}.retrieve_display_data */
EIF_REFERENCE F1728_18261 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("retrieve_display_data", 1727, Current, 0, 0, 24206);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_49_8_)) {
		RTHOOK(2);
		F1728_18262(Current);
	}
	RTHOOK(3);
	RTHOOK(4);
	RTLE;
	RTEE;
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_48_);
}

/* {EV_APPLICATION_IMP}.update_display_data */
void F1728_18262 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_NATURAL_32 loc2 = (EIF_NATURAL_32) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_POINTER loc6 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(2);
	RTLR(0,loc5);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("update_display_data", 1727, Current, 6, 0, 24207);
	RTGC;
	RTHOOK(1);
	loc5 = *(EIF_REFERENCE *)(Current + _REFACS_48_);
	RTHOOK(2);
	loc6 = inline_F69_967();
	RTHOOK(3);
	inline_F69_964(loc6, (EIF_INTEGER_32 *) &(loc3), (EIF_INTEGER_32 *) &(loc4));
	RTHOOK(4);
	loc1 = (EIF_POINTER) gdk_device_get_window_at_position((GdkDevice*) loc6, (gint*) (EIF_INTEGER_32 *) &(loc3), (gint*) (EIF_INTEGER_32 *) &(loc4));
	RTHOOK(5);
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(6);
		tp1 = (EIF_POINTER) gdk_window_get_device_position((GdkWindow*) loc1, (GdkDevice *) loc6, (gint*) (EIF_INTEGER_32 *) &(loc3), (gint*) (EIF_INTEGER_32 *) &(loc4), (GdkModifierType*) (EIF_NATURAL_32 *) &(loc2));
		loc1 = (EIF_POINTER) tp1;
		RTHOOK(7);
		inline_F69_964(loc6, (EIF_INTEGER_32 *) &(loc3), (EIF_INTEGER_32 *) &(loc4));
		RTHOOK(8);
		
		eif_put_pointer_item(RTCW(loc5),1,loc1);
		RTHOOK(9);
		ti4_1 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_11_);
		
		eif_put_integer_32_item(RTCW(loc5),2,(EIF_INTEGER_32) (loc3 + ti4_1));
		RTHOOK(10);
		ti4_2 = *(EIF_INTEGER_32 *)(Current+ _LNGOFF_49_16_0_12_);
		
		eif_put_integer_32_item(RTCW(loc5),3,(EIF_INTEGER_32) (loc4 + ti4_2));
		RTHOOK(11);
		
		eif_put_natural_32_item(RTCW(loc5),4,loc2);
	}
	RTHOOK(12);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.enable_debugger */
void F1728_18267 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("enable_debugger", 1727, Current, 0, 0, 24212);
	RTGC;
	RTHOOK(1);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_)) {
		RTHOOK(2);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
		RTHOOK(3);
		tb1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_);
		inline_F318_5071(tb1);
	}
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.disable_debugger */
void F1728_18268 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("disable_debugger", 1727, Current, 0, 0, 24213);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_)) {
		RTHOOK(2);
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		RTHOOK(3);
		tb1 = EIF_TEST (inline_F318_5072());
		*(EIF_BOOLEAN *)(Current+ _CHROFF_49_12_) = (EIF_BOOLEAN) tb1;
		RTHOOK(4);
		F318_5070(Current);
	}
	RTHOOK(5);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.eif_object_from_gtk_object */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_REFERENCE F1728_18271 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTED;
	EIF_POINTER EIF_VOLATILE loc1 = (EIF_POINTER) 0;
	EIF_BOOLEAN EIF_VOLATILE loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	RTXD;
	
	RTLI(3);
	RTLR(0,Result);
	RTLR(1,Current);
	RTLR(2,saved_except);
	RTLIU(3);
	RTXSLS;
	
	RTEAA("eif_object_from_gtk_object", 1727, Current, 2, 1, 24216);
	RTGC;
	RTE_T
	RTHOOK(1);
	if ((EIF_BOOLEAN) !loc2) {
		RTHOOK(2);
		loc1 = (EIF_POINTER) arg1;
		for (;;) {
			RTHOOK(3);
			tb1 = '\01';
			if (!(EIF_BOOLEAN)(Result != NULL)) {
				tb2 = !loc1;
				tb1 = tb2;
			}
			if (tb1) break;
			RTHOOK(4);
			Result = inline_F1742_18442(loc1);
			RTHOOK(5);
			tp1 = (EIF_POINTER) gtk_widget_get_parent((GtkWidget*) loc1);
			loc1 = (EIF_POINTER) tp1;
		}
		RTHOOK(6);
		tb2 = '\0';
		if ((EIF_BOOLEAN)(Result != NULL)) {
			tb3 = F1703_17593(RTCW(Result));
			tb2 = tb3;
		}
		if (tb2) {
			RTHOOK(7);
			Result = (EIF_REFERENCE) NULL;
		}
	} else {
		
	}
	RTE_E
	RTXSC;
	RTHOOK(9);
	Result = (EIF_REFERENCE) NULL;
	RTHOOK(10);
	loc2 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTHOOK(11);
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTHOOK(12);
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {EV_APPLICATION_IMP}.gtk_widget_imp_at_pointer_position */
EIF_REFERENCE F1728_18272 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER loc3 = (EIF_POINTER) 0;
	EIF_POINTER tp1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_widget_imp_at_pointer_position", 1727, Current, 3, 0, 24217);
	RTGC;
	RTHOOK(1);
	tp1 = inline_F69_967();
	loc3 = (EIF_POINTER) gdk_device_get_window_at_position((GdkDevice*) tp1, (gint*) (EIF_INTEGER_32 *) &(loc1), (gint*) (EIF_INTEGER_32 *) &(loc2));
	RTHOOK(2);
	tb1 = !loc3;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(3);
		RTHOOK(4);
		RTLE;
		RTEE;
		return (EIF_REFERENCE) F1728_18273(Current, loc3);
	}
	RTHOOK(5);
	RTLE;
	RTEE;
	return (EIF_REFERENCE) 0;
}

/* {EV_APPLICATION_IMP}.gtk_widget_from_gdk_window */
EIF_REFERENCE F1728_18273 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	EIF_POINTER loc1 = (EIF_POINTER) 0;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Result);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("gtk_widget_from_gdk_window", 1727, Current, 1, 1, 24218);
	RTGC;
	RTHOOK(1);
	gdk_window_get_user_data((GdkWindow*) arg1, (gpointer*) (EIF_POINTER *) &(loc1));
	RTHOOK(2);
	tb1 = !loc1;
	if ((EIF_BOOLEAN) !tb1) {
		RTHOOK(3);
		Result = F1728_18271(Current, loc1);
		RTHOOK(4);
		RTLE;
		RTEE;
		return RTRV(eif_new_type(1743, 0x00), Result);
	}
	RTHOOK(5);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.default_gtk_window */
static EIF_POINTER F1728_18275_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTLD;
	

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("default_gtk_window", 1727, Current, 0, 0, 24220);
	RTGC;
	RTOSP (18275);
#define Result RTOSR(18275)
	RTHOOK(1);
	tr1 = RTOSCF(18279,F1728_18279, (Current));
	Result = *(EIF_POINTER *)(RTCW(tr1) + O14830[Dtype(tr1)-1741]);
	RTHOOK(2);
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_43_);
	ti4_1 = F1232_11583(RTCV(RTOSCF(18279,F1728_18279, (Current))));
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8335[Dtype(RTCW(tr1))-891])(tr1, (EIF_REFERENCE) &ti4_1);
	RTOSE (18275);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1728_18275 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18275,F1728_18275_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_gdk_window */
EIF_POINTER F1728_18276 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER Result = ((EIF_POINTER) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("default_gdk_window", 1727, Current, 0, 0, 24221);
	RTGC;
	RTHOOK(1);
	tp1 = RTOSCF(18275,F1728_18275, (Current));
	Result = (EIF_POINTER) gtk_widget_get_window((GtkWidget*) tp1);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.default_widget */
static EIF_REFERENCE F1728_18277_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("default_widget", 1727, Current, 1, 0, 24222);
	RTGC;
	RTOSP (18277);
#define Result RTOSR(18277)
	RTOC_NEW(Result);
	RTHOOK(1);
	RTCT0("attached {EV_WIDGET} default_window as l_widget", EX_CHECK);
	tr1 = RTOSCF(18278,F1728_18278, (Current));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTHOOK(2);
	Result = (EIF_REFERENCE) loc1;
	RTOSE (18277);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1728_18277 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18277,F1728_18277_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_window */
static EIF_REFERENCE F1728_18278_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,Current);
	RTLIU(2);
	
	RTEAA("default_window", 1727, Current, 0, 0, 24223);
	RTGC;
	RTOSP (18278);
#define Result RTOSR(18278)
	RTOC_NEW(Result);
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(1654, 0x00).id, 1654, _OBJSIZ_6_3_0_1_0_0_0_0_);
	F1361_12776(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (18278);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1728_18278 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18278,F1728_18278_body,(Current));
}

/* {EV_APPLICATION_IMP}.default_window_imp */
static EIF_REFERENCE F1728_18279_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEAA("default_window_imp", 1727, Current, 1, 0, 24224);
	RTGC;
	RTOSP (18279);
#define Result RTOSR(18279)
	RTOC_NEW(Result);
	RTHOOK(1);
	RTCT0("attached {EV_WINDOW_IMP} default_window.implementation as win", EX_CHECK);
	tr1 = RTOSCF(18278,F1728_18278, (Current));
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + O10574[Dtype(tr1)-1360]);
	loc1 = tr1;
	loc1 = RTRV(eif_new_type(1826, 0x00),loc1);
	if (EIF_TEST(loc1)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTHOOK(2);
	Result = (EIF_REFERENCE) loc1;
	RTOSE (18279);
	RTHOOK(3);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1728_18279 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18279,F1728_18279_body,(Current));
}

/* {EV_APPLICATION_IMP}.reusable_rectangle_struct */
static EIF_POINTER F1728_18280_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	

	
	RTEAA("reusable_rectangle_struct", 1727, Current, 0, 0, 24225);
	RTOSP (18280);
#define Result RTOSR(18280)
	RTHOOK(1);
	Result = (EIF_POINTER) calloc (sizeof(GdkRectangle), 1);
	RTOSE (18280);
	RTHOOK(2);
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1728_18280 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18280,F1728_18280_body,(Current));
}

/* {EV_APPLICATION_IMP}.c_string_from_eiffel_string */
EIF_REFERENCE F1728_18281 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,arg1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLR(3,Result);
	RTLIU(4);
	
	RTEAA("c_string_from_eiffel_string", 1727, Current, 0, 1, 24226);
	RTGC;
	RTHOOK(1);
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R11878[Dtype(RTCW(arg1))-1519])(arg1);
	if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1000L))) {
		RTHOOK(2);
		tr1 = RTLNS(eif_new_type(1218, 0x00).id, 1218, _OBJSIZ_0_1_0_1_0_1_0_0_);
		F1219_10755(RTCW(tr1), arg1);
		RTHOOK(3);
		RTLE;
		RTEE;
		return (EIF_REFERENCE) tr1;
	} else {
		RTHOOK(4);
		Result = RTOSCF(18282,F1728_18282, (Current));
		RTHOOK(5);
		F1219_10755(RTCW(Result), arg1);
	}
	RTHOOK(6);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.reusable_gtk_c_string */
static EIF_REFERENCE F1728_18282_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("reusable_gtk_c_string", 1727, Current, 0, 0, 24227);
	RTGC;
	RTOSP (18282);
#define Result RTOSR(18282)
	RTOC_NEW(Result);
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(1218, 0x00).id, 1218, _OBJSIZ_0_1_0_1_0_1_0_0_);
	tr2 = RTMS_EX_H("",0,0);
	F1219_10755(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (18282);
	RTHOOK(2);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F1728_18282 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18282,F1728_18282_body,(Current));
}

/* {EV_APPLICATION_IMP}.reusable_rgba_struct */
static EIF_POINTER F1728_18283_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	

	
	RTEAA("reusable_rgba_struct", 1727, Current, 0, 0, 24228);
	RTOSP (18283);
#define Result RTOSR(18283)
	RTHOOK(1);
	Result = (EIF_POINTER) calloc (sizeof(GdkRGBA), 1);
	RTOSE (18283);
	RTHOOK(2);
	RTEE;
	return Result;
#undef Result
}

EIF_POINTER F1728_18283 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(18283,F1728_18283_body,(Current));
}

/* {EV_APPLICATION_IMP}.initialize_threading */
void F1728_18284 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEAA("initialize_threading", 1727, Current, 0, 0, 24229);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_thread_capable__b) {
		RTHOOK(2);
		tr1 = RTLNSMART(eif_new_type(1220, 0).id);
		F1221_10772(RTCW(tr1));
		RTAR(Current, tr1);
		*(EIF_REFERENCE *)(Current + _REFACS_33_) = (EIF_REFERENCE) tr1;
	}
	RTHOOK(3);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.enable_ev_gtk_log */
void F1728_18287 (EIF_REFERENCE Current, EIF_INTEGER_32 arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("enable_ev_gtk_log", 1727, Current, 0, 1, 24232);enable_ev_gtk_log((EIF_INTEGER) arg1);
	
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_APPLICATION_IMP}.gtk_init_check */
EIF_BOOLEAN F1728_18289 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("gtk_init_check", 1727, Current, 0, 0, 24234);
	Result = (EIF_BOOLEAN) EIF_TEST(gtk_init_check (&eif_argc, &eif_argv));
	RTHOOK(1);
	RTLE;
	RTEE;
	return Result;
}

/* {EV_APPLICATION_IMP}.c_get_screen_geometry */
void F1728_18290 (EIF_REFERENCE Current, EIF_POINTER arg1)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_get_screen_geometry", 1727, Current, 0, 1, 24235);
	inline_F1728_18290 ((EIF_POINTER) arg1);
	RTHOOK(1);
	RTLE;
	RTEE;
}

void EIF_Minit1009 (void)
{
	GTCX
	RTPOMS(18154,0,"EV_HAS_X11_SUPPORT",18,1084065108);
	RTPOMS(18173,1,"gtk-font-name",13,1067777893);
	RTPOMS(18173,0,"gtk-theme-name",14,97340261);
}


#ifdef __cplusplus
}
#endif
