/*
 * Code for class EV_MENU_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev2432.h"
#include <ev_gtk.h>
#include "ev_c_util.h"
#include "ev_any_imp.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F3487_40410
static void inline_F3487_40410 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	g_object_set_data (
    G_OBJECT (arg1),
    "eif_oid",
    (gpointer) (rt_int_ptr) arg2
);
	;
}
#define INLINE_F3487_40410
#endif
#ifndef INLINE_F3487_40411
static void inline_F3487_40411 (EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_NATURAL_32 arg5)
{
	{
     /* From: https://git.eclipse.org/c/platform/eclipse.platform.swt.git/commit/?id=7714fdbf1ce0110744da9c164486c12254d5bd6f
	 *  GTK Feature: gtk_menu_popup is deprecated as of GTK3.22 and the new method gtk_menu_popup_at_pointer
	 *  requires an event to hook on to. This requires the popup & events related to the menu be handled
	 *  immediately and not as a post event in display, requiring the current event.
	 */
	GdkEvent *event_ptr = gtk_get_current_event();
	if (event_ptr == NULL) {
		GdkEvent *event = gdk_event_new (GDK_BUTTON_PRESS);
		((GdkEventButton*)event)->time = (guint32) arg5;
		((GdkEventButton*)event)->x = (gdouble) arg2;
		((GdkEventButton*)event)->y = (gdouble) arg3;
		((GdkEventButton*)event)->type = GDK_BUTTON_PRESS;
		((GdkEventButton*)event)->button = (guint) arg4;
		gtk_widget_realize (arg1);
		((GdkEventButton*)event)->window = g_object_ref((GdkWindow*) gtk_widget_get_window ((GtkWidget*) arg1));
		((GdkEventButton*)event)->device = (GdkDevice*) gdk_seat_get_pointer ((GdkSeat*) gdk_display_get_default_seat ((GdkDisplay*) gdk_display_get_default ()));
		gtk_menu_popup_at_pointer ((GtkMenu*) arg1, event);
		gdk_event_free (event);
	} else {
		gtk_menu_popup_at_pointer ((GtkMenu*) arg1, event_ptr);
		gdk_event_free (event_ptr);
	}	
}
	;
}
#define INLINE_F3487_40411
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_MENU_IMP}.make */
void F3487_40407 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("make", 3486, Current, 0, 0, 43110);
	RTGC;
	RTHOOK(1);
	F3484_40375(Current);
	RTHOOK(2);
	tp1 = (EIF_POINTER) gtk_menu_new();
	*(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_) = (EIF_POINTER) tp1;
	RTHOOK(3);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	gtk_widget_show((GtkWidget*) tp1);
	RTHOOK(4);
	tp1 = F3484_40381(Current);
	gtk_widget_show((GtkWidget*) tp1);
	RTHOOK(5);
	tp1 = F3484_40381(Current);
	tp2 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	gtk_menu_item_set_submenu((GtkMenuItem*) tp1, (GtkWidget*) tp2);
	RTHOOK(6);
	F3326_38280(Current);
	RTHOOK(7);
	F3353_38567(Current);
	RTHOOK(8);
	F3484_40382(Current);
	RTHOOK(9);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.show */
void F3487_40408 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("show", 3486, Current, 2, 0, 43111);
	RTGC;
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(3258, 0x00).id, 3258, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F3230_36577(RTCW(tr1));
	loc1 = F3259_36992(RTCW(tr1));
	RTHOOK(2);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	loc2 = (EIF_INTEGER_32) gtk_container_get_border_width((GtkContainer*) tp1);
	RTHOOK(3);
	ti4_1 = F4111_49746(RTCW(loc1));
	ti4_2 = F4111_49748(RTCW(loc1));
	F3487_40409(Current, NULL, (EIF_INTEGER_32) (ti4_1 + loc2), (EIF_INTEGER_32) (ti4_2 + loc2));
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.show_at */
void F3487_40409 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_32 tu4_1;
	RTCFDT;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTEAA("show_at", 3486, Current, 2, 3, 43112);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) (F3326_38282(Current) > ((EIF_INTEGER_32) 0L))) {
		RTHOOK(2);
		if ((EIF_BOOLEAN)(arg1 != NULL)) {
			RTHOOK(3);
			loc1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R31577[Dtype(RTCW(arg1))-3282])(arg1);
			loc1 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc1 + arg2);
			RTHOOK(4);
			loc2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R31578[Dtype(RTCW(arg1))-3282])(arg1);
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 + arg3);
		} else {
			RTHOOK(5);
			loc1 = (EIF_INTEGER_32) arg2;
			RTHOOK(6);
			loc2 = (EIF_INTEGER_32) arg3;
		}
		RTHOOK(7);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOUCR(753,F3341_38408, (Current)))+ _LNGOFF_49_16_0_11_);
		loc1 -= ti4_1;
		RTHOOK(8);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOUCR(753,F3341_38408, (Current)))+ _LNGOFF_49_16_0_12_);
		loc2 -= ti4_1;
		RTHOOK(9);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
		ti4_1 = F3162_35739(Current);
		inline_F3487_40410(tp1, ti4_1);
		RTHOOK(10);
		tr1 = RTOUCR(753,F3341_38408, (Current));
		F3305_37743(RTCW(tr1), *(EIF_REFERENCE *)(Current + _REFACS_12_));
		RTHOOK(11);
		tr1 = RTOUCR(753,F3341_38408, (Current));
		{
			EIF_TYPE_INDEX typarr0[] = {0xFFF9,6,3837,0,4994,4464,4464,4464,4476,0xFFFF};
			EIF_TYPE typres0;
			typarr0[3] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr2 = RTLNTS(typres0.id, 7, 0);
		}
		((EIF_TYPED_VALUE *)tr2+1)->it_r = Current;
		RTAR(tr2,Current);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
		((EIF_TYPED_VALUE *)tr2+2)->it_p = tp1;
		((EIF_TYPED_VALUE *)tr2+3)->it_i4 = loc1;
		((EIF_TYPED_VALUE *)tr2+4)->it_i4 = loc2;
		((EIF_TYPED_VALUE *)tr2+5)->it_i4 = ((EIF_INTEGER_32) 0L);
		tu4_1 = (EIF_NATURAL_32) gtk_get_current_event_time();
		((EIF_TYPED_VALUE *)tr2+6)->it_n4 = tu4_1;
		
		{
			static EIF_TYPE_INDEX typarr0[] = {3949,0xFFF9,0,3837,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr3= RTLNRF(typres0.id, (EIF_POINTER) __A2432_326, (EIF_POINTER) _A2432_326, (EIF_POINTER)(F3487_40411),tr2, 1, 0);
		}
		F3304_37668(RTCW(tr1), tr3);
	}
	RTHOOK(12);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.couple_object_id_with_gtk_object */
void F3487_40410 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("couple_object_id_with_gtk_object", 3486, Current, 0, 2, 43113);
	inline_F3487_40410 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.c_gtk_menu_popup_at_pointer */
void F3487_40411 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_NATURAL_32 arg5)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_gtk_menu_popup_at_pointer", 3486, Current, 0, 5, 43114);
	inline_F3487_40411 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32) arg4, (EIF_NATURAL_32) arg5);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.on_activate */
void F3487_40412 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTEAA("on_activate", 3486, Current, 1, 0, 43115);
	RTGC;
	RTHOOK(1);
	loc1 = F3477_40355(Current);
	loc1 = RTRV(eif_new_type(3331, 0x00), loc1);
	RTHOOK(2);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		RTHOOK(3);
		tr1 = *(EIF_REFERENCE *)(RTCW(loc1));
		if ((EIF_BOOLEAN)(tr1 != NULL)) {
			RTHOOK(4);
			tr1 = F665_10994(RTCW(loc1));
			{
				EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,3837,0,0,0xFFFF};
				EIF_TYPE typres0;
				{
					EIF_TYPE l_type;
					l_type = eif_final_id(Y32105,Y32105_gen_type,Dftype(Current),3293);
					typarr0[3] = l_type.annotations | 0xFF00;
					typarr0[4] = l_type.id;
				}
				
				typres0 = eif_compound_id(Dftype(Current), typarr0);
				tr2 = RTLNTS(typres0.id, 2, 0);
			}
			tr3 = F3294_37447(Current);
			((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
			RTAR(tr2,tr3);
			F4529_56052(RTCW(tr1), tr2);
		}
	}
	RTHOOK(5);
	if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_8_) != NULL)) {
		RTHOOK(6);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_8_);
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R29096[Dtype(RTCW(tr1))-2998])(tr1, NULL);
	}
	RTHOOK(7);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.list_widget */
EIF_POINTER F3487_40414 (EIF_REFERENCE Current)
{
	return *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
}


/* {EV_MENU_IMP}.destroy */
void F3487_40415 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("destroy", 3486, Current, 0, 0, 43118);
	RTGC;
	RTHOOK(1);
	F3325_38276(Current);
	RTHOOK(2);
	F3477_40356(Current);
	RTHOOK(3);
	RTLE;
	RTEE;
}

void EIF_Minit2432 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
