/*
 * Code for class ARGUMENT_BASE_PARSER
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ar275.h"
#include "eif_built_in.h"
#include <stdio.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <termios.h>
#include "eif_helpers.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F21_283
static EIF_INTEGER_32 inline_F21_283 (void)
{
	#ifdef TIOCGSIZE
	struct ttysize win;
    if (ioctl (STDIN_FILENO, TIOCGSIZE, &win))
        return 0;
    else
        return win.ts_cols;
#elif defined TIOCGWINSZ
	struct winsize win;
    if (ioctl (STDIN_FILENO, TIOCGWINSZ, &win))
        return 0;
    else
        return win.ws_col;
#else
    {
		// Not likely to work because COLUMNS generally is a shell variable.
        const char *s;
        s = getenv ("COLUMNS");
        if (s)
            return strtol (s, 0, 10);
        else
            return 0;
    }
#endif
	;
}
#define INLINE_F21_283
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {ARGUMENT_BASE_PARSER}.make */
void F322_4584 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_BOOLEAN arg2, EIF_BOOLEAN arg3)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F322_4585(Current);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_) = (EIF_BOOLEAN) arg1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_7_) = (EIF_BOOLEAN) arg2;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_8_) = (EIF_BOOLEAN) arg3;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.initialize_defaults */
void F322_4585 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTCFDT;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_6_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_7_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_1_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_0_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_3_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,34,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	F1065_9100(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_1_) = (EIF_REFERENCE) tr1;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1177,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	F1065_9100(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_2_) = (EIF_REFERENCE) tr1;
	tr1 = RTLNS(eif_new_type(165, 0x01).id, 165, _OBJSIZ_1_2_0_0_0_0_0_0_);
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current) = (EIF_REFERENCE) tr1;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.values */
EIF_REFERENCE F322_4587 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	
	
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_2_);
}

/* {ARGUMENT_BASE_PARSER}.option_values */
EIF_REFERENCE F322_4588 (EIF_REFERENCE Current)
{
	GTCX
	
	
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_1_);
}

/* {ARGUMENT_BASE_PARSER}.error_messages */
static EIF_REFERENCE F322_4589_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(677)

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1173,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F1065_9100(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4589 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(677,F322_4589_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.system_name */
EIF_REFERENCE F322_4590 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOUCR(124,F303_4284, (RTCV(F322_4593(Current))));
	tr1 = F1200_11173(RTCW(tr1));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		tr1 = F1200_11196(loc1);
		RTLE;
		return (EIF_REFERENCE) tr1;
	} else {
		RTLE;
		return (EIF_REFERENCE) RTOUCR(678,F322_4665, (Current));
	}/* NOTREACHED */
	
}

/* {ARGUMENT_BASE_PARSER}.arguments */
EIF_REFERENCE F322_4592 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc6 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc7 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,tr1);
	RTLR(3,Result);
	RTLR(4,loc4);
	RTLR(5,loc8);
	RTLR(6,loc2);
	RTLR(7,loc3);
	RTLIU(8);
	
	RTGC;
	if (F327_4703(Current)) {
		tr1 = F322_4593(Current);
		loc1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4053[Dtype(RTCW(tr1))-303])(tr1);
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1177,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
			Result = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		ti4_1 = F1065_9121(RTCW(loc1));
		F1065_9100(RTCW(Result), ti4_1);
		loc4 = RTOUCR(672,F325_4704, (Current));
		loc5 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_0_);
		tr1 = F1065_9114(RTCW(loc1));
		loc8 = (EIF_REFERENCE) tr1;
		for (;;) {
			tb1 = F665_8080(loc8);
			if (tb1) break;
			loc2 = F665_8071(loc8);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
			if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 2L))) {
				tb2 = '\0';
				tw1 = F1178_10357(RTCW(loc2), ((EIF_INTEGER_32) 1L));
				tb3 = F998_8929(RTCW(loc4), tw1);
				if (tb3) {
					tw1 = F1178_10357(RTCW(loc2), ((EIF_INTEGER_32) 2L));
					tb3 = F998_8929(RTCW(loc4), tw1);
					tb2 = (EIF_BOOLEAN) !tb3;
				}
				if (tb2) {
					if (loc5) {
						loc7 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
					} else {
						tw1 = RTOUCB(EIF_CHARACTER_32,679,F322_4664, (Current));
						loc7 = F1177_10310(RTCW(loc2), tw1, ((EIF_INTEGER_32) 2L));
						if ((EIF_BOOLEAN)(loc7 == ((EIF_INTEGER_32) 0L))) {
							loc7 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
						} else {
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
							ti4_1 = eif_min_int32 (loc7,ti4_1);
							loc7 = (EIF_INTEGER_32) ti4_1;
						}
					}
					loc6 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
					for (;;) {
						if ((EIF_BOOLEAN) (loc6 > loc7)) break;
						loc3 = (EIF_REFERENCE) NULL;
						tb2 = '\0';
						if ((EIF_BOOLEAN) ((EIF_BOOLEAN) !loc5 && (EIF_BOOLEAN) (loc6 < loc7))) {
							tw1 = F1178_10357(RTCW(loc2), (EIF_INTEGER_32) (loc6 + ((EIF_INTEGER_32) 1L)));
							tb2 = (EIF_BOOLEAN)(tw1 == RTOUCB(EIF_CHARACTER_32,679,F322_4664, (Current)));
						}
						if (tb2) {
							loc3 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
							F1177_10298(RTCW(loc3), (EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) + (EIF_INTEGER_32) (loc7 - loc6)));
							tw1 = F998_8926(RTCW(loc4), ((EIF_INTEGER_32) 1L));
							F1179_10426(RTCW(loc3), tw1);
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
							tr1 = F1178_10366(RTCW(loc2), loc6, ti4_1);
							F1179_10413(RTCW(loc3), tr1);
							loc6 = (EIF_INTEGER_32) loc7;
						}
						tb2 = '\0';
						if ((EIF_BOOLEAN)(loc3 == NULL)) {
							tb3 = '\01';
							if (!loc5) {
								tw1 = F1178_10357(RTCW(loc2), loc6);
								tb3 = (EIF_BOOLEAN)(tw1 != RTOUCB(EIF_CHARACTER_32,679,F322_4664, (Current)));
							}
							tb2 = tb3;
						}
						if (tb2) {
							loc3 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
							F1177_10298(RTCW(loc3), ((EIF_INTEGER_32) 2L));
							tw1 = F998_8926(RTCW(loc4), ((EIF_INTEGER_32) 1L));
							F1179_10426(RTCW(loc3), tw1);
							tw1 = F1178_10357(RTCW(loc2), loc6);
							F1179_10426(RTCW(loc3), tw1);
						}
						if ((EIF_BOOLEAN)(loc3 != NULL)) {
							tr1 = RTLNS(eif_new_type(1177, 0x00).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
							F1178_10353(RTCW(tr1), loc3);
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, tr1);
						}
						loc6++;
					}
				} else {
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, loc2);
				}
			} else {
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, loc2);
			}
			F665_8086(loc8);
		}
	} else {
		tr1 = F322_4593(Current);
		Result = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4053[Dtype(RTCW(tr1))-303])(tr1);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.argument_source */
EIF_REFERENCE F322_4593 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLIU(2);
	
	RTGC;
	Result = *(EIF_REFERENCE *)(Current + _REFACS_3_);
	if ((EIF_BOOLEAN) !(EIF_BOOLEAN)(Result != NULL)) {
		Result = F322_4662(Current);
		RTAR(Current, Result);
		*(EIF_REFERENCE *)(Current + _REFACS_3_) = (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.set_argument_source */
void F322_4595 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	RTAR(Current, arg1);
	*(EIF_REFERENCE *)(Current + _REFACS_3_) = (EIF_REFERENCE) arg1;
}

/* {ARGUMENT_BASE_PARSER}.max_columns */
static EIF_NATURAL_32 F322_4597_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	
#define Result RTOTRB(EIF_NATURAL_32)
	RTOUDB(EIF_NATURAL_32, 680)

	
	RTEV;
	RTGC;
	RTOTP;
	Result = (EIF_NATURAL_32) inline_F21_283();
	if ((EIF_BOOLEAN)(Result == (EIF_NATURAL_32) ((EIF_INTEGER_32) 0L))) {
		Result = (EIF_NATURAL_32) ((EIF_INTEGER_32) 2147483647L);
	} else {
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
			Result -= (EIF_NATURAL_32) ((EIF_INTEGER_32) 1L);
		}
		tu4_1 = eif_max_uint32 (Result,(EIF_NATURAL_32) ((EIF_INTEGER_32) 25L));
		Result = (EIF_NATURAL_32) tu4_1;
	}
	RTOTE;
	RTEE;
	return Result;
#undef Result
}

EIF_NATURAL_32 F322_4597 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_NATURAL_32,680,F322_4597_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.is_successful */
EIF_BOOLEAN F322_4598 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_11_)) {
		tb1 = F876_8321(RTCV(RTOUCR(677,F322_4589, (Current))));
		Result = tb1;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.has_non_switched_argument */
EIF_BOOLEAN F322_4604 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_11_)) {
		tb1 = F876_8321(RTCV(F322_4587(Current)));
		Result = (EIF_BOOLEAN) !tb1;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.has_option */
EIF_BOOLEAN F322_4605 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLIU(2);
	
	RTGC;
	Result = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_11_)) {
		Result = (EIF_BOOLEAN)(F322_4680(Current, arg1) != NULL);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.has_visible_available_options */
EIF_BOOLEAN F322_4615 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = F876_8321(RTCV(RTOUCR(681,F322_4656, (Current))));
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) !Result;
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.has_switch */
EIF_BOOLEAN F322_4617 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,tr1);
	RTLR(3,arg1);
	RTLIU(4);
	
	RTGC;
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_);
	loc2 = F1065_9114(RTCV(RTOUCR(682,F322_4655, (Current))));
	tb1 = EIF_FALSE;
	for (;;) {
		if (tb1) break;
		tb2 = F665_8080(loc2);
		if (tb2) break;
		if (loc1) {
			tr1 = F665_8071(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1174_10213(RTCW(tr1), arg1);
		} else {
			tr1 = F665_8071(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb4 = F1174_10210(RTCW(tr1), arg1);
			tb3 = tb4;
		}
		tb1 = tb3;
		F665_8086(loc2);
	}
	Result = (EIF_BOOLEAN) tb1;
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.option_of_name */
EIF_REFERENCE F322_4622 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	return (EIF_REFERENCE) F322_4680(Current, arg1);
}

/* {ARGUMENT_BASE_PARSER}.options_of_name */
EIF_REFERENCE F322_4623 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLR(2,loc3);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,arg1);
	RTLIU(6);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,34,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F1065_9100(RTCW(Result), ((EIF_INTEGER_32) 0L));
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_);
	tr1 = F322_4588(Current);
	loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(tr1))-641])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc3)-520])(loc3);
		if (tb1) break;
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc3)-520])(loc3);
		if (loc1) {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb2 = F1174_10213(RTCW(tr1), arg1);
		} else {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1174_10210(RTCW(tr1), arg1);
			tb2 = tb3;
		}
		if (tb2) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, loc2);
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc3)-520])(loc3);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.options_values_of_name */
EIF_REFERENCE F322_4624 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(6);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,loc1);
	RTLR(3,Result);
	RTLR(4,loc2);
	RTLR(5,tr1);
	RTLIU(6);
	
	RTGC;
	if (F322_4605(Current, arg1)) {
		loc1 = F322_4623(Current, arg1);
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1177,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			Result = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7324[Dtype(RTCW(loc1))-914])(loc1);
		F1065_9100(RTCW(Result), ti4_1);
		F720_8169(RTCW(Result));
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(loc1))-641])(loc1);
		loc2 = (EIF_REFERENCE) tr1;
		for (;;) {
			tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc2)-520])(loc2);
			if (tb1) break;
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc2)-520])(loc2);
			tb2 = F35_665(RTCW(tr1));
			if (tb2) {
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc2)-520])(loc2);
				tr1 = F35_663(RTCW(tr1));
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, tr1);
			}
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc2)-520])(loc2);
		}
	} else {
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1177,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			Result = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		F1065_9100(RTCW(Result), ((EIF_INTEGER_32) 0L));
		F720_8169(RTCW(Result));
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.switch_of_name */
EIF_REFERENCE F322_4626 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,tr1);
	RTLR(3,arg1);
	RTLR(4,Result);
	RTLIU(5);
	
	RTGC;
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_);
	loc2 = F1065_9114(RTCV(RTOUCR(682,F322_4655, (Current))));
	for (;;) {
		tb1 = F665_8080(loc2);
		if (tb1) break;
		if ((EIF_BOOLEAN)(Result != NULL)) break;
		if (loc1) {
			tr1 = F665_8071(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb2 = F1174_10213(RTCW(tr1), arg1);
		} else {
			tr1 = F665_8071(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1174_10210(RTCW(tr1), arg1);
			tb2 = tb3;
		}
		if (tb2) {
			Result = F665_8071(loc2);
		}
		F665_8086(loc2);
	}
	RTCT0("from_precondition_has_switch", EX_CHECK);
	if ((EIF_BOOLEAN)(Result != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.string_formatter */
static EIF_REFERENCE F322_4627_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(683)

	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1352, 0x01).id, 1352, _OBJSIZ_0_0_0_0_0_0_0_0_);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4627 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(683,F322_4627_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.execute */
void F322_4628 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	F322_4630(Current);
	if (F322_4598(Current)) {
		tb1 = '\0';
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
			tb1 = (EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_5_9_);
		}
		if (tb1) {
			F322_4641(Current);
		}
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_10_)) {
			F322_4640(Current);
		} else {
			tb1 = '\0';
			tr1 = RTOUCR(503,F325_4706, (Current));
			if (F322_4617(Current, tr1)) {
				tr1 = RTOUCR(503,F325_4706, (Current));
				tb1 = F322_4605(Current, tr1);
			}
			if (tb1) {
				F322_4642(Current);
			} else {
				tb1 = '\0';
				tb2 = F876_8321(RTCV(F322_4588(Current)));
				if (tb2) {
					tb2 = F876_8321(RTCV(F322_4587(Current)));
					tb1 = tb2;
				}
				if (tb1) {
					F322_4629(Current, arg1);
				} else {
					(FUNCTION_CAST(void, (EIF_POINTER, EIF_REFERENCE)) *(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_0_))(
						*(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_1_),
						*(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_));
				}
			}
		}
	} else {
		tb1 = '\0';
		tr1 = RTOUCR(684,F322_4652, (Current));
		if (F322_4617(Current, tr1)) {
			tb1 = (EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_5_9_);
		}
		if (tb1) {
			F322_4641(Current);
		}
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_3_)) {
			F322_4640(Current);
		}
		F322_4643(Current);
	}
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_4_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.execute_noop */
void F322_4629 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLIU(2);
	
	RTGC;
	if ((EIF_BOOLEAN) (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_7_) && *(EIF_BOOLEAN *)(Current+ _CHROFF_5_8_))) {
		F322_4640(Current);
	} else {
		(FUNCTION_CAST(void, (EIF_POINTER, EIF_REFERENCE)) *(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_0_))(
			*(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_1_),
			*(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_));
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.parse_arguments */
void F322_4630 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc9 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc10 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc11 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc13 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc14 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc15 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc16 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc17 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc18 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_CHARACTER_32 tw2;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	EIF_BOOLEAN tb6;
	RTCFDT;
	RTLD;
	
	RTLI(17);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,loc1);
	RTLR(3,loc8);
	RTLR(4,loc18);
	RTLR(5,loc12);
	RTLR(6,loc4);
	RTLR(7,loc3);
	RTLR(8,loc5);
	RTLR(9,tr2);
	RTLR(10,tr3);
	RTLR(11,loc7);
	RTLR(12,loc19);
	RTLR(13,loc6);
	RTLR(14,loc20);
	RTLR(15,loc21);
	RTLR(16,loc22);
	RTLIU(17);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
	F1065_9159(RTCW(tr1));
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
	F1065_9159(RTCW(tr1));
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_11_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	loc1 = RTOUCR(682,F322_4655, (Current));
	loc8 = RTOUCR(672,F325_4704, (Current));
	loc9 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_);
	loc2 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_0_);
	loc18 = F1065_9114(RTCV(F322_4592(Current)));
	for (;;) {
		tb1 = F665_8080(loc18);
		if (tb1) break;
		loc12 = F665_8071(loc18);
		tb2 = '\0';
		tb3 = '\0';
		tb4 = '\0';
		if ((EIF_BOOLEAN) !loc14) {
			tb5 = F1178_10369(RTCW(loc12));
			tb4 = (EIF_BOOLEAN) !tb5;
		}
		if (tb4) {
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
			tb3 = (EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1L));
		}
		if (tb3) {
			tw1 = F1178_10357(RTCW(loc12), ((EIF_INTEGER_32) 1L));
			tb3 = F998_8929(RTCW(loc8), tw1);
			tb2 = tb3;
		}
		if (tb2) {
			tb2 = '\0';
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
			if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 2L))) {
				tw1 = F1178_10357(RTCW(loc12), ((EIF_INTEGER_32) 2L));
				tb3 = F998_8929(RTCW(loc8), tw1);
				tb2 = tb3;
			}
			if (tb2) {
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
				loc4 = F1178_10367(RTCW(loc12), ((EIF_INTEGER_32) 3L), ti4_1);
				loc13 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			} else {
				tb2 = '\0';
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
				if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 2L))) {
					tr1 = RTMS_EX_H("--",2,11565);
					tb3 = F1174_10213(RTCW(loc12), tr1);
					tb2 = tb3;
				}
				if (tb2) {
					loc14 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					loc4 = (EIF_REFERENCE) loc12;
				} else {
					ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
					loc4 = F1178_10367(RTCW(loc12), ((EIF_INTEGER_32) 2L), ti4_1);
				}
				loc13 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
			}
			if ((EIF_BOOLEAN) !loc14) {
				loc3 = (EIF_REFERENCE) NULL;
				tb2 = F1178_10369(RTCW(loc4));
				if ((EIF_BOOLEAN) !tb2) {
					loc11 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					loc5 = (EIF_REFERENCE) NULL;
					if ((EIF_BOOLEAN) !loc2) {
						tw1 = RTOUCB(EIF_CHARACTER_32,679,F322_4664, (Current));
						loc16 = F1177_10310(RTCW(loc4), tw1, ((EIF_INTEGER_32) 1L));
						if ((EIF_BOOLEAN) (loc16 > ((EIF_INTEGER_32) 0L))) {
							if ((EIF_BOOLEAN)(loc16 == ((EIF_INTEGER_32) 1L))) {
								tr1 = RTOUCR(685,F322_4667, (Current));
								{
									static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,0xFF01,1178,0xFFFF};
									EIF_TYPE typres0;
									static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
									
									typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
									tr2 = RTLNTS(typres0.id, 2, 0);
								}
								tr3 = F322_4660(Current, loc12);
								((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
								RTAR(tr2,tr3);
								F322_4639(Current, tr1, tr2);
								loc11 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
							} else {
								ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc4)+ _LNGOFF_1_0_0_2_);
								loc5 = F1178_10367(RTCW(loc4), (EIF_INTEGER_32) (loc16 + ((EIF_INTEGER_32) 1L)), ti4_1);
								tr1 = F1178_10367(RTCW(loc4), ((EIF_INTEGER_32) 1L), (EIF_INTEGER_32) (loc16 - ((EIF_INTEGER_32) 1L)));
								loc4 = (EIF_REFERENCE) tr1;
							}
						}
					}
					if ((EIF_BOOLEAN) !loc11) {
						if ((EIF_BOOLEAN) !loc9) {
							tr1 = F1178_10364(RTCW(loc4));
							loc4 = (EIF_REFERENCE) tr1;
						}
						loc7 = (EIF_REFERENCE) NULL;
						loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						loc19 = F1065_9114(RTCW(loc1));
						for (;;) {
							tb2 = F665_8080(loc19);
							if (tb2) break;
							if (loc10) break;
							loc6 = F665_8071(loc19);
							if (loc13) {
								if (loc9) {
									tr1 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_1_);
									loc10 = F1177_10325(RTCW(tr1), loc4);
								} else {
									tr1 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_1_);
									loc10 = F1177_10323(RTCW(tr1), loc4);
								}
							} else {
								if (loc9) {
									tr1 = F1124_9947(RTCW(loc6));
									loc10 = F1177_10325(RTCW(tr1), loc4);
								} else {
									tr1 = F1124_9947(RTCW(loc6));
									loc10 = F1177_10323(RTCW(tr1), loc4);
								}
							}
							if (loc10) {
								loc7 = (EIF_REFERENCE) loc6;
							}
							F665_8086(loc19);
						}
						if ((EIF_BOOLEAN) ((EIF_BOOLEAN) !loc10 && (EIF_BOOLEAN) !loc13)) {
							loc17 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
							loc15 = *(EIF_INTEGER_32 *)(RTCW(loc4)+ _LNGOFF_1_0_0_2_);
							for (;;) {
								if ((EIF_BOOLEAN) (loc17 > loc15)) break;
								loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								loc20 = F1065_9114(RTCW(loc1));
								for (;;) {
									tb3 = F665_8080(loc20);
									if (tb3) break;
									if (loc10) break;
									loc6 = F665_8071(loc20);
									tb4 = F1124_9956(RTCW(loc6));
									if (tb4) {
										if (loc9) {
											tw1 = *(EIF_CHARACTER_32 *)(RTCW(loc6) + O8435[Dtype(loc6)-1123]);
											tw2 = F1178_10357(RTCW(loc4), loc17);
											loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN)(tw1 == tw2);
										} else {
											tw1 = *(EIF_CHARACTER_32 *)(RTCW(loc6) + O8435[Dtype(loc6)-1123]);
											tr1 = RTLNS(eif_new_type(1127, 0x00).id, 1127, _OBJSIZ_0_0_0_1_0_0_0_0_);
											*(EIF_CHARACTER_32 *)tr1 = tw1;
											tw1 = F1126_9994(RTCW(tr1));
											tw2 = F1178_10357(RTCW(loc4), loc17);
											loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN)(tw1 == tw2);
										}
										if ((EIF_BOOLEAN) (loc10 && (EIF_BOOLEAN) (loc17 < loc15))) {
											tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
											tr2 = F1124_9959(RTCW(loc6));
											(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(tr1))-873])(tr1, tr2);
										}
									}
									F665_8086(loc20);
								}
								loc17++;
							}
							if (loc10) {
								loc7 = (EIF_REFERENCE) loc6;
							}
						}
						if (loc10) {
							if ((EIF_BOOLEAN)(loc6 != NULL)) {
								tb4 = '\0';
								tb5 = '\0';
								if ((EIF_BOOLEAN)(loc5 != NULL)) {
									tb6 = F1178_10369(RTCW(loc5));
									tb5 = (EIF_BOOLEAN) !tb6;
								}
								if (tb5) {
									loc21 = loc7;
									loc21 = RTRV(eif_new_type(1124, 0x01),loc21);
									tb4 = EIF_TEST(loc21);
								}
								if (tb4) {
									tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
									tr2 = F1125_9971(loc21, loc5);
									(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(tr1))-873])(tr1, tr2);
								} else {
									tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
									tr2 = F1124_9959(RTCW(loc6));
									(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(tr1))-873])(tr1, tr2);
								}
							} else {
							}
							if (loc2) {
								loc3 = (EIF_REFERENCE) loc6;
							}
						} else {
							tr1 = RTOUCR(686,F322_4668, (Current));
							{
								static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,0xFF01,1178,0xFFFF};
								EIF_TYPE typres0;
								static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
								
								typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
								tr2 = RTLNTS(typres0.id, 2, 0);
							}
							tr3 = F322_4660(Current, loc12);
							((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
							RTAR(tr2,tr3);
							F322_4639(Current, tr1, tr2);
						}
					}
				} else {
					tr1 = RTOUCR(685,F322_4667, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,0xFF01,1178,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
						tr2 = RTLNTS(typres0.id, 2, 0);
					}
					tr3 = F322_4660(Current, loc12);
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					F322_4639(Current, tr1, tr2);
				}
			}
		} else {
			loc22 = loc3;
			loc22 = RTRV(eif_new_type(1124, 0x01),loc22);
			if (EIF_TEST(loc22)) {
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
				F1065_9132(RTCW(tr1));
				tb4 = '\0';
				if ((EIF_BOOLEAN)(loc12 != NULL)) {
					tb5 = F1178_10369(RTCW(loc12));
					tb4 = (EIF_BOOLEAN) !tb5;
				}
				if (tb4) {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
					tr2 = F1125_9971(loc22, loc12);
					F1065_9144(RTCW(tr1), tr2);
				}
			} else {
				tb4 = F1178_10369(RTCW(loc12));
				if ((EIF_BOOLEAN) !tb4) {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(tr1))-873])(tr1, loc12);
				} else {
					tr1 = RTOUCR(685,F322_4667, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,0xFF01,1178,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
						tr2 = RTLNTS(typres0.id, 2, 0);
					}
					tr3 = F322_4660(Current, loc12);
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					F322_4639(Current, tr1, tr2);
				}
			}
			loc3 = (EIF_REFERENCE) NULL;
		}
		F665_8086(loc18);
	}
	if (F322_4598(Current)) {
		tr1 = RTOUCR(673,F325_4705, (Current));
		if ((EIF_BOOLEAN) !F322_4605(Current, tr1)) {
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R4373[Dtype(Current)-487])(Current);
			if (F322_4598(Current)) {
				F322_4631(Current);
			}
		} else {
			*(EIF_BOOLEAN *)(Current+ _CHROFF_5_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		}
	}
	tb4 = F322_4598(Current);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_11_) = (EIF_BOOLEAN) tb4;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.post_process_arguments */
void F322_4631 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	tb1 = '\01';
	tb2 = '\01';
	tr1 = RTOUCR(684,F322_4652, (Current));
	if (!(EIF_BOOLEAN) !F322_4617(Current, tr1)) {
		tr1 = RTOUCR(684,F322_4652, (Current));
		tb2 = F322_4605(Current, tr1);
	}
	if (!tb2) {
		tr1 = RTOUCR(503,F325_4706, (Current));
		tb1 = F322_4605(Current, tr1);
	}
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_9_) = (EIF_BOOLEAN) tb1;
	tr1 = RTOUCR(673,F325_4705, (Current));
	tb1 = F322_4605(Current, tr1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_5_10_) = (EIF_BOOLEAN) tb1;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.validate_arguments */
void F322_4632 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc7 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	RTCFDT;
	RTCDT;
	RTLD;
	
	RTLI(15);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc3);
	RTLR(4,loc8);
	RTLR(5,loc4);
	RTLR(6,loc1);
	RTLR(7,tr2);
	RTLR(8,tr3);
	RTLR(9,loc9);
	RTLR(10,loc10);
	RTLR(11,loc11);
	RTLR(12,loc6);
	RTLR(13,loc12);
	RTLR(14,loc5);
	RTLIU(15);
	
	RTGC;
	loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4399[dtype-487])(Current);
	tb1 = F876_8321(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		loc2 = F322_4635(Current);
		tb1 = F876_8321(RTCW(loc2));
		if (tb1) {
			tr1 = RTOUCR(687,F322_4676, (Current));
			F322_4638(Current, tr1);
		}
	}
	loc3 = RTOUCR(688,F322_4659, (Current));
	tb1 = '\0';
	tb2 = F876_8321(RTCW(loc3));
	if ((EIF_BOOLEAN) !tb2) {
		tb2 = F876_8321(RTCV(F322_4588(Current)));
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		F322_4634(Current);
	}
	tb1 = F876_8321(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R4374[dtype-487])(Current, loc2);
	}
	loc8 = F1065_9114(RTCV(RTOUCR(682,F322_4655, (Current))));
	for (;;) {
		tb1 = F665_8080(loc8);
		if (tb1) break;
		loc7 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		loc4 = F665_8071(loc8);
		tr1 = *(EIF_REFERENCE *)(RTCW(loc4));
		if (F322_4605(Current, tr1)) {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc4));
			loc1 = F322_4623(Current, tr1);
		} else {
			loc1 = (EIF_REFERENCE) NULL;
		}
		tb2 = '\0';
		tb3 = '\0';
		tb4 = '\0';
		tb5 = *(EIF_BOOLEAN *)(RTCW(loc4) + O8437[Dtype(loc4)-1123]);
		if ((EIF_BOOLEAN) !tb5) {
			tb4 = (EIF_BOOLEAN)(loc1 == NULL);
		}
		if (tb4) {
			tb4 = F876_8321(RTCW(loc2));
			tb3 = tb4;
		}
		if (tb3) {
			tb3 = F876_8321(RTCW(loc3));
			tb2 = tb3;
		}
		if (tb2) {
			tr1 = RTOUCR(689,F322_4673, (Current));
			{
				static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,0xFF01,1177,0xFFFF};
				EIF_TYPE typres0;
				static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
				
				typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
				tr2 = RTLNTS(typres0.id, 2, 0);
			}
			tr3 = F1124_9947(RTCW(loc4));
			((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
			RTAR(tr2,tr3);
			F322_4639(Current, tr1, tr2);
		} else {
			tb2 = '\0';
			if ((EIF_BOOLEAN)(loc1 != NULL)) {
				tb3 = F876_8321(RTCW(loc1));
				tb2 = (EIF_BOOLEAN) !tb3;
			}
			if (tb2) {
				tb2 = '\0';
				tb3 = *(EIF_BOOLEAN *)(RTCW(loc4) + O8438[Dtype(loc4)-1123]);
				if ((EIF_BOOLEAN) !tb3) {
					ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7324[Dtype(RTCW(loc1))-914])(loc1);
					tb2 = (EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1L));
				}
				if (tb2) {
					tr1 = RTOUCR(690,F322_4671, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,0xFF01,1177,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
						tr2 = RTLNTS(typres0.id, 2, 0);
					}
					tr3 = F1124_9947(RTCW(loc4));
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					F322_4639(Current, tr1, tr2);
				}
				loc9 = loc4;
				loc9 = RTRV(eif_new_type(1124, 0x01),loc9);
				if ((EIF_BOOLEAN) !EIF_TEST(loc9)) {
					loc10 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(loc1))-641])(loc1);
					for (;;) {
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc10)-520])(loc10);
						if (tb2) break;
						tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc10)-520])(loc10);
						tb3 = F35_665(RTCW(tr1));
						if (tb3) {
							tr1 = RTOUCR(691,F322_4672, (Current));
							{
								static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,0xFF01,1177,0xFFFF};
								EIF_TYPE typres0;
								static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
								
								typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
								tr2 = RTLNTS(typres0.id, 2, 0);
							}
							tr3 = F1124_9947(RTCW(loc4));
							((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
							RTAR(tr2,tr3);
							F322_4639(Current, tr1, tr2);
						}
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc10)-520])(loc10);
					}
				} else {
					tb3 = *(EIF_BOOLEAN *)(loc9+ _CHROFF_5_4_);
					if ((EIF_BOOLEAN) !tb3) {
						loc11 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(loc1))-641])(loc1);
						for (;;) {
							tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc11)-520])(loc11);
							if (tb3) break;
							tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc11)-520])(loc11);
							tb4 = F35_665(RTCW(tr1));
							if ((EIF_BOOLEAN) !tb4) {
								tr1 = RTOUCR(692,F322_4670, (Current));
								{
									static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,2,1119,0xFF01,1177,0xFF01,1177,0xFFFF};
									EIF_TYPE typres0;
									static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
									
									typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
									tr2 = RTLNTS(typres0.id, 3, 0);
								}
								tr3 = F1124_9947(loc9);
								((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
								RTAR(tr2,tr3);
								tr3 = *(EIF_REFERENCE *)(loc9 + _REFACS_3_);
								((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
								RTAR(tr2,tr3);
								F322_4639(Current, tr1, tr2);
								loc7 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
							}
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc11)-520])(loc11);
						}
						if (loc7) {
							loc6 = RTOUCR(607,F1125_9969, (loc9));
							loc12 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(loc1))-641])(loc1);
							for (;;) {
								tb4 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc12)-520])(loc12);
								if (tb4) break;
								tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc12)-520])(loc12);
								loc5 = F35_663(RTCW(tr1));
								F165_2776(RTCW(loc6), loc5);
								tb5 = *(EIF_BOOLEAN *)(RTCW(loc6)+ _CHROFF_1_0_);
								if ((EIF_BOOLEAN) !tb5) {
									tr1 = RTOUCR(693,F322_4678, (Current));
									{
										static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,3,1119,0xFF01,1178,0xFF01,1177,0xFF01,1177,0xFFFF};
										EIF_TYPE typres0;
										static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
										
										typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
										tr2 = RTLNTS(typres0.id, 4, 0);
									}
									tr3 = F322_4660(Current, loc5);
									((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
									RTAR(tr2,tr3);
									tr3 = F1124_9947(RTCW(loc4));
									((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
									RTAR(tr2,tr3);
									tr3 = F165_2772(RTCW(loc6));
									((EIF_TYPED_VALUE *)tr2+3)->it_r = tr3;
									RTAR(tr2,tr3);
									F322_4639(Current, tr1, tr2);
								}
								(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc12)-520])(loc12);
							}
						}
					}
				}
			}
		}
		F665_8086(loc8);
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.validate_non_switched_arguments */
void F322_4633 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(7);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,loc1);
	RTLR(3,loc3);
	RTLR(4,tr1);
	RTLR(5,tr2);
	RTLR(6,tr3);
	RTLIU(7);
	
	RTGC;
	loc2 = F322_4587(Current);
	tb1 = F876_8321(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_7_)) {
			loc1 = *(EIF_REFERENCE *)(Current);
			loc3 = F1065_9114(RTCW(loc2));
			for (;;) {
				tb1 = F665_8080(loc3);
				if (tb1) break;
				tr1 = F665_8071(loc3);
				F165_2776(RTCW(loc1), tr1);
				tb2 = *(EIF_BOOLEAN *)(RTCW(loc1)+ _CHROFF_1_0_);
				if ((EIF_BOOLEAN) !tb2) {
					tr1 = RTOUCR(694,F322_4679, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,2,1119,0xFF01,1177,0xFF01,1177,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
						tr2 = RTLNTS(typres0.id, 3, 0);
					}
					tr3 = F665_8071(loc3);
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					tr3 = F165_2772(RTCW(loc1));
					((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
					RTAR(tr2,tr3);
					F322_4639(Current, tr1, tr2);
				}
				F665_8086(loc3);
			}
		} else {
			tr1 = RTOUCR(695,F322_4674, (Current));
			F322_4638(Current, tr1);
		}
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.validate_switch_appurtenances */
void F322_4634 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	RTCFDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,loc6);
	RTLR(3,tr1);
	RTLR(4,loc3);
	RTLR(5,loc7);
	RTLR(6,loc2);
	RTLR(7,tr2);
	RTLR(8,tr3);
	RTLIU(9);
	
	RTGC;
	loc1 = RTOUCR(688,F322_4659, (Current));
	tr1 = F322_4588(Current);
	loc6 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(tr1))-641])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc6)-520])(loc6);
		if (tb1) break;
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc6)-520])(loc6);
		loc3 = *(EIF_REFERENCE *)(RTCW(tr1));
		tb2 = F967_8758(RTCW(loc1), loc3);
		if (tb2) {
			tr1 = F967_8756(RTCW(loc1), loc3);
			loc7 = tr1;
			if (EIF_TEST(loc7)) {
				loc5 = *(EIF_INTEGER_32 *)(loc7+ _LNGOFF_1_1_0_1_);
				loc4 = *(EIF_INTEGER_32 *)(loc7+ _LNGOFF_1_1_0_0_);
				for (;;) {
					if ((EIF_BOOLEAN) (loc5 > loc4)) break;
					loc2 = F995_8926(loc7, loc5);
					tb2 = '\0';
					tb3 = '\0';
					tb4 = *(EIF_BOOLEAN *)(RTCW(loc2) + O8437[Dtype(loc2)-1123]);
					if ((EIF_BOOLEAN) !tb4) {
						tb4 = *(EIF_BOOLEAN *)(RTCW(loc2) + O8440[Dtype(loc2)-1123]);
						tb3 = (EIF_BOOLEAN) !tb4;
					}
					if (tb3) {
						tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
						tb2 = (EIF_BOOLEAN) !F322_4605(Current, tr1);
					}
					if (tb2) {
						tr1 = RTOUCR(696,F322_4677, (Current));
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,2,1119,0xFF01,1177,0xFF01,1177,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 3, 0);
						}
						tr3 = F1124_9947(RTCW(loc3));
						((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
						RTAR(tr2,tr3);
						tr3 = F1124_9947(RTCW(loc2));
						((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
						RTAR(tr2,tr3);
						F322_4639(Current, tr1, tr2);
					}
					loc5++;
				}
			} else {
			}
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc6)-520])(loc6);
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.valid_switch_groups */
EIF_REFERENCE F322_4635 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	EIF_BOOLEAN tb6;
	EIF_BOOLEAN tb7;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLR(2,loc2);
	RTLR(3,tr1);
	RTLR(4,loc1);
	RTLR(5,loc3);
	RTLIU(6);
	
	RTGC;
	Result = F1_14(F322_4636(Current));
	tr1 = F322_4588(Current);
	loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(tr1))-641])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc2)-520])(loc2);
		if (tb1) break;
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc2)-520])(loc2);
		loc1 = *(EIF_REFERENCE *)(RTCW(tr1));
		F1065_9131(RTCW(Result));
		for (;;) {
			tb2 = '\01';
			tb3 = F876_8321(RTCW(Result));
			if (!tb3) {
				tb3 = F1036_9019(RTCW(Result));
				tb2 = tb3;
			}
			if (tb2) break;
			tb3 = '\0';
			tb4 = *(EIF_BOOLEAN *)(RTCW(loc1) + O8440[Dtype(loc1)-1123]);
			if ((EIF_BOOLEAN) !tb4) {
				tr1 = F1065_9105(RTCW(Result));
				tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
				tb4 = F1065_9112(RTCW(tr1), loc1);
				tb3 = (EIF_BOOLEAN) !tb4;
			}
			if (tb3) {
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R7266[Dtype(RTCW(Result))-914])(Result);
			} else {
				F1065_9133(RTCW(Result));
			}
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc2)-520])(loc2);
	}
	F1065_9131(RTCW(Result));
	for (;;) {
		tb3 = F1036_9019(RTCW(Result));
		if (tb3) break;
		tr1 = F1065_9105(RTCW(Result));
		tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
		loc3 = F1065_9114(RTCW(tr1));
		tb4 = EIF_TRUE;
		for (;;) {
			if (!tb4) break;
			tb5 = F665_8080(loc3);
			if (tb5) break;
			tb6 = '\01';
			tr1 = F665_8071(loc3);
			tb7 = *(EIF_BOOLEAN *)(RTCW(tr1) + O8437[Dtype(tr1)-1123]);
			if (!tb7) {
				tr1 = F665_8071(loc3);
				tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
				tb6 = F322_4605(Current, tr1);
			}
			tb4 = tb6;
			F665_8086(loc3);
		}
		if (tb4) {
			F1065_9133(RTCW(Result));
		} else {
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R7266[Dtype(RTCW(Result))-914])(Result);
		}
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.expanded_switch_groups */
EIF_REFERENCE F322_4636 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,Result);
	RTLR(3,loc2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	loc1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4399[Dtype(Current)-487])(Current);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,44,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	ti4_1 = F1065_9121(RTCW(loc1));
	F1065_9100(RTCW(Result), ti4_1);
	tr1 = F1065_9114(RTCW(loc1));
	loc2 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = F665_8080(loc2);
		if (tb1) break;
		tr1 = F665_8071(loc2);
		tr1 = F322_4637(Current, tr1);
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, tr1);
		F665_8086(loc2);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.expand_switch_group */
EIF_REFERENCE F322_4637 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,Current);
	RTLR(5,loc3);
	RTLR(6,loc4);
	RTLR(7,loc5);
	RTLR(8,Result);
	RTLIU(9);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(RTCW(arg1));
	loc1 = F1_14(tr1);
	loc2 = RTOUCR(688,F322_4659, (Current));
	tb1 = F876_8321(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		F1065_9131(RTCW(loc1));
		for (;;) {
			tb1 = F1036_9019(RTCW(loc1));
			if (tb1) break;
			loc3 = F1065_9105(RTCW(loc1));
			tr1 = F967_8756(RTCW(loc2), loc3);
			loc4 = tr1;
			if (EIF_TEST(loc4)) {
				loc5 = F995_8930(loc4);
				for (;;) {
					tb2 = F665_8080(loc5);
					if (tb2) break;
					loc3 = F665_8071(loc5);
					tb3 = F1065_9112(RTCW(loc1), loc3);
					if ((EIF_BOOLEAN) !tb3) {
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(loc1))-873])(loc1, loc3);
					}
					F665_8086(loc5);
				}
			}
			F1065_9133(RTCW(loc1));
		}
	}
	tb3 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_0_);
	if (tb3) {
		Result = RTLNS(eif_new_type(44, 0x01).id, 44, _OBJSIZ_1_2_0_0_0_0_0_0_);
		tb3 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_1_);
		F45_1071(RTCW(Result), loc1, tb3);
	} else {
		Result = RTLNS(eif_new_type(44, 0x01).id, 44, _OBJSIZ_1_2_0_0_0_0_0_0_);
		tb3 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_1_);
		F45_1072(RTCW(Result), loc1, tb3);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.add_error */
void F322_4638 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOUCR(677,F322_4589, (Current));
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(tr1))-873])(tr1, arg1);
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.add_template_error */
void F322_4639 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(4);
	RTLR(0,tr1);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,Current);
	RTLIU(4);
	
	RTGC;
	tr1 = RTLNS(eif_new_type(1352, 0x01).id, 1352, _OBJSIZ_0_0_0_0_0_0_0_0_);
	tr1 = F1353_12667(RTCW(tr1), arg1, arg2);
	F322_4638(Current, tr1);
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_usage */
void F322_4640 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(10);
	RTLR(0,loc5);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc3);
	RTLR(4,tr2);
	RTLR(5,loc1);
	RTLR(6,loc6);
	RTLR(7,loc4);
	RTLR(8,tr3);
	RTLR(9,loc2);
	RTLIU(10);
	
	RTGC;
	tb1 = '\0';
	tr1 = F325_4709(Current);
	loc5 = tr1;
	if (EIF_TEST(loc5)) {
		tb2 = F1178_10369(loc5);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		loc3 = RTLNSMART(eif_new_type(1177, 1).id);
		tr1 = F322_4590(Current);
		tr2 = F1174_10227(RTMS_EX_H(" ",1,32));
		tr1 = F1178_10361(RTCW(tr1), tr2);
		tr1 = F1178_10361(RTCW(tr1), loc5);
		F1177_10300(RTCW(loc3), tr1);
	} else {
		loc3 = F322_4590(Current);
	}
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTMS_EX_H("USAGE: \012",8,135033354));
	F102_1940(RTCW(tr1), tr2);
	loc1 = RTOUCR(697,F322_4648, (Current));
	tb1 = F876_8321(RTCW(loc1));
	if ((EIF_BOOLEAN) !tb1) {
		loc6 = F1065_9114(RTCW(loc1));
		for (;;) {
			tb1 = F665_8080(loc6);
			if (tb1) break;
			tr1 = RTOUCR(2,F1_24, (Current));
			tr2 = RTOUCR(670,F322_4666, (Current));
			F102_1940(RTCW(tr1), tr2);
			tr1 = RTOUCR(2,F1_24, (Current));
			F102_1940(RTCW(tr1), loc3);
			tr1 = RTOUCR(2,F1_24, (Current));
			tr2 = F1174_10227(RTMS_EX_H(" ",1,32));
			F102_1940(RTCW(tr1), tr2);
			loc4 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tr1 = F665_8071(loc6);
			F1177_10300(RTCW(loc4), tr1);
			tr1 = RTMS32_EX_H("\012\000\000\000",1,10);
			tr2 = RTMS32_EX_H("\012\000\000\000",1,10);
			tr3 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_1_0_0_2_);
			F1177_10299(RTCW(tr3), tw1, (EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 1L)));
			tr2 = F1179_10432(tr2, tr3);
			F1179_10390(RTCW(loc4), tr1, tr2);
			tr1 = RTOUCR(2,F1_24, (Current));
			F102_1940(RTCW(tr1), loc4);
			tb2 = F665_8084(loc6);
			if ((EIF_BOOLEAN) !tb2) {
				F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
			}
			F665_8086(loc6);
		}
	} else {
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = RTOUCR(670,F322_4666, (Current));
		F102_1940(RTCW(tr1), tr2);
		tr1 = RTOUCR(2,F1_24, (Current));
		F102_1940(RTCW(tr1), loc3);
	}
	if (F322_4615(Current)) {
		F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
		F322_4644(Current);
	}
	loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4392[Dtype(Current)-487])(Current);
	tb2 = F1178_10369(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb2) {
		F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
		tr1 = RTOUCR(2,F1_24, (Current));
		F102_1940(RTCW(tr1), loc2);
	}
	F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_logo */
void F322_4641 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTCV(F325_4710(Current)));
	F102_1940(RTCW(tr1), tr2);
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTMS_EX_H(" - Version: ",12,1246374688));
	F102_1940(RTCW(tr1), tr2);
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTCV(RTOUCR(505,F486_6347, (Current))));
	F102_1940(RTCW(tr1), tr2);
	tr1 = RTOUCR(504,F486_6346, (Current));
	tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R8631[Dtype(RTCW(tr1))-1177])(tr1);
	if ((EIF_BOOLEAN) !tb1) {
		F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = F1174_10227(RTCV(RTOUCR(504,F486_6346, (Current))));
		F102_1940(RTCW(tr1), tr2);
	}
	F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
	F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_version */
void F322_4642 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTCV(F325_4710(Current)));
	F102_1940(RTCW(tr1), tr2);
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTMS_EX_H(" version ",9,1056519968));
	F102_1940(RTCW(tr1), tr2);
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTCV(RTOUCR(505,F486_6347, (Current))));
	F102_1940(RTCW(tr1), tr2);
	tr1 = RTOUCR(504,F486_6346, (Current));
	tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R8631[Dtype(RTCW(tr1))-1177])(tr1);
	if ((EIF_BOOLEAN) !tb1) {
		F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = F1174_10227(RTCV(RTOUCR(504,F486_6346, (Current))));
		F102_1940(RTCW(tr1), tr2);
	}
	F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_errors */
void F322_4643 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_8 tu1_1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLR(5,tr4);
	RTLR(6,loc2);
	RTLIU(7);
	
	RTGC;
	loc1 = RTOUCR(677,F322_4589, (Current));
	tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
	tr2 = RTOUCR(683,F322_4627, (Current));
	tr3 = RTMS_EX_H("{1} error(s) occurred.\012",23,2016916746);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,0xFFF9,1,1119,1318,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr4 = RTLNTS(typres0.id, 2, 1);
	}
	ti4_1 = F1065_9121(RTCW(loc1));
	((EIF_TYPED_VALUE *)tr4+1)->it_i4 = ti4_1;
	tr2 = F1353_12667(RTCW(tr2), tr3, tr4);
	F943_8635(RTCW(tr1), tr2);
	tr1 = F1065_9114(RTCW(loc1));
	loc2 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = F665_8080(loc2);
		if (tb1) break;
		tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
		tr2 = RTOUCR(670,F322_4666, (Current));
		F943_8635(RTCW(tr1), tr2);
		tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
		tr2 = F1174_10227(RTMS_EX_H("> ",2,15904));
		F943_8635(RTCW(tr1), tr2);
		tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
		tr2 = F665_8071(loc2);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOUCR(670,F322_4666, (Current)))+ _LNGOFF_1_0_0_2_);
		tu1_1 = (EIF_NATURAL_8) ti4_1;
		tr2 = F322_4650(Current, tr2, (EIF_NATURAL_8) (tu1_1 + (EIF_NATURAL_8) ((EIF_INTEGER_32) 2L)));
		F943_8635(RTCW(tr1), tr2);
		tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R6434[Dtype(RTCW(tr1))-942])(tr1);
		F665_8086(loc2);
	}
	tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R6434[Dtype(RTCW(tr1))-942])(tr1);
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_options */
void F322_4644 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc8 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc9 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc13 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc14 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc15 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc16 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc17 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc18 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc23 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc24 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_CHARACTER_32 tw1;
	EIF_NATURAL_8 tu1_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	RTCFDT;
	RTLD;
	
	RTLI(22);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,loc7);
	RTLR(4,loc1);
	RTLR(5,loc3);
	RTLR(6,loc2);
	RTLR(7,loc4);
	RTLR(8,loc19);
	RTLR(9,loc5);
	RTLR(10,loc20);
	RTLR(11,loc21);
	RTLR(12,loc11);
	RTLR(13,loc10);
	RTLR(14,loc12);
	RTLR(15,loc22);
	RTLR(16,loc13);
	RTLR(17,loc15);
	RTLR(18,loc23);
	RTLR(19,loc24);
	RTLR(20,loc6);
	RTLR(21,loc14);
	RTLIU(22);
	
	RTGC;
	tr1 = RTOUCR(2,F1_24, (Current));
	tr2 = F1174_10227(RTMS_EX_H("\012OPTIONS:\012",10,1841635338));
	F102_1940(RTCW(tr1), tr2);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1124,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		loc7 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F1065_9100(RTCW(loc7), ((EIF_INTEGER_32) 0L));
	loc1 = RTOUCR(672,F325_4704, (Current));
	loc3 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
	F1177_10298(RTCW(loc3), ((EIF_INTEGER_32) 1L));
	tw1 = F998_8926(RTCW(loc1), ((EIF_INTEGER_32) 1L));
	F1179_10426(RTCW(loc3), tw1);
	ti4_1 = F998_8933(RTCW(loc1));
	if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1L))) {
		loc2 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
		ti4_1 = F998_8933(RTCW(loc1));
		F1177_10298(RTCW(loc2), (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_1 * ((EIF_INTEGER_32) 5L)) + ((EIF_INTEGER_32) 2L)));
		loc18 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_1_0_1_);
		loc17 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_1_0_0_);
		for (;;) {
			if ((EIF_BOOLEAN) (loc18 > loc17)) break;
			if ((EIF_BOOLEAN) (loc18 > ((EIF_INTEGER_32) 1L))) {
				if ((EIF_BOOLEAN) (loc18 < loc17)) {
					tr1 = RTMS_EX_H(", ",2,11296);
					F1179_10412(RTCW(loc2), tr1);
				} else {
					tr1 = RTMS_EX_H(" or ",4,544174624);
					F1179_10412(RTCW(loc2), tr1);
				}
			}
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\'';
			F1179_10426(RTCW(loc2), tw1);
			tw1 = F998_8926(RTCW(loc1), loc18);
			F1179_10426(RTCW(loc2), tw1);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\'';
			F1179_10426(RTCW(loc2), tw1);
			loc18++;
		}
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = RTOUCR(670,F322_4666, (Current));
		F102_1940(RTCW(tr1), tr2);
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = F1174_10227(RTMS_EX_H("Options ",8,506073632));
		F102_1940(RTCW(tr1), tr2);
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_)) {
			tr1 = RTOUCR(2,F1_24, (Current));
			tr2 = F1174_10227(RTMS_EX_H("are case-sensitive and ",23,1259914016));
			F102_1940(RTCW(tr1), tr2);
		}
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = F1174_10227(RTMS_EX_H("should be prefixed with: ",25,889669920));
		F102_1940(RTCW(tr1), tr2);
		tr1 = RTOUCR(2,F1_24, (Current));
		F102_1940(RTCW(tr1), loc2);
		F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
		F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
	}
	loc4 = RTOUCR(681,F322_4656, (Current));
	loc19 = F1065_9114(RTCW(loc4));
	for (;;) {
		tb1 = F665_8080(loc19);
		if (tb1) break;
		loc5 = F665_8071(loc19);
		tb2 = *(EIF_BOOLEAN *)(RTCW(loc5) + O8439[Dtype(loc5)-1123]);
		if ((EIF_BOOLEAN) !tb2) {
			tb2 = '\01';
			if (!F327_4703(Current)) {
				tb3 = F1124_9956(RTCW(loc5));
				tb2 = tb3;
			}
			if (tb2) {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
				ti4_1 = eif_max_int32 (loc9,(EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 5L)));
				loc9 = (EIF_INTEGER_32) ti4_1;
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
				ti4_1 = eif_max_int32 (loc9,(EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 1L)));
				loc9 = (EIF_INTEGER_32) ti4_1;
			}
		}
		F665_8086(loc19);
	}
	loc16 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_1_);
	loc20 = F1065_9114(RTCW(loc4));
	for (;;) {
		tb2 = F665_8080(loc20);
		if (tb2) break;
		loc5 = F665_8071(loc20);
		loc21 = loc5;
		loc21 = RTRV(eif_new_type(1124, 0x01),loc21);
		if (EIF_TEST(loc21)) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(loc7))-873])(loc7, loc21);
		}
		tb3 = F1124_9956(RTCW(loc5));
		if (tb3) {
			loc11 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
			F1177_10298(RTCW(loc11), ((EIF_INTEGER_32) 20L));
			F1179_10413(RTCW(loc11), loc3);
			tw1 = *(EIF_CHARACTER_32 *)(RTCW(loc5) + O8435[Dtype(loc5)-1123]);
			F1179_10426(RTCW(loc11), tw1);
			tr1 = RTMS_EX_H(" ",1,32);
			F1179_10412(RTCW(loc11), tr1);
			if (F327_4703(Current)) {
				F1179_10413(RTCW(loc11), loc3);
			}
			F1179_10413(RTCW(loc11), loc3);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
			F1179_10413(RTCW(loc11), tr1);
		} else {
			if (F327_4703(Current)) {
				tr1 = RTMS32_EX_H(" \000\000\000 \000\000\000 \000\000\000",3,2105376);
				tr1 = F1179_10432(tr1, loc3);
				tr1 = F1179_10432(RTCW(tr1), loc3);
				tr2 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				loc11 = F1179_10432(RTCW(tr1), tr2);
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				loc11 = F1179_10432(RTCW(loc3), tr1);
			}
		}
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc11)+ _LNGOFF_1_1_0_2_);
		if ((EIF_BOOLEAN) (loc9 > ti4_1)) {
			loc10 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc11)+ _LNGOFF_1_1_0_2_);
			F1177_10299(RTCW(loc10), tw1, (EIF_INTEGER_32) (loc9 - ti4_1));
		} else {
			loc10 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
			F1174_10168(RTCW(loc10));
		}
		F1179_10430(RTCW(loc10), loc11, ((EIF_INTEGER_32) 1L));
		loc12 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
		F1177_10298(RTCW(loc12), ((EIF_INTEGER_32) 256L));
		tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_2_);
		F1179_10413(RTCW(loc12), tr1);
		tb3 = *(EIF_BOOLEAN *)(RTCW(loc5) + O8437[Dtype(loc5)-1123]);
		if (tb3) {
			tr1 = RTMS_EX_H(" (Optional)",11,1464035113);
			F1179_10412(RTCW(loc12), tr1);
		}
		loc8 = *(EIF_INTEGER_32 *)(RTCW(loc10)+ _LNGOFF_1_1_0_2_);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOUCR(670,F322_4666, (Current)))+ _LNGOFF_1_0_0_2_);
		loc8 = (EIF_INTEGER_32) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc8 + ti4_1) + ((EIF_INTEGER_32) 2L));
		tu1_1 = (EIF_NATURAL_8) loc8;
		tr1 = F322_4650(Current, loc12, tu1_1);
		loc12 = (EIF_REFERENCE) tr1;
		loc22 = loc5;
		loc22 = RTRV(eif_new_type(1124, 0x01),loc22);
		if ((EIF_BOOLEAN) (loc16 && EIF_TEST(loc22))) {
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
			F1179_10426(RTCW(loc12), tw1);
			tr1 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
			F1177_10299(RTCW(tr1), tw1, loc8);
			F1179_10413(RTCW(loc12), tr1);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '<';
			F1179_10426(RTCW(loc12), tw1);
			tr1 = *(EIF_REFERENCE *)(loc22 + _REFACS_3_);
			F1179_10413(RTCW(loc12), tr1);
			tr1 = RTMS_EX_H(">: ",3,4078112);
			F1179_10412(RTCW(loc12), tr1);
			loc13 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
			F1177_10298(RTCW(loc13), ((EIF_INTEGER_32) 32L));
			tb3 = *(EIF_BOOLEAN *)(loc22+ _CHROFF_5_4_);
			if (tb3) {
				tr1 = RTMS_EX_H("(Optional) ",11,342873376);
				F1179_10412(RTCW(loc13), tr1);
			}
			tr1 = *(EIF_REFERENCE *)(loc22 + _REFACS_4_);
			F1179_10413(RTCW(loc13), tr1);
			tr1 = *(EIF_REFERENCE *)(loc22 + _REFACS_3_);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
			tu1_1 = (EIF_NATURAL_8) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc8 + ti4_1) + ((EIF_INTEGER_32) 4L));
			tr1 = F322_4650(Current, loc13, tu1_1);
			loc13 = (EIF_REFERENCE) tr1;
			F1179_10413(RTCW(loc12), loc13);
		}
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = RTOUCR(670,F322_4666, (Current));
		F102_1940(RTCW(tr1), tr2);
		tr1 = RTOUCR(2,F1_24, (Current));
		F102_1940(RTCW(tr1), loc10);
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = F1174_10227(RTMS_EX_H(": ",2,14880));
		F102_1940(RTCW(tr1), tr2);
		tr1 = RTOUCR(2,F1_24, (Current));
		F102_1940(RTCW(tr1), loc12);
		F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
		F665_8086(loc20);
	}
	tb3 = '\0';
	if ((EIF_BOOLEAN) !loc16) {
		tb4 = F876_8321(RTCW(loc7));
		tb3 = (EIF_BOOLEAN) !tb4;
	}
	if (tb3) {
		tr1 = RTOUCR(2,F1_24, (Current));
		tr2 = F1174_10227(RTMS_EX_H("\012ARGUMENTS:\012",12,1590959370));
		F102_1940(RTCW(tr1), tr2);
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,977,1133,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			loc15 = RTLNS(typres0.id, 977, _OBJSIZ_5_6_0_7_0_0_0_0_);
		}
		ti4_1 = F1065_9121(RTCW(loc7));
		F970_8750(RTCW(loc15), ti4_1);
		loc9 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		loc23 = F1065_9114(RTCW(loc7));
		for (;;) {
			tb3 = F665_8080(loc23);
			if (tb3) break;
			tr1 = F665_8071(loc23);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_3_);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
			ti4_1 = eif_max_int32 (loc9,ti4_1);
			loc9 = (EIF_INTEGER_32) ti4_1;
			F665_8086(loc23);
		}
		loc24 = F1065_9114(RTCW(loc7));
		for (;;) {
			tb4 = F665_8080(loc24);
			if (tb4) break;
			loc6 = F665_8071(loc24);
			loc14 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_3_);
			tb5 = F970_8758(RTCW(loc15), loc14);
			if ((EIF_BOOLEAN) !tb5) {
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
				if ((EIF_BOOLEAN) (loc9 > ti4_1)) {
					loc10 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
					tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
					ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
					F1177_10299(RTCW(loc10), tw1, (EIF_INTEGER_32) (loc9 - ti4_1));
				} else {
					loc10 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
					F1174_10168(RTCW(loc10));
				}
				tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '<';
				F1179_10431(RTCW(loc10), tw1, ((EIF_INTEGER_32) 1L));
				F1179_10430(RTCW(loc10), loc14, ((EIF_INTEGER_32) 2L));
				tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '>';
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
				F1179_10431(RTCW(loc10), tw1, (EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 2L)));
				tr1 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_4_);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCV(RTOUCR(670,F322_4666, (Current)))+ _LNGOFF_1_0_0_2_);
				tu1_1 = (EIF_NATURAL_8) (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_1 + ti4_2) + ((EIF_INTEGER_32) 4L));
				loc12 = F322_4650(Current, tr1, tu1_1);
				tr1 = RTOUCR(2,F1_24, (Current));
				tr2 = RTOUCR(670,F322_4666, (Current));
				F102_1940(RTCW(tr1), tr2);
				tr1 = RTOUCR(2,F1_24, (Current));
				F102_1940(RTCW(tr1), loc10);
				tr1 = RTOUCR(2,F1_24, (Current));
				tr2 = F1174_10227(RTMS_EX_H(": ",2,14880));
				F102_1940(RTCW(tr1), tr2);
				tr1 = RTOUCR(2,F1_24, (Current));
				F102_1940(RTCW(tr1), loc12);
				F102_1961(RTCV(RTOUCR(2,F1_24, (Current))));
				F970_8796(RTCW(loc15), (EIF_BOOLEAN) 1, loc14);
			}
			F665_8086(loc24);
		}
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.command_option_configurations */
static EIF_REFERENCE F322_4648_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTCFDD;
	RTCDD;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(697)
	dftype = Dftype(Current);
	dtype = Dtype(Current);

	RTLI(11);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,loc1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLR(5,tr4);
	RTLR(6,loc4);
	RTLR(7,loc3);
	RTLR(8,loc7);
	RTLR(9,loc2);
	RTLR(10,loc5);
	RTLIU(11);
	
	RTEV;
	RTGC;
	RTOTP;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1177,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F1065_9100(RTCW(tr1), ((EIF_INTEGER_32) 10L));
	Result = (EIF_REFERENCE) tr1;
	F720_8169(RTCW(Result));
	loc1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4399[dtype-487])(Current);
	loc6 = F876_8321(RTCW(loc1));
	if ((EIF_BOOLEAN) !loc6) {
		{
			EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1119,0xFF01,0,0xFFFF};
			EIF_TYPE typres0;
			typarr0[4] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr1 = RTLNTS(typres0.id, 2, 0);
		}
		((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
		RTAR(tr1,Current);
		
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1172,0xFF01,0xFFF9,1,1119,0xFF01,44,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr4= RTLNRF(typres0.id, (EIF_POINTER) __A275_132_2, (EIF_POINTER) _A275_132_2, 0, tr1, 0, 1);
		}
		loc6 = F1065_9118(RTCW(loc1), tr4);
	}
	if (loc6) {
		loc4 = RTOUCR(681,F322_4656, (Current));
		loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE, EIF_BOOLEAN, EIF_BOOLEAN, EIF_BOOLEAN, EIF_REFERENCE)) R4390[dtype-487])(Current, loc4, *(EIF_BOOLEAN *)(Current+ _CHROFF_5_7_), *(EIF_BOOLEAN *)(Current+ _CHROFF_5_8_), (EIF_BOOLEAN) 1, loc4);
		tb1 = F879_8321(RTCW(loc3));
		if ((EIF_BOOLEAN) !tb1) {
			tr1 = RTLNS(eif_new_type(1177, 0x00).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
			F1178_10353(RTCW(tr1), loc3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, tr1);
		}
	} else {
		F1065_9149(RTCW(Result), ((EIF_INTEGER_32) 1024L));
		tr1 = F1065_9114(RTCW(loc1));
		loc7 = (EIF_REFERENCE) tr1;
		for (;;) {
			tb1 = F665_8080(loc7);
			if (tb1) break;
			loc2 = F665_8071(loc7);
			tb2 = *(EIF_BOOLEAN *)(RTCW(loc2)+ _CHROFF_1_0_);
			if ((EIF_BOOLEAN) !tb2) {
				loc4 = *(EIF_REFERENCE *)(RTCW(loc2));
				tr1 = RTOUCR(684,F322_4652, (Current));
				if (F322_4617(Current, tr1)) {
					tr1 = RTOUCR(684,F322_4652, (Current));
					loc5 = F322_4626(Current, tr1);
					tb2 = F1065_9112(RTCW(loc4), loc5);
					if ((EIF_BOOLEAN) !tb2) {
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(loc4))-873])(loc4, loc5);
					}
				}
				tb2 = '\0';
				if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_7_)) {
					tb3 = *(EIF_BOOLEAN *)(RTCW(loc2)+ _CHROFF_1_1_);
					tb2 = tb3;
				}
				loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE, EIF_BOOLEAN, EIF_BOOLEAN, EIF_BOOLEAN, EIF_REFERENCE)) R4390[dtype-487])(Current, loc4, tb2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 1, loc4);
				tb2 = '\0';
				tb3 = F879_8321(RTCW(loc3));
				if ((EIF_BOOLEAN) !tb3) {
					tr1 = RTLNS(eif_new_type(1177, 0x00).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
					F1178_10353(RTCW(tr1), loc3);
					tb3 = F1065_9112(RTCW(Result), tr1);
					tb2 = (EIF_BOOLEAN) !tb3;
				}
				if (tb2) {
					tr1 = RTLNS(eif_new_type(1177, 0x00).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
					F1178_10353(RTCW(tr1), loc3);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, tr1);
				}
			}
			F665_8086(loc7);
		}
	}
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4648 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(697,F322_4648_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.command_option_group_configuration */
EIF_REFERENCE F322_4649 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_BOOLEAN arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4, EIF_REFERENCE arg5)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc4 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_CHARACTER_32 loc8 = (EIF_CHARACTER_32) 0;
	EIF_BOOLEAN loc9 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc10 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc11 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc12 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc13 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc14 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc17 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(14);
	RTLR(0,arg1);
	RTLR(1,loc1);
	RTLR(2,Current);
	RTLR(3,tr1);
	RTLR(4,Result);
	RTLR(5,loc14);
	RTLR(6,loc6);
	RTLR(7,tr2);
	RTLR(8,arg5);
	RTLR(9,loc15);
	RTLR(10,loc16);
	RTLR(11,loc2);
	RTLR(12,loc17);
	RTLR(13,loc7);
	RTLIU(14);
	
	RTGC;
	tb1 = F876_8321(RTCW(arg1));
	if ((EIF_BOOLEAN) !tb1) {
		loc1 = RTOUCR(688,F322_4659, (Current));
		tr1 = RTOUCR(672,F325_4704, (Current));
		loc8 = F998_8926(RTCW(tr1), ((EIF_INTEGER_32) 1L));
		loc3 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_0_);
		loc4 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_2_);
		loc5 = F327_4703(Current);
		Result = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
		ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7324[Dtype(RTCW(arg1))-914])(arg1);
		F1177_10298(RTCW(Result), (EIF_INTEGER_32) (ti4_1 * ((EIF_INTEGER_32) 12L)));
		loc14 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(arg1))-641])(arg1);
		for (;;) {
			tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc14)-520])(loc14);
			if (tb1) break;
			loc6 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc14)-520])(loc14);
			loc9 = *(EIF_BOOLEAN *)(RTCW(loc6) + O8437[Dtype(loc6)-1123]);
			tb2 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc6));
			tr2 = RTOUCR(673,F325_4705, (Current));
			tb3 = F1177_10325(RTCW(tr1), tr2);
			if ((EIF_BOOLEAN) !tb3) {
				tb3 = *(EIF_BOOLEAN *)(RTCW(loc6) + O8439[Dtype(loc6)-1123]);
				tb2 = (EIF_BOOLEAN) !tb3;
			}
			if (tb2) {
				loc11 = '\01';
				if ((EIF_BOOLEAN) !arg4) {
					tb2 = '\01';
					tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R7217[Dtype(RTCW(arg5))-873])(arg5, loc6);
					if (!(EIF_BOOLEAN) !tb3) {
						tb3 = *(EIF_BOOLEAN *)(RTCW(loc6) + O8437[Dtype(loc6)-1123]);
						tb2 = tb3;
					}
					loc11 = tb2;
				}
				if (loc11) {
					if (loc9) {
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '[';
						F1179_10426(RTCW(Result), tw1);
					}
					F1179_10426(RTCW(Result), loc8);
					if (loc4) {
						if (loc5) {
							F1179_10426(RTCW(Result), loc8);
						}
						tr1 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_1_);
						F1179_10413(RTCW(Result), tr1);
					} else {
						tb2 = '\0';
						if (loc5) {
							tb3 = F1124_9956(RTCW(loc6));
							tb2 = (EIF_BOOLEAN) !tb3;
						}
						if (tb2) {
							F1179_10426(RTCW(Result), loc8);
						}
						tr1 = F1124_9947(RTCW(loc6));
						F1179_10413(RTCW(Result), tr1);
					}
					loc15 = loc6;
					loc15 = RTRV(eif_new_type(1124, 0x01),loc15);
					if (EIF_TEST(loc15)) {
						loc10 = *(EIF_BOOLEAN *)(loc15+ _CHROFF_5_4_);
						if (loc10) {
							tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '[';
							F1179_10426(RTCW(Result), tw1);
						}
						if (loc3) {
							tr1 = RTMS_EX_H(" <",2,8252);
							F1179_10412(RTCW(Result), tr1);
						} else {
							tw1 = RTOUCB(EIF_CHARACTER_32,679,F322_4664, (Current));
							F1179_10426(RTCW(Result), tw1);
							tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '<';
							F1179_10426(RTCW(Result), tw1);
						}
						tr1 = *(EIF_REFERENCE *)(loc15 + _REFACS_3_);
						F1179_10413(RTCW(Result), tr1);
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '>';
						F1179_10426(RTCW(Result), tw1);
						if (loc10) {
							tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ']';
							F1179_10426(RTCW(Result), tw1);
						}
					}
					tb2 = '\0';
					if ((EIF_BOOLEAN)(loc1 != NULL)) {
						tb3 = F967_8758(RTCW(loc1), loc6);
						tb2 = tb3;
					}
					if (tb2) {
						tr1 = F967_8756(RTCW(loc1), loc6);
						loc16 = tr1;
						if (EIF_TEST(loc16)) {
							tb2 = F876_8321(loc16);
							if ((EIF_BOOLEAN) !tb2) {
								{
									static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1123,0xFFFF};
									EIF_TYPE typres0;
									static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
									
									typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
									loc2 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
								}
								ti4_1 = F995_8933(loc16);
								F1065_9100(RTCW(loc2), ti4_1);
								loc12 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
								loc13 = *(EIF_INTEGER_32 *)(loc16+ _LNGOFF_1_1_0_0_);
								for (;;) {
									if ((EIF_BOOLEAN) (loc12 > loc13)) break;
									tr1 = F995_8926(loc16, loc12);
									loc17 = tr1;
									if ((EIF_TRUE)) {
										(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(loc2))-873])(loc2, loc17);
									}
									loc12++;
								}
								loc7 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE, EIF_BOOLEAN, EIF_BOOLEAN, EIF_BOOLEAN, EIF_REFERENCE)) R4390[Dtype(Current)-487])(Current, loc2, (EIF_BOOLEAN) 0, (EIF_BOOLEAN) 0, (EIF_BOOLEAN) 0, arg5);
								tb2 = F879_8321(RTCW(loc7));
								if ((EIF_BOOLEAN) !tb2) {
									tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
									F1179_10426(RTCW(Result), tw1);
									F1179_10413(RTCW(Result), loc7);
								}
							}
						} else {
						}
					}
					tb2 = *(EIF_BOOLEAN *)(RTCW(loc6) + O8438[Dtype(loc6)-1123]);
					if (tb2) {
						tr1 = RTMS_EX_H(" [",2,8283);
						F1179_10412(RTCW(Result), tr1);
						F1179_10426(RTCW(Result), loc8);
						tr1 = F1124_9947(RTCW(loc6));
						F1179_10413(RTCW(Result), tr1);
						tr1 = RTMS_EX_H("...]",4,774778461);
						F1179_10412(RTCW(Result), tr1);
					}
					if (loc9) {
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ']';
						F1179_10426(RTCW(Result), tw1);
					}
					tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7144[Dtype(loc14)-641])(loc14);
					if ((EIF_BOOLEAN) !tb2) {
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
						F1179_10426(RTCW(Result), tw1);
					}
				}
			}
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc14)-520])(loc14);
		}
	} else {
		Result = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
		F1174_10168(RTCW(Result));
		RTLE;
		return (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.format_terminal_text */
EIF_REFERENCE F322_4650 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_NATURAL_8 arg2)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_CHARACTER_32 tw1;
	EIF_CHARACTER_32 tw2;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(7);
	RTLR(0,loc2);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLR(4,loc3);
	RTLR(5,Result);
	RTLR(6,loc5);
	RTLIU(7);
	
	RTGC;
	tr1 = F1174_10227(RTCW(arg1));
	tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
	loc2 = F1174_10246(RTCW(tr1), tw1);
	loc1 = (EIF_INTEGER_32) RTOUCB(EIF_NATURAL_32,680,F322_4597, (Current));
	ti4_1 = (EIF_INTEGER_32) arg2;
	loc1 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc1 - ti4_1);
	loc3 = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
	ti4_1 = (EIF_INTEGER_32) arg2;
	F1177_10299(RTCW(loc3), tw1, ti4_1);
	Result = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R8653[Dtype(RTCW(arg1))-1177])(arg1);
	ti4_2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7324[Dtype(RTCW(loc2))-914])(loc2);
	ti4_3 = (EIF_INTEGER_32) ((EIF_NATURAL_8) (arg2 + (EIF_NATURAL_8) ((EIF_INTEGER_32) 1L)));
	F1177_10298(RTCW(Result), (EIF_INTEGER_32) (ti4_1 + (EIF_INTEGER_32) (ti4_2 * ti4_3)));
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R7228[Dtype(RTCW(loc2))-873])(loc2);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7239[Dtype(RTCW(loc2))-873])(loc2);
		if (tb1) break;
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7261[Dtype(RTCW(loc2))-873])(loc2);
		loc5 = tr1;
		if ((EIF_TRUE)) {
			tb2 = F879_8321(RTCW(Result));
			if ((EIF_BOOLEAN) !tb2) {
				tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
				F1179_10426(RTCW(Result), tw1);
				F1179_10413(RTCW(Result), loc3);
			}
			ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
			if ((EIF_BOOLEAN) (ti4_1 > loc1)) {
				ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
				loc4 = eif_min_int32 (ti4_1,loc1);
				for (;;) {
					tb2 = '\01';
					tb3 = '\01';
					if (!(EIF_BOOLEAN)(loc4 == ((EIF_INTEGER_32) 0L))) {
						tw1 = F1179_10380(loc5, loc4);
						tr1 = RTLNS(eif_new_type(1127, 0x00).id, 1127, _OBJSIZ_0_0_0_1_0_0_0_0_);
						*(EIF_CHARACTER_32 *)tr1 = tw1;
						tb4 = F1126_10004(RTCW(tr1));
						tb3 = tb4;
					}
					if (!tb3) {
						tw1 = F1179_10380(loc5, loc4);
						tw2 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '-';
						tb2 = (EIF_BOOLEAN)(tw1 == tw2);
					}
					if (tb2) break;
					loc4--;
				}
				if ((EIF_BOOLEAN)(loc4 == ((EIF_INTEGER_32) 0L))) {
					loc4 = (EIF_INTEGER_32) loc1;
				}
				tr1 = F1179_10460(loc5, ((EIF_INTEGER_32) 1L), loc4);
				F1179_10413(RTCW(Result), tr1);
				ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
				F1179_10396(loc5, (EIF_INTEGER_32) (ti4_1 - loc4));
				F1179_10397(loc5);
			} else {
				F1179_10413(RTCW(Result), loc5);
				F1179_10442(loc5);
			}
			tb3 = F879_8321(loc5);
			if (tb3) {
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R7241[Dtype(RTCW(loc2))-873])(loc2);
			}
		} else {
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R7241[Dtype(RTCW(loc2))-873])(loc2);
		}
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.extended_usage */
static EIF_REFERENCE F322_4651_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(698)

	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	F1174_10168(RTCW(tr1));
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4651 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(698,F322_4651_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.nologo_switch */
static EIF_REFERENCE F322_4652_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(684)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("nologo",6,2036361583);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4652 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(684,F322_4652_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.available_switches */
static EIF_REFERENCE F322_4655_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTCFDD;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(682)
	dftype = Dftype(Current);

	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLIU(6);
	
	RTEV;
	RTGC;
	RTOTP;
	loc1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R4398[Dtype(Current)-487])(Current);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1123,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr1 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		ti4_1 = F1065_9121(RTCW(loc1));
		F1065_9100(RTCW(tr1), (EIF_INTEGER_32) (((EIF_INTEGER_32) 3L) + ti4_1));
		Result = (EIF_REFERENCE) tr1;
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7346[Dtype(RTCW(Result))-1059])(Result, loc1);
	} else {
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1123,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr1 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		F1065_9100(RTCW(tr1), ((EIF_INTEGER_32) 3L));
		Result = (EIF_REFERENCE) tr1;
	}
	loc2 = RTLNS(eif_new_type(1123, 0x01).id, 1123, _OBJSIZ_3_4_0_1_0_0_0_0_);
	tr1 = RTOUCR(673,F325_4705, (Current));
	tr2 = RTLNS(eif_new_type(1177, 0x00).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr3 = RTMS_EX_H("Display usage information.",26,790767406);
	F1178_10352(RTCW(tr2), tr3);
	F1124_9944(RTCW(loc2), tr1, tr2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 0);
	F1124_9958(RTCW(loc2));
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, loc2);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_5_6_)) {
		loc2 = RTLNS(eif_new_type(1123, 0x01).id, 1123, _OBJSIZ_3_4_0_1_0_0_0_0_);
		tr1 = RTOUCR(503,F325_4706, (Current));
		tr2 = RTLNS(eif_new_type(1177, 0x00).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
		tr3 = RTMS_EX_H("Displays version information.",29,582720558);
		F1178_10352(RTCW(tr2), tr3);
		F1124_9944(RTCW(loc2), tr1, tr2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 0);
		F1124_9958(RTCW(loc2));
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, loc2);
		loc2 = RTLNS(eif_new_type(1123, 0x01).id, 1123, _OBJSIZ_3_4_0_1_0_0_0_0_);
		tr1 = RTOUCR(684,F322_4652, (Current));
		tr2 = RTLNS(eif_new_type(1177, 0x00).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
		tr3 = RTMS_EX_H("Supresses copyright information.",32,1705082414);
		F1178_10352(RTCW(tr2), tr3);
		F1124_9944(RTCW(loc2), tr1, tr2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 0);
		F1124_9958(RTCW(loc2));
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, loc2);
	}
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4655 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(682,F322_4655_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.available_visible_switches */
static EIF_REFERENCE F322_4656_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(681)

	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc3);
	RTLR(4,loc2);
	RTLIU(5);
	
	RTEV;
	RTGC;
	RTOTP;
	loc1 = RTOUCR(682,F322_4655, (Current));
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,1123,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	ti4_1 = F1065_9121(RTCW(loc1));
	F1065_9100(RTCW(tr1), ti4_1);
	Result = (EIF_REFERENCE) tr1;
	tr1 = F1065_9114(RTCW(loc1));
	loc3 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = F665_8080(loc3);
		if (tb1) break;
		loc2 = F665_8071(loc3);
		tb2 = *(EIF_BOOLEAN *)(RTCW(loc2) + O8439[Dtype(loc2)-1123]);
		if ((EIF_BOOLEAN) !tb2) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R7248[Dtype(RTCW(Result))-873])(Result, loc2);
		}
		F665_8086(loc3);
	}
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4656 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(681,F322_4656_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.switch_groups */
static EIF_REFERENCE F322_4658_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(699)

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1064,0xFF01,44,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 1064, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F1065_9100(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4658 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(699,F322_4658_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.switch_dependencies */
static EIF_REFERENCE F322_4659_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(688)

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,966,0xFF01,994,0xFF01,1123,0xFF01,1123,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 966, _OBJSIZ_7_3_0_7_0_0_0_0_);
	}
	F967_8750(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4659 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(688,F322_4659_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.ellipse_text */
EIF_REFERENCE F322_4660 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R8631[Dtype(RTCW(arg1))-1177])(arg1);
	if ((EIF_BOOLEAN) !tb1) {
		tr1 = RTOUCR(683,F322_4627, (Current));
		ti4_1 = (EIF_INTEGER_32) ((EIF_NATURAL_8) 255U);
		Result = F1353_12668(RTCW(tr1), arg1, ti4_1);
	} else {
		Result = RTLNS(eif_new_type(1178, 0x01).id, 1178, _OBJSIZ_1_1_0_3_0_0_0_0_);
		F1174_10168(RTCW(Result));
		RTLE;
		return (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.new_argument_source */
EIF_REFERENCE F322_4662 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTGC;
	tr1 = RTLNS(eif_new_type(303, 0x01).id, 303, _OBJSIZ_0_0_0_0_0_0_0_0_);
	RTLE;
	return (EIF_REFERENCE) tr1;
}

/* {ARGUMENT_BASE_PARSER}.switch_value_qualifer */
static EIF_CHARACTER_32 F322_4664_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	
#define Result RTOTRB(EIF_CHARACTER_32)
	RTOUDB(EIF_CHARACTER_32, 679)

	
	RTEV;
	RTGC;
	RTOTP;
	Result = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ':';
	RTOTE;
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F322_4664 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCB(EIF_CHARACTER_32,679,F322_4664_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.default_system_name */
static EIF_REFERENCE F322_4665_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(678)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("app",3,6385776);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4665 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(678,F322_4665_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.tab_string */
static EIF_REFERENCE F322_4666_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(670)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("   ",3,2105376);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4666 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(670,F322_4666_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_invalid_switch_error */
static EIF_REFERENCE F322_4667_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(685)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("The switch \'{1}\' is invalid.",28,1573419310);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4667 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(685,F322_4667_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_unrecognized_switch_error */
static EIF_REFERENCE F322_4668_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(686)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Unrecognized switch \'{1}\'.",26,1405505070);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4668 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(686,F322_4668_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_require_switch_value */
static EIF_REFERENCE F322_4670_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(692)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' requires a paired value \'{2}\'.",43,736796462);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4670 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(692,F322_4670_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_multiple_switch_error */
static EIF_REFERENCE F322_4671_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(690)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' can only be used once.",35,2066790446);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4671 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(690,F322_4671_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_non_value_switch */
static EIF_REFERENCE F322_4672_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(691)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' should not have any value paired with it.",54,510438446);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4672 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(691,F322_4672_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_missing_switch_error */
static EIF_REFERENCE F322_4673_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(689)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' was not specified.",31,1763454766);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4673 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(689,F322_4673_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_non_switched_argument_specified_error */
static EIF_REFERENCE F322_4674_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(695)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Arguments without a switch prefix are not valid arguments.",58,156258862);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4674 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(695,F322_4674_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_switch_group_unrecognized_error */
static EIF_REFERENCE F322_4676_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(687)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("The specified switches are not in a valid configuration.",56,723639342);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4676 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(687,F322_4676_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_missing_switch_dependency_error */
static EIF_REFERENCE F322_4677_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(696)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' require the switch \'{2}\' be specified also.",56,1344471598);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4677 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(696,F322_4677_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_invalid_switch_value_with_reason */
static EIF_REFERENCE F322_4678_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(693)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("\'{1}\' is an invalid option for switch \'{2}\'.\012{3}",48,341313917);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4678 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(693,F322_4678_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_invalid_non_switched_value_with_reason */
static EIF_REFERENCE F322_4679_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	
#define Result RTOTRR
	RTOUDR(694)

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	tr1 = RTLNS(eif_new_type(1177, 0x01).id, 1177, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("\'{1}\' is an invalid option.\012{2}",31,1578061949);
	F1178_10351(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOTE;
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F322_4679 (EIF_REFERENCE Current)
{
	GTCX
	return RTOUCR(694,F322_4679_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.internal_option_of_name */
EIF_REFERENCE F322_4680 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,loc3);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,arg1);
	RTLR(5,Result);
	RTLIU(6);
	
	RTGC;
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_5_5_);
	tr1 = F322_4588(Current);
	loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R7014[Dtype(RTCW(tr1))-641])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5951[Dtype(loc3)-520])(loc3);
		if (tb1) break;
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5950[Dtype(loc3)-520])(loc3);
		if (loc1) {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R8659[Dtype(RTCW(arg1))-1177])(arg1, tr1);
		} else {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1174_10210(RTCW(arg1), tr1);
			tb2 = tb3;
		}
		if (tb2) {
			Result = (EIF_REFERENCE) loc2;
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5952[Dtype(loc3)-520])(loc3);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.fake inline-agent#15646#495#35# of command_option_configurations */
EIF_BOOLEAN F322_15646 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN tb1;
	
	
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_0_);
	return (EIF_BOOLEAN) tb1;
}

void EIF_Minit275 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
