/*
 * Code for class LIBCURL_HTTP_CLIENT_REQUEST
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "li417.h"
#include "eif_built_in.h"
#include <curl/curl.h>
#include "eif_out.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F32_455
static EIF_INTEGER_32 inline_F32_455 (void)
{
	return CURLOPT_URL;
	;
}
#define INLINE_F32_455
#endif
#ifndef INLINE_F32_497
static EIF_INTEGER_32 inline_F32_497 (void)
{
	return CURLOPT_HTTP_VERSION;
	;
}
#define INLINE_F32_497
#endif
#ifndef INLINE_F32_499
static EIF_INTEGER_32 inline_F32_499 (void)
{
	return CURL_HTTP_VERSION_1_0
	;
}
#define INLINE_F32_499
#endif
#ifndef INLINE_F32_498
static EIF_INTEGER_32 inline_F32_498 (void)
{
	return CURL_HTTP_VERSION_NONE
	;
}
#define INLINE_F32_498
#endif
#ifndef INLINE_F32_469
static EIF_INTEGER_32 inline_F32_469 (void)
{
	return CURLOPT_HTTPAUTH;
	;
}
#define INLINE_F32_469
#endif
#ifndef INLINE_F32_470
static EIF_INTEGER_32 inline_F32_470 (void)
{
	return CURLAUTH_NONE;
	;
}
#define INLINE_F32_470
#endif
#ifndef INLINE_F32_471
static EIF_INTEGER_32 inline_F32_471 (void)
{
	return CURLAUTH_BASIC;
	;
}
#define INLINE_F32_471
#endif
#ifndef INLINE_F32_472
static EIF_INTEGER_32 inline_F32_472 (void)
{
	return CURLAUTH_DIGEST;
	;
}
#define INLINE_F32_472
#endif
#ifndef INLINE_F32_473
static EIF_INTEGER_32 inline_F32_473 (void)
{
	return CURLAUTH_ANY;
	;
}
#define INLINE_F32_473
#endif
#ifndef INLINE_F32_474
static EIF_INTEGER_32 inline_F32_474 (void)
{
	return CURLAUTH_ANYSAFE;
	;
}
#define INLINE_F32_474
#endif
#ifndef INLINE_F32_467
static EIF_INTEGER_32 inline_F32_467 (void)
{
	return CURLOPT_USERPWD;
	;
}
#define INLINE_F32_467
#endif
#ifndef INLINE_F32_484
static EIF_INTEGER_32 inline_F32_484 (void)
{
	return CURLOPT_POSTFIELDS;
	;
}
#define INLINE_F32_484
#endif
#ifndef INLINE_F32_485
static EIF_INTEGER_32 inline_F32_485 (void)
{
	return CURLOPT_POSTFIELDSIZE;
	;
}
#define INLINE_F32_485
#endif
#ifndef INLINE_F32_512
static EIF_INTEGER_32 inline_F32_512 (void)
{
	return CURLOPT_UPLOAD;
	;
}
#define INLINE_F32_512
#endif
#ifndef INLINE_F32_510
static EIF_INTEGER_32 inline_F32_510 (void)
{
	return CURLOPT_INFILESIZE;
	;
}
#define INLINE_F32_510
#endif
#ifndef INLINE_F30_397
static EIF_INTEGER_32 inline_F30_397 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYNAME)
	;
}
#define INLINE_F30_397
#endif
#ifndef INLINE_F30_398
static EIF_INTEGER_32 inline_F30_398 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYCONTENTS)
	;
}
#define INLINE_F30_398
#endif
#ifndef INLINE_F30_399
static EIF_INTEGER_32 inline_F30_399 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_END)
	;
}
#define INLINE_F30_399
#endif
#ifndef INLINE_F30_400
static EIF_INTEGER_32 inline_F30_400 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_FILE)
	;
}
#define INLINE_F30_400
#endif
#ifndef INLINE_F32_487
static EIF_INTEGER_32 inline_F32_487 (void)
{
	return CURLOPT_HTTPPOST;
	;
}
#define INLINE_F32_487
#endif
#ifndef INLINE_F32_490
static EIF_INTEGER_32 inline_F32_490 (void)
{
	return CURLOPT_HTTPHEADER;
	;
}
#define INLINE_F32_490
#endif
#ifndef INLINE_F32_444
static EIF_INTEGER_32 inline_F32_444 (void)
{
	return CURLOPT_VERBOSE;
	;
}
#define INLINE_F32_444
#endif
#ifndef INLINE_F32_448
static EIF_INTEGER_32 inline_F32_448 (void)
{
	return CURLOPT_WRITEDATA;
	;
}
#define INLINE_F32_448
#endif
#ifndef INLINE_F32_445
static EIF_INTEGER_32 inline_F32_445 (void)
{
	return CURLOPT_HEADER;
	;
}
#define INLINE_F32_445
#endif
#ifndef INLINE_F32_457
static EIF_INTEGER_32 inline_F32_457 (void)
{
	return CURLOPT_PROXYPORT;
	;
}
#define INLINE_F32_457
#endif
#ifndef INLINE_F32_456
static EIF_INTEGER_32 inline_F32_456 (void)
{
	return CURLOPT_PROXY;
	;
}
#define INLINE_F32_456
#endif
#ifndef INLINE_F32_519
static EIF_INTEGER_32 inline_F32_519 (void)
{
	return CURLOPT_TIMEOUT
	;
}
#define INLINE_F32_519
#endif
#ifndef INLINE_F32_529
static EIF_INTEGER_32 inline_F32_529 (void)
{
	return CURLOPT_CONNECTTIMEOUT
	;
}
#define INLINE_F32_529
#endif
#ifndef INLINE_F32_479
static EIF_INTEGER_32 inline_F32_479 (void)
{
	return CURLOPT_FOLLOWLOCATION;
	;
}
#define INLINE_F32_479
#endif
#ifndef INLINE_F32_481
static EIF_INTEGER_32 inline_F32_481 (void)
{
	return CURLOPT_MAXREDIRS;
	;
}
#define INLINE_F32_481
#endif
#ifndef INLINE_F32_557
static EIF_INTEGER_32 inline_F32_557 (void)
{
	return CURLOPT_SSL_VERIFYHOST;
	;
}
#define INLINE_F32_557
#endif
#ifndef INLINE_F32_554
static EIF_INTEGER_32 inline_F32_554 (void)
{
	return CURLOPT_SSL_VERIFYPEER;
	;
}
#define INLINE_F32_554
#endif
#ifndef INLINE_F32_560
static EIF_INTEGER_32 inline_F32_560 (void)
{
	return CURLOPT_SSL_CIPHER_LIST;
	;
}
#define INLINE_F32_560
#endif
#ifndef INLINE_F32_496
static EIF_INTEGER_32 inline_F32_496 (void)
{
	return CURLOPT_HTTPGET;
	;
}
#define INLINE_F32_496
#endif
#ifndef INLINE_F32_483
static EIF_INTEGER_32 inline_F32_483 (void)
{
	return CURLOPT_POST;
	;
}
#define INLINE_F32_483
#endif
#ifndef INLINE_F32_482
static EIF_INTEGER_32 inline_F32_482 (void)
{
	return CURLOPT_PUT;
	;
}
#define INLINE_F32_482
#endif
#ifndef INLINE_F32_509
static EIF_INTEGER_32 inline_F32_509 (void)
{
	return CURLOPT_NOBODY;
	;
}
#define INLINE_F32_509
#endif
#ifndef INLINE_F32_507
static EIF_INTEGER_32 inline_F32_507 (void)
{
	return CURLOPT_CUSTOMREQUEST
	;
}
#define INLINE_F32_507
#endif
#ifndef INLINE_F32_547
static EIF_INTEGER_32 inline_F32_547 (void)
{
	return CURLOPT_SSLVERSION;
	;
}
#define INLINE_F32_547
#endif
#ifndef INLINE_F32_550
static EIF_INTEGER_32 inline_F32_550 (void)
{
	return CURL_SSLVERSION_MAX_TLSv1_2;
	;
}
#define INLINE_F32_550
#endif
#ifndef INLINE_F32_551
static EIF_INTEGER_32 inline_F32_551 (void)
{
	return CURL_SSLVERSION_TLSv1_3;
	;
}
#define INLINE_F32_551
#endif
#ifndef INLINE_F32_541
static EIF_INTEGER_32 inline_F32_541 (void)
{
	return CURLOPT_SSLCERTTYPE;
	;
}
#define INLINE_F32_541
#endif
#ifndef INLINE_F32_544
static EIF_INTEGER_32 inline_F32_544 (void)
{
	return CURLOPT_KEYPASSWD;
	;
}
#define INLINE_F32_544
#endif
#ifndef INLINE_F32_540
static EIF_INTEGER_32 inline_F32_540 (void)
{
	return CURLOPT_SSLCERT;
	;
}
#define INLINE_F32_540
#endif
#ifndef INLINE_F32_555
static EIF_INTEGER_32 inline_F32_555 (void)
{
	return CURLOPT_CAINFO;
	;
}
#define INLINE_F32_555
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {LIBCURL_HTTP_CLIENT_REQUEST}.make */
void F467_6229 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,arg2);
	RTLR(2,arg3);
	RTLR(3,arg4);
	RTLR(4,Current);
	RTLIU(5);
	
	RTGC;
	F466_6205(Current, arg1, arg2, arg3, arg4);
	RTOUCP(621,F467_6230, (Current));
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.apply_workaround */
static void F467_6230_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTOUDV(621)

	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
		tr1 = RTLNS(eif_new_type(319, 0x01).id, 319, _OBJSIZ_0_0_0_0_0_0_0_0_);
		loc1 = F320_4548(RTCW(tr1));
	}
	RTOTE;
	RTLE;
	RTEE;
#undef Result
}

void F467_6230 (EIF_REFERENCE Current)
{
	GTCX
	RTOUCP(621,F467_6230_body,(Current));
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_REFERENCE F467_6232 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE EIF_VOLATILE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc3 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc4 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc10 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc11 = (EIF_POINTER) 0;
	EIF_REFERENCE EIF_VOLATILE loc12 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc13 = (EIF_POINTER) 0;
	EIF_BOOLEAN EIF_VOLATILE loc14 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc17 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc18 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc23 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc24 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc25 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc26 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc27 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc28 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc29 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc30 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc31 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc32 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc33 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc34 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc35 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr2 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr3 = NULL;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	EIF_INTEGER_32  EIF_VOLATILE ti4_2;
	EIF_INTEGER_32  EIF_VOLATILE ti4_3;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_BOOLEAN  EIF_VOLATILE tb4;
	EIF_BOOLEAN  EIF_VOLATILE tb5;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	RTXD;
	
	RTLI(35);
	RTLR(0,loc9);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc10);
	RTLR(4,loc12);
	RTLR(5,loc20);
	RTLR(6,loc21);
	RTLR(7,loc3);
	RTLR(8,tr2);
	RTLR(9,loc19);
	RTLR(10,tr3);
	RTLR(11,loc22);
	RTLR(12,loc23);
	RTLR(13,loc24);
	RTLR(14,loc17);
	RTLR(15,loc25);
	RTLR(16,loc15);
	RTLR(17,loc16);
	RTLR(18,loc7);
	RTLR(19,loc8);
	RTLR(20,loc26);
	RTLR(21,loc27);
	RTLR(22,loc5);
	RTLR(23,loc6);
	RTLR(24,loc28);
	RTLR(25,loc29);
	RTLR(26,loc30);
	RTLR(27,loc31);
	RTLR(28,loc32);
	RTLR(29,loc33);
	RTLR(30,loc2);
	RTLR(31,loc34);
	RTLR(32,Result);
	RTLR(33,loc35);
	RTLR(34,saved_except);
	RTLIU(35);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc14) {
		tr1 = *(EIF_REFERENCE *)(Current);
		loc9 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_11_);
		tr1 = *(EIF_REFERENCE *)(Current);
		loc10 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_12_);
		loc11 = F162_2686(RTCW(loc10));
		F163_2727(RTCW(loc9));
		loc12 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			loc18 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_9_);
			loc20 = tr1;
			if (EIF_TEST(loc20)) {
				tr1 = RTMS_EX_H("HTTP/1.0",8,303094320);
				tb1 = F1180_10493(loc20, tr1);
				loc18 = tb1;
			}
		}
		F467_6233(Current, loc12, loc9, loc10, loc11);
		tr1 = *(EIF_REFERENCE *)(Current);
		tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_2_);
		loc21 = tr1;
		if (EIF_TEST(loc21)) {
			F467_6234(Current, loc10, loc11, loc21);
		}
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		tr1 = *(EIF_REFERENCE *)(Current);
		tb1 = F1389_13537(RTCW(tr1));
		if (tb1) {
			tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> Sending:\012",11,485789194);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
			tr1 = RTLNS(eif_new_type(1434, 0x01).id, 1434, _OBJSIZ_6_2_0_1_0_0_0_0_);
			F1435_15014(RTCW(tr1), loc3);
			loc19 = (EIF_REFERENCE) tr1;
			tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ",2,15904);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
			tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr3 = RTMS_EX_H(" ",1,32);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(RTCW(tr2))-1180])(tr2, tr3);
			tr3 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_3_);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(RTCW(tr2))-1180])(tr2, tr3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_4_);
			loc22 = tr1;
			if (EIF_TEST(loc22)) {
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, loc22);
			}
			if (loc18) {
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.0",9,43051312);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
			} else {
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.1",9,43051313);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
			}
			tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6433[Dtype(RTCW(tr1))-942])(tr1);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_2_);
			loc23 = tr1;
			if (EIF_TEST(loc23)) {
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("Host: ",6,2079407136);
				tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(tr2)-1180])(tr2, loc23);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6433[Dtype(RTCW(tr1))-942])(tr1);
			}
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
			loc24 = F967_8765(RTCW(tr1));
			for (;;) {
				tb1 = F656_8068(loc24);
				if (tb1) break;
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F656_8066(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(": ",2,14880);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F656_8065(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
				tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6433[Dtype(RTCW(tr1))-942])(tr1);
				F656_8069(loc24);
			}
			tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ... ",6,896921120);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
			tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6433[Dtype(RTCW(tr1))-942])(tr1);
		}
		ti4_1 = inline_F32_455();
		F162_2687(RTCW(loc10), loc11, ti4_1, loc3);
		if (loc18) {
			ti4_1 = inline_F32_497();
			ti4_2 = inline_F32_499();
			F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
		} else {
			ti4_1 = inline_F32_497();
			ti4_2 = inline_F32_498();
			F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
		}
		loc17 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb2 = *(EIF_BOOLEAN *)(RTCW(loc12)+ _CHROFF_10_0_);
			if (tb2) {
				tr1 = F466_6219(Current);
				loc25 = tr1;
				if (EIF_TEST(loc25)) {
					switch (F466_6216(Current)) {
						case 0L:
							ti4_1 = inline_F32_469();
							ti4_2 = inline_F32_470();
							F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 1L:
							ti4_1 = inline_F32_469();
							ti4_2 = inline_F32_471();
							F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 2L:
							ti4_1 = inline_F32_469();
							ti4_2 = inline_F32_472();
							F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 3L:
							ti4_1 = inline_F32_469();
							ti4_2 = inline_F32_473();
							F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 4L:
							ti4_1 = inline_F32_469();
							ti4_2 = inline_F32_474();
							F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
					}
					ti4_1 = inline_F32_467();
					F162_2687(RTCW(loc10), loc11, ti4_1, loc25);
				}
			}
			tb2 = F72_1486(RTCW(loc12));
			if (tb2) {
				loc15 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_4_);
			}
			tb2 = F72_1487(RTCW(loc12));
			if (tb2) {
				loc16 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_5_);
			}
			if ((EIF_BOOLEAN)(loc15 != NULL)) {
				ti4_1 = inline_F32_484();
				F162_2687(RTCW(loc10), loc11, ti4_1, loc15);
				ti4_1 = inline_F32_485();
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8852[Dtype(loc15)-1179]);
				F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
			} else {
				if ((EIF_BOOLEAN)(loc16 != NULL)) {
					tr1 = RTLNS(eif_new_type(943, 0x01).id, 943, _OBJSIZ_4_6_2_4_1_1_2_1_);
					F942_8384(RTCW(tr1), loc16);
					loc7 = (EIF_REFERENCE) tr1;
					tb2 = '\0';
					tb3 = F942_8419(RTCW(loc7));
					if (tb3) {
						tb3 = F942_8422(RTCW(loc7));
						tb2 = tb3;
					}
					if (tb2) {
						ti4_1 = inline_F32_512();
						F162_2691(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
						ti4_1 = inline_F32_510();
						ti4_2 = F942_8414(RTCW(loc7));
						F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
						if ((EIF_BOOLEAN)(loc8 == NULL)) {
							tr1 = RTLNS(eif_new_type(562, 0x01).id, 562, _OBJSIZ_2_0_0_0_0_0_0_0_);
							F561_6897(RTCW(tr1));
							loc8 = (EIF_REFERENCE) tr1;
						}
						F563_6909(RTCW(loc8), loc7);
						F942_8454(RTCW(loc7));
						F162_2697(RTCW(loc10), loc8);
					}
				} else {
					tb2 = '\0';
					tb3 = F72_1485(RTCW(loc12));
					if (tb3) {
						tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_3_);
						loc26 = tr1;
						tb2 = (EIF_TRUE);
					}
					if (tb2) {
						tr1 = RTMS_EX_H("Content-Type",12,1604261989);
						tr1 = F967_8756(RTCW(loc17), tr1);
						loc27 = tr1;
						if (EIF_TEST(loc27)) {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tb2 = F1180_10501(loc27, tr1);
							if (tb2) {
								loc15 = F72_1505(RTCW(loc12));
							} else {
								tb2 = '\01';
								tr1 = RTMS_EX_H("multipart/form-data",19,1299947873);
								tb3 = F1180_10501(loc27, tr1);
								if (!tb3) {
									tb3 = F717_8148(loc26);
									tb2 = tb3;
								}
								if (tb2) {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								} else {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								}
							}
						} else {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tr2 = RTMS_EX_H("Content-Type",12,1604261989);
							F967_8797(RTCW(loc17), tr1, tr2);
							loc15 = F72_1505(RTCW(loc12));
							ti4_1 = inline_F32_484();
							F162_2687(RTCW(loc10), loc11, ti4_1, loc15);
							ti4_1 = inline_F32_485();
							ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8852[Dtype(loc15)-1179]);
							F162_2691(RTCW(loc10), loc11, ti4_1, ti4_2);
						}
						if (loc4) {
							loc5 = RTLNS(eif_new_type(550, 0x01).id, 550, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc6 = RTLNS(eif_new_type(550, 0x01).id, 550, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc28 = F716_8146(loc26);
							for (;;) {
								tb2 = F665_8080(loc28);
								if (tb2) break;
								tr1 = F665_8071(loc28);
								loc29 = tr1;
								loc29 = RTRV(eif_new_type(1250, 0x01),loc29);
								if (EIF_TEST(loc29)) {
									ti4_1 = inline_F30_397();
									tr1 = *(EIF_REFERENCE *)(loc29);
									ti4_2 = inline_F30_398();
									tr2 = *(EIF_REFERENCE *)(loc29 + _REFACS_2_);
									ti4_3 = inline_F30_399();
									F163_2729(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
								} else {
									tr1 = F665_8071(loc28);
									loc30 = tr1;
									loc30 = RTRV(eif_new_type(1249, 0x01),loc30);
									if (EIF_TEST(loc30)) {
										ti4_1 = inline_F30_397();
										tr1 = RTMS_EX_H("file",4,1718185061);
										ti4_2 = inline_F30_400();
										tr2 = *(EIF_REFERENCE *)(loc30);
										tr2 = F1200_11196(RTCW(tr2));
										ti4_3 = inline_F30_399();
										F163_2729(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
									} else {
									}
								}
								F665_8086(loc28);
							}
							F551_6732(RTCW(loc6));
							ti4_1 = inline_F32_487();
							F162_2688(RTCW(loc10), loc11, ti4_1, loc5);
						}
					} else {
					}
				}
			}
		}
		loc31 = F967_8765(RTCW(loc17));
		for (;;) {
			tb3 = F656_8068(loc31);
			if (tb3) break;
			tr1 = F656_8066(loc31);
			tr2 = RTMS_EX_H(": ",2,14880);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(RTCW(tr1))-1180])(tr1, tr2);
			tr2 = F656_8065(loc31);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(RTCW(tr1))-1180])(tr1, tr2);
			tp1 = F163_2730(RTCW(loc9), loc13, tr1);
			loc13 = (EIF_POINTER) tp1;
			F656_8069(loc31);
		}
		tr1 = RTMS_EX_H("Expect:",7,159486778);
		tp1 = F163_2730(RTCW(loc9), loc13, tr1);
		loc13 = (EIF_POINTER) tp1;
		ti4_1 = inline_F32_490();
		F162_2689(RTCW(loc10), loc11, ti4_1, loc13);
		F162_2700(RTCW(loc10), loc11);
		F162_2699(RTCW(loc10), loc11);
		if (F466_6209(Current)) {
			F162_2702(RTCW(loc10), loc11);
			ti4_1 = inline_F32_444();
			F162_2691(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
		}
		tb4 = '\0';
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb5 = F72_1488(RTCW(loc12));
			tb4 = tb5;
		}
		if (tb4) {
			if ((EIF_BOOLEAN)(loc8 == NULL)) {
				tr1 = RTLNS(eif_new_type(562, 0x01).id, 562, _OBJSIZ_2_0_0_0_0_0_0_0_);
				F561_6897(RTCW(tr1));
				loc8 = (EIF_REFERENCE) tr1;
			}
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_6_);
			loc32 = tr1;
			if (EIF_TEST(loc32)) {
				F563_6908(RTCW(loc8), loc32);
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_8_);
				loc33 = tr1;
				if (EIF_TEST(loc33)) {
					tr1 = RTLNS(eif_new_type(1182, 0x01).id, 1182, _OBJSIZ_1_1_0_4_0_0_0_0_);
					F1174_10168(RTCW(tr1));
					loc2 = (EIF_REFERENCE) tr1;
					tr1 = F467_6237(Current, loc33, loc2);
					F563_6908(RTCW(loc8), tr1);
				} else {
					tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_7_);
					loc34 = tr1;
					if (EIF_TEST(loc34)) {
						tr1 = RTLNS(eif_new_type(1182, 0x01).id, 1182, _OBJSIZ_1_1_0_4_0_0_0_0_);
						F1174_10168(RTCW(tr1));
						loc2 = (EIF_REFERENCE) tr1;
						tr1 = F467_6236(Current, loc34, loc2);
						F563_6908(RTCW(loc8), tr1);
					}
				}
			}
			F162_2697(RTCW(loc10), loc8);
		} else {
			tr1 = RTLNS(eif_new_type(1182, 0x01).id, 1182, _OBJSIZ_1_1_0_4_0_0_0_0_);
			F1174_10168(RTCW(tr1));
			loc2 = (EIF_REFERENCE) tr1;
			ti4_1 = inline_F32_448();
			F162_2690(RTCW(loc10), loc11, ti4_1, loc2);
		}
		tr1 = RTLNS(eif_new_type(70, 0x01).id, 70, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F71_1445(RTCW(tr1), loc3);
		Result = (EIF_REFERENCE) tr1;
		loc1 = F162_2694(RTCW(loc10), loc11);
		if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
			ti4_1 = F467_6235(Current, loc10, loc11);
			F71_1465(RTCW(Result), ti4_1);
			if ((EIF_BOOLEAN)(loc2 != NULL)) {
				tr1 = F1180_10481(RTCW(loc2));
				F71_1467(RTCW(Result), tr1, loc12);
				tr1 = *(EIF_REFERENCE *)(Current);
				tb4 = F1389_13538(RTCW(tr1));
				if (tb4) {
					tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = RTMS_EX_H("< Receiving:\012",13,798060298);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
					tr1 = RTOUCR(34,F102_1909, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_4_);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(tr1))-569])(tr1, tr2);
				}
			}
		} else {
			tr1 = F163_2732(RTCW(loc9), loc1);
			loc35 = tr1;
			if ((EIF_TRUE)) {
				tr1 = RTMS_EX_H("Error: ",7,316445984);
				tr2 = RTLNS(eif_new_type(87, 0x00).id, 87, _OBJSIZ_0_0_0_0_0_0_0_0_);
				tr3 = F88_1736(RTCW(tr2), loc35);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(tr1)-1180])(tr1, tr3);
				F71_1449(RTCW(Result), tr1);
			} else {
				tr1 = RTMS_EX_H("Error: cURL Error[",18,2136945755);
				tr2 = eif_out__i4_s1(loc1);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(tr1)-1180])(tr1, tr2);
				tr2 = RTMS_EX_H("]",1,93);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8842[Dtype(RTCW(tr1))-1180])(tr1, tr2);
				F71_1449(RTCW(Result), tr1);
			}
			ti4_1 = F467_6235(Current, loc10, loc11);
			F71_1465(RTCW(Result), ti4_1);
		}
		F163_2728(RTCW(loc9));
		F162_2695(RTCW(loc10), loc11);
	} else {
		tr1 = RTLNS(eif_new_type(70, 0x01).id, 70, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F71_1445(RTCW(tr1), *(EIF_REFERENCE *)(Current + _REFACS_3_));
		Result = (EIF_REFERENCE) tr1;
		tr1 = RTMS_EX_H("Error: internal error",21,167678066);
		F71_1449(RTCW(Result), tr1);
	}
	if ((EIF_BOOLEAN)(loc5 != NULL)) {
		F551_6731(RTCW(loc5));
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc13 != tp1);
	}
	if (tb4) {
		F163_2731(RTCW(loc9), loc13);
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc7 != NULL)) {
		tb5 = F942_8443(RTCW(loc7));
		tb4 = (EIF_BOOLEAN) !tb5;
	}
	if (tb4) {
		F942_8471(RTCW(loc7));
	}
	RTE_E
	RTXSC;
	loc14 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		F163_2728(RTCW(loc9));
		loc9 = (EIF_REFERENCE) NULL;
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc10 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc11 != tp1);
	}
	if (tb4) {
		F162_2695(RTCW(loc10), loc11);
		loc10 = (EIF_REFERENCE) NULL;
	}
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_session */
void F467_6233 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_POINTER arg4)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,Current);
	RTLR(4,tr1);
	RTLR(5,loc2);
	RTLR(6,tr2);
	RTLIU(7);
	
	RTGC;
	ti4_1 = inline_F32_445();
	F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		loc1 = *(EIF_REFERENCE *)(RTCW(arg1));
	}
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		loc1 = F466_6220(Current);
	}
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = inline_F32_457();
		ti4_2 = eif_integer_32_item(RTCW(loc1),2);
		F162_2691(RTCW(arg3), arg4, ti4_1, ti4_2);
		ti4_1 = inline_F32_456();
		tr1 = eif_boxed_item(loc1,1);
		F162_2687(RTCW(arg3), arg4, ti4_1, tr1);
	}
	if ((EIF_BOOLEAN) (F466_6221(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F32_519();
		ti4_2 = F466_6221(Current);
		F162_2691(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN) (F466_6222(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F32_529();
		ti4_2 = F466_6221(Current);
		F162_2691(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN)(F466_6223(Current) != ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F32_479();
		F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		ti4_1 = inline_F32_481();
		ti4_2 = F466_6223(Current);
		F162_2691(RTCW(arg3), arg4, ti4_1, ti4_2);
	} else {
		ti4_1 = inline_F32_479();
		F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	if (F466_6228(Current)) {
		ti4_1 = inline_F32_557();
		F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
		ti4_1 = inline_F32_554();
		F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	tr1 = *(EIF_REFERENCE *)(Current);
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_10_);
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F32_560();
		F162_2687(RTCW(arg3), arg4, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
	tr2 = RTMS_EX_H("GET",3,4670804);
	tb1 = F1180_10491(RTCW(tr1), tr2);
	if (tb1) {
		ti4_1 = inline_F32_496();
		F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	} else {
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
		tr2 = RTMS_EX_H("POST",4,1347375956);
		tb1 = F1180_10491(RTCW(tr1), tr2);
		if (tb1) {
			ti4_1 = inline_F32_483();
			F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		} else {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr2 = RTMS_EX_H("PUT",3,5264724);
			tb1 = F1180_10491(RTCW(tr1), tr2);
			if (tb1) {
				ti4_1 = inline_F32_482();
				F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
			} else {
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
				tr2 = RTMS_EX_H("HEAD",4,1212498244);
				tb1 = F1180_10491(RTCW(tr1), tr2);
				if (tb1) {
					ti4_1 = inline_F32_509();
					F162_2691(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
				} else {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
					tr2 = RTMS_EX_H("DELETE",6,1413835333);
					tb1 = F1180_10491(RTCW(tr1), tr2);
					if (tb1) {
						ti4_1 = inline_F32_507();
						tr1 = RTMS_EX_H("DELETE",6,1413835333);
						F162_2687(RTCW(arg3), arg4, ti4_1, tr1);
					} else {
						ti4_1 = inline_F32_507();
						tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
						F162_2687(RTCW(arg3), arg4, ti4_1, tr1);
					}
				}
			}
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_security_session */
void F467_6234 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2, EIF_REFERENCE arg3)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,loc3);
	RTLR(6,loc4);
	RTLIU(7);
	
	RTGC;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg3));
	tb1 = (RTNA((RTCW(arg3), ti4_1)), ((EIF_BOOLEAN) 0));
	if (tb1) {
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F32_547();
			ti4_2 = inline_F32_550();
			F162_2691(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F32_547();
			ti4_2 = inline_F32_551();
			F162_2691(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		ti4_1 = inline_F32_541();
		F162_2687(RTCW(arg1), arg2, ti4_1, loc1);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F32_544();
		F162_2687(RTCW(arg1), arg2, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc3 = tr1;
	if (EIF_TEST(loc3)) {
		ti4_1 = inline_F32_540();
		F162_2687(RTCW(arg1), arg2, ti4_1, loc3);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		ti4_1 = inline_F32_555();
		F162_2687(RTCW(arg1), arg2, ti4_1, loc4);
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F32_554();
		F162_2691(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 1L));
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F32_557();
		F162_2691(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 2L));
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response_status_code */
EIF_INTEGER_32 F467_6235 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,213,0,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		loc2 = RTLNS(typres0.id, 213, _OBJSIZ_1_0_0_0_0_0_0_0_);
	}
	F214_3255(RTCW(loc2), NULL);
	loc1 = F162_2696(RTCW(arg1), arg2, ((EIF_INTEGER_32) 2097154L), loc2);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
		tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R3186[Dtype(RTCW(loc2))-213])(loc2);
		tr1 = RTCCL(tr2);
		RTOB(*(EIF_INTEGER_32 *), eif_new_type(1318, 0x00), tr1, loc3, tb2);
		tb1 = tb2;
	}
	if (tb1) {
		RTLE;
		return (EIF_INTEGER_32) loc3;
	} else {
		RTLE;
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	}/* NOTREACHED */
	
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_data_to_file_agent */
EIF_REFERENCE F467_6236 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1119,0xFF01,0,1181,0xFF01,941,0xFF01,215,1133,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,215,1133,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 215, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F216_3255(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1168,0xFF01,0xFFF9,1,1119,0xFF01,1179,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A417_66_2, (EIF_POINTER) _A417_66_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_content_data_to_file_agent */
EIF_REFERENCE F467_6237 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1119,0xFF01,0,1181,0xFF01,941,0xFF01,215,1133,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,215,1133,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 215, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F216_3255(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1168,0xFF01,0xFFF9,1,1119,0xFF01,1179,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A417_65_2, (EIF_POINTER) _A417_65_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_content_data_to_file_agent */
void F467_15674 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg4);
	RTLR(1,arg3);
	RTLR(2,arg1);
	RTLR(3,arg2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(arg3))-569])(arg3, arg1);
	} else {
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8876[Dtype(RTCW(arg2))-1181])(arg2, arg1);
		}
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1180_10501(RTCW(arg1), tr1);
		if (tb1) {
			F216_3256(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_data_to_file_agent */
void F467_15675 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,arg4);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6435[Dtype(RTCW(arg3))-569])(arg3, arg1);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg2 != NULL)) {
		tb2 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8876[Dtype(RTCW(arg2))-1181])(arg2, arg1);
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1180_10501(RTCW(arg1), tr1);
		if (tb1) {
			F216_3256(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

void EIF_Minit417 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
